SincpacC3D

Bonus tools for Civil-3D.

This collection of bonus tools helps fill in some of the gaps in the functionality of AutoCAD Civil-3D. It has often been called the "Express Tools for Civil-3D". Once you get used to it, you may discover that you can't use Civil-3D without it!

We are constantly adding new commands and features to the Sincpac-C3D. If you notice anything wrong with this product, or you have an idea for an additional function that would make your life much easier, drop us a line at support@quuxsoft.com.

You may call up this help file at any time by typing SPHelp at the command line. Also, if you run any commands from the command line, you may hit the F1 key while the command is running to call up the context-sensitive help for the command.

Contents:

Blue Dot General Information

Blue Dot Command Summary


SincpacC3D General Information

SincpacC3D

Bonus tools for Civil-3D.

General Information:

Blue Dot Command Summary

An alphabetical listing of all commands available in the Sincpac-C3D.

Blue Dot Product Matrix

The commands in the Sincpac-C3D are now split into three modules, which may be purchased either together or separately. This page contains a grid that illustrates which commands and features are available in each module.

Blue Dot Installation Instructions

Notes on installation of the Sincpac-C3D.

Blue Dot OPTIONS Tab (General Settings)

An explanation of some overall settings, accessed by typing OPTIONS at the command line. This includes settings for the auto-application of background masks to MTEXT. (Note - these options were formerly accessed by typing SPSETTINGS at the command line.)

Blue Dot Quicksets

Quicksets may be used to store command settings for instant recall later.

Blue Dot User Defined Properties

Some tips and tricks on how to use User Defined Properties on Cogo Points.

Blue Dot The Ribbon Interface

The Ribbon interface for the Sincpac-C3D (not available in 2008 and 2009 versions).

Blue Dot "Old Version" Lock

Provides an ability to flag directories as "Keep in Civil-3D 2008", so that the user is warned when overwriting DWG files in those directories with Civil-3D 2009.

Blue Dot Command Aliases

Notes on command aliases for the Sincpac-C3D.

Blue Dot Regular Expressions

A partial synopsis of Regular Expressions.

Blue Dot Customer Involvement Program

Help improve the Sincpac-C3D by providing automatic feedback about your usage.

Blue Dot Known Issues

Known issues with the Sincpac-C3D.


OPTIONS Tab

Description

The General Settings for the Sincpac-C3D may be controlled via the "Sincpac-C3D" tab in the AutoCAD OPTIONS. Type OPTIONS (or "OP", if you have standard keyboard aliases defined) to adjust the options. You will see a tab like the one below:

If you are running a Trial version of the Sincpac-C3D, you will also see the days remaining in your trial period.

Object Layer Settings

On the Object Layers tab of the Drawing Settings tab, there are some entries for "General Note Label" and "General Segment Label". These settings control the layers on which newly-created General Note and General Line/Curve labels are created.

For many tasks, it is very convenient to use these Object Layer settings to specify what layer these labels are created on. You can keep your current layer set to something else, and be going about other tasks, and still have General Note and General Line/Curve labels go automatically on the correct layer. If you need to change the settings, you can go into the Drawing Settings, or better yet, use the LabLay command.

However, sometimes it is convenient to have these labels go on the current layer, instead. If you check the checkbox for either "Change General Note Layer" or "Change General Line/Curve Layer", then the respective Object Layer setting will change any time the current layer is changed. This effectively makes General Note or General Line/Curve labels go on the current layer.

(Note: The checkboxes in this section are the same as those found in the dialog box for the LabLay command.)

Dynamic Linking

The items in this section control options for Dynamic Link updating.

  • Display Update Messages
    When selected, a message is displayed in the command window whenever Dynamic Links are updated. This option can help you track when Dynamic Links are being updated, so you can note when performance starts to lag too much. If automatic updating of Dynamic Links begins to slow down the drawing, you can turn it off by setting DLEnabled to NO in the current drawing. Then, update links manually when needed, using the DLRefresh, DLRefreshAll, or DLRefreshItems command.
  • Suppress Update on Load
    If the DLEnabled flag is set in a drawing, the Dynamic Links in the drawing will automatically be refreshed as the drawing is loaded. If this option is selected, the Dynamic Links will not be refreshed when the drawing is opened. This can be useful if somebody without the Sincpac-C3D has edited your file, and Dynamic Link updates are overwriting their changes as you open the file. For general usage, it is recommended that you leave this option turned off, so that Dynamic Links are updated as drawings are opened (if DLEnabled is set in the drawing).
  • Station/Offset Settings
    This button calls up the settings dialog for the Station/Offset display in Cogo Points with Dynamic Links. See the DLPoints command for a complete description of the Cogo Point Dynamic Links.

Point Group Auto Update Default Settings

The items in this section control the default options for the Point Group Auto Update feature. These settings control the default values for PGUpdateEnabled and PGUpdateOnEdit, which are applied to drawings that do not already have these values set. For example, if you open an older drawing that does not have PGUpdateEnabled or PGUpdateOnEdit already set, then these settings are used as the initial values for those system variables.

Note that these settings do not affect the values of PGUpdateEnabled or PGUpdateOnEdit in any currently-open drawings. These settings are only used when a new drawing is opened or created, and PGUpdateEnabled or PGUpdateOnEdit have not already been set for that drawing. If desired, you can set PGUpdateEnabled and PGUpdateOnEdit in your drawing template, and all new drawings will use the settings from the template.

Log Drawing Open/Close

When selected, this option causes messages to be logged to the specified file whenever the user performs a drawing "close", "open", or "save-as". Only DWG files are placed in the log; DWT and DST files do not show up in the log. Make sure the log file is placed in a location that has write privileges enabled; for example, Windows Vista does not like it if you attempt to put the log file direction in the C:/ directory.

When a new drawing is created, an entry is placed in the log file the first time the document is saved. An entry is also placed in the log file when "Save As" is used to create a new drawing. The log entry will contain the path of the template used to create the drawing, if one was used, or the source drawing, if a "Save As" was performed.

When a drawing is closed, one item that is included in the log entry is the "Session Duration". This is the amount of time that drawing spent open and active in Civil 3D. If you have multiple drawings open simultaneously inside of Civil 3D, only one of those drawings is considered to be active at any one time. As an example, say you open two drawings, and edit the files for one hour, then close both files. Both files would have similar Open and Close times. But the Session Duration might show that you edited one file for 40 minutes, and the other file for 20 minutes.

Log Rollover: If an option to rollover the log file is selected, then the current log file is periodically moved to a date-stamped backup file, and a new log file is created. The log file may be rolled over daily, weekly (every Monday), monthly, or when the log file exceeds the specified file size (in KB).

See below, near the end of this help page, for an example of the log output.

MText/MLeader/Dimension Auto Features

These settings control the auto-application of background masks and DView TWists to newly-created MTEXT and MLEADER items.

  • Apply Background Masks: When selected, all newly-created MTEXT and MLEADER entities will have a background mask, colored to match the background, using the specified background scale factor. The scale factor specified here is also used by the BGMaskOn, BGMaskOff, and BGMaskToggle commands.
  • Rotate to match DView TWist: When selected, newly-created MTEXT and MLEADER entities will be oriented to the current DView TWist, instead of the current UCS. This "Rotate to match DView TWist" option also works on the various Dimension objects, such as DIMALIGNED, DIMRADIUS, etc.
  • Flatten MLeaders: When selected, newly-created MLEADER entities are dropped to Z=0. This is useful when using True Type Fonts in MLeaders, because True Type Fonts will print bold or "fuzzy" when not at Z=0. It is also possible to use the FlattenObjects command to drop MLeaders to Z=0.
  • Automatically apply DIMSCALE overrides: This option is a holdover from the days before Annotative dimensions, but it can still be useful when Annotative DIMSTYLEs are not desirable for some reason. When selected, the current CANNOSCALE is automatically applied as a DIMSCALE override whenever you switch to modelspace. When switching to paperspace, the DIMSCALE override is set to zero. Assuming you have your DIMSTYLEs configured in the proper way, this will allow you to use a single DIMSTYLE at any drawing scale, but with a DIMSTYLE that is not Annotative.

(Note: The settings in this section are the same as those found in the dialog box for the LabLay command, but are not the same as the ones in the MarkerExtract command.)

Keep Drawings as Old Version

When selected, the directory containing the drawing is flagged as containing drawings for the specified version of Civil 3D. If you attempt to SAVE or QSAVE the drawing in a newer version of Civil-3D (with the Sincpac-C3D installed), a dialog box will appear, warning you that the file should not be saved in that version of Civil-3D. For further information, see the help for the old version lock.

Inverse Precision Settings

These settings control the precision for the values displayed by the PtInv, PtAng, and PtArc commands. When "Remember Settings for Each Drawing" is selected, these settings are remembered on a per-drawing basis, so you may configure different drawings to have different precisions. You may also configure this setting in drawing templates, to control the setting in newly-created drawings. Otherwise, newly-created drawings will take on the last settings you selected.

Add Shortcut Menus

By default, the Sincpac-C3D adds a number of useful menus to the context shortcut menus, which are activated by right-clicking on the mouse. This is done automatically, and not via the CUI. However, if you do not want the Sincpac-C3D to add these automatic menus, you can disable them.

The shortcut menus are split into four categories that can be enabled/disabled separately. The "Default" shortcut menu is the one that appears when you right-click and no objects are selected. The "Edit" shortcut menu appears for any type of object, and includes the "Flatten", "Flip Objects", and "Rotation Match" menu items. The "Points" shortcut menu only appears when Civil-3D Points are selected. The "other" shortcut menus include all the others, such as "Create Offset Points", "Create Alignment/Profile", etc.

Note that the Sincpac-C3D commands can be used in Commands in the CUI, just like any other AutoCAD command. So should you wish, you could add Sincpac-C3D commands to the main pull-down menus at the top of the screen, or create toolbars, or use them in command tools in Tool Palettes.

Sample Log Output

Here is a sample of the output to the log for Drawing Logging. The output looks best when viewed with a fixed-width font. In this sample, the log file was opened using Windows Notepad.

Drawing Logging sample output

See Also

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot PGUpdateAll

Updates all Point Groups in the current drawing. Equivalent to selecting the "Point Groups" collection in Toolspace and using right-click -> Update.

Blue Dot PGUpdateEnabled

Enables or disables the automatic updating of Point Groups in the current drawing. When enabled, Point Groups are automatically updated whenever one or more Cogo Points are created in the drawing. In addition, if PGUpdateOnEdit is also enabled, the Point Groups will be updated whenever one or more Cogo Points is edited.

Blue Dot PGUpdateOnEdit

Determines whether or not an automatic update of Point Groups should be triggered when Cogo Points are edited. PGUpdateEnabled must also be enabled.

Blue Dot PtAng

Displays the angle formed by three points. The angle dimension is displayed as an interior angle, an exterior angle, and a deflection angle.

Blue Dot PtArc

Displays the arc distance, radius, and delta (central) angle of the arc segment defined by picking three points. Points may also be specified by keying in point numbers at the prompt.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points. It can also maintain a running total of successive distances, adding the value of each measurement to the running total. Points may be selected on-screen, or by typing Cogo Point numbers at the prompt.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


Product Matrix

Sincpac-C3D Command Availability

The table below illustrates the commands that are available in the various versions of the Sincpac-C3D. Note that ALL licensed versions of the Sincpac-C3D include the automatic Twist and Background Mask features, found on the OPTIONS Tab.

You may use the Sincpac-C3D without a license, and if you request a trial license, you may continue to use the Sincpac-C3D after the trail license expires. However, an unlicensed version is limited to the commands and features indicated below. In addition, the Quickset panels do not work in the unlicensed version.

Note that you must have the Power module in order to create any Dynamic Links. However, all three of the other modules both include the ability to update the Dynamic Links. So, for example, a user with just the Power module could create some Dynamic Point Links in a drawing. Then someone with only the Points module could move points around in the drawing, and see the points dynamically update. However, the person with only the Points module would not be able to create, edit, or delete any Dynamic Links.

Product Matrix

Feature or Command | Unlicensed | Power | Points | Drafting
Auto Twist to match DView TWist |  | Blue Dot | Blue Dot | Blue Dot
Auto Background Masks |  | Blue Dot | Blue Dot | Blue Dot
Auto Change General Segment and General Note Object Layers to match Current Layer | Blue Dot | Blue Dot | Blue Dot | Blue Dot
Auto apply DIMSCALE overrides to match CANNOSCALE in modelspace, DIMSCALE=0 in paperspace |  | Blue Dot | Blue Dot | Blue Dot
Automatically update Sincpac-C3D Dynamic Links |  | Blue Dot | Blue Dot | Blue Dot
Automatically update Civil 3D Point Groups |  |  | Blue Dot |
Link to Drawing Template |  | Blue Dot | Blue Dot | Blue Dot
Quick Layer Import functionality |  |  |  | Blue Dot
Quickset Panels |  | Blue Dot | Blue Dot | Blue Dot
"Old Version Lock" Feature |  | Blue Dot | Blue Dot | Blue Dot
Log Drawing Open/Close |  | Blue Dot | Blue Dot | Blue Dot
OSNAPZ Toggle in Status Bar |  |  |  | Blue Dot
Surface Display Toggle in Context Menu 2013+ | Blue Dot | Blue Dot | Blue Dot | Blue Dot
AddProfViewStaElevLabel 2013+ |  |  |  | Blue Dot
AddPVIs |  |  |  | Blue Dot
AlignmentsLengthReport 2013+ | Blue Dot | Blue Dot | Blue Dot | Blue Dot
AnalyzeDistortion** 2010+ |  | Blue Dot |  |
BGMaskOff |  |  |  | Blue Dot
BGMaskOn |  |  |  | Blue Dot
BGMaskToggle |  |  |  | Blue Dot
BrkPt | Blue Dot | Blue Dot | Blue Dot | Blue Dot
BuildPointSelectionSet |  |  | Blue Dot |
BuildSelectionSet |  | Blue Dot | Blue Dot | Blue Dot
CAPFeature |  |  |  | Blue Dot
CAPSurface |  |  |  | Blue Dot
ChangeStartParam* 2009+ |  |  |  | Blue Dot
ChElev | Blue Dot | Blue Dot | Blue Dot | Blue Dot
ChPipeHydraulicFactors** 2010+ | Blue Dot | Blue Dot | Blue Dot | Blue Dot
CivilStyleProperties** 2010+ |  |  |  | Blue Dot
CompareCivilStyles** 2010+ |  |  |  | Blue Dot
CorridorExtractPolylines** 2010+ |  |  |  | Blue Dot
CpProps |  |  |  | Blue Dot
CreateAlignProf |  |  |  | Blue Dot
CreateCurbs* 2009+ |  |  |  | Blue Dot
CreateLowering |  |  |  | Blue Dot
CreatePads* 2009+ |  |  |  | Blue Dot
CreatePointsFromLabels** 2010+ |  |  | Blue Dot |
CreateSectionAlignmentLines 2013+ |  |  |  | Blue Dot
CurveSolver |  |  |  | Blue Dot
DisplayAlignProf |  | Blue Dot |  |
DisplayPoints |  | Blue Dot |  |
DL3LineProf |  | Blue Dot |  |
DLCoordConvert* 2009+ |  | Blue Dot |  |
DLEnabled |  | Blue Dot | Blue Dot | Blue Dot
DLLabels** 2010+ |  | Blue Dot |  |
DLPoints |  | Blue Dot |  |
DLPointsViewer** 2010+ |  | Blue Dot |  |
DLProfiles |  | Blue Dot |  |
DLRefresh |  | Blue Dot | Blue Dot | Blue Dot
DLRefreshAll |  | Blue Dot | Blue Dot | Blue Dot
DLRefreshItems |  | Blue Dot | Blue Dot | Blue Dot
DLSewerLaterals** 2010+ |  | Blue Dot |  |
DLSewerLateralsManager** 2010+ |  | Blue Dot |  |
DLSewerLateralUpdateRules** 2010+ |  | Blue Dot |  |
DrawingTemplate |  | Blue Dot | Blue Dot | Blue Dot
ElevateFeaturelineFromText |  | Blue Dot |  |
EntityTracker |  | Blue Dot |  |
ExportCivilStyles** 2010+ |  |  |  | Blue Dot
ExportKML |  |  | Blue Dot |
Extract2d |  |  |  | Blue Dot
FigArea |  |  |  | Blue Dot
FindPt |  |  | Blue Dot |
FlattenObjects |  |  |  | Blue Dot
FlipObjects |  |  |  | Blue Dot
FreePt | Blue Dot | Blue Dot | Blue Dot | Blue Dot
GenLabelLayer |  |  |  | Blue Dot
GlobalLabelSettings** 2010+ |  |  |  | Blue Dot
HashParcel |  |  |  | Blue Dot
HashPoly |  |  |  | Blue Dot
HideBnd | Blue Dot | Blue Dot | Blue Dot | Blue Dot
IdPtGroup |  |  | Blue Dot |
ImportCivilStyles** 2010+ |  |  |  | Blue Dot
LabLay | Blue Dot | Blue Dot | Blue Dot | Blue Dot
LegendBuilder* 2009+ |  |  |  | Blue Dot
LotCorners |  |  | Blue Dot |
LotFit |  | Blue Dot |  |
MarkerExtract |  |  | Blue Dot |
MatchSubAssyProps** 2010+ |  |  |  | Blue Dot
MovePoints | Blue Dot | Blue Dot | Blue Dot | Blue Dot
MoveProf |  |  |  | Blue Dot
NextPt | Blue Dot | Blue Dot | Blue Dot | Blue Dot
ObLaRead |  | Blue Dot | Blue Dot | Blue Dot
ObLaWrite |  | Blue Dot | Blue Dot | Blue Dot
ParcelAreaStats |  | Blue Dot |  |
ParcelOffset |  |  |  | Blue Dot
Parking |  |  |  | Blue Dot
ParkingCount |  |  |  | Blue Dot
PerpCheck |  |  |  | Blue Dot
PerpClean |  |  |  | Blue Dot
PGAddRemovePoints |  |  | Blue Dot |
PGBrowser |  |  | Blue Dot |
PGDisplayManager |  |  | Blue Dot |
PGQuickAdd |  |  | Blue Dot |
PGResetPointNumbers |  |  | Blue Dot |
PGUpdateAll |  |  | Blue Dot |
PGUpdateEnabled |  |  | Blue Dot |
PGUpdateOnEdit |  |  | Blue Dot |
PipeElevationEditor** 2010+ |  | Blue Dot |  |
PipeProfiles |  |  |  | Blue Dot
PLAlign |  |  |  | Blue Dot
PLProfile |  |  |  | Blue Dot
PoInv |  | Blue Dot | Blue Dot | Blue Dot
ProfileStationing |  |  |  | Blue Dot
ProfileStationingReplaceLabels |  |  |  | Blue Dot
PrunePVIs |  |  |  | Blue Dot
Pt2Feature | Blue Dot | Blue Dot | Blue Dot | Blue Dot
Pt2Profile | Blue Dot | Blue Dot | Blue Dot | Blue Dot
Pt3d |  |  | Blue Dot |
PtAng |  | Blue Dot | Blue Dot | Blue Dot
PtArc |  | Blue Dot | Blue Dot | Blue Dot
PtAverage |  |  | Blue Dot |
PtConnect |  |  | Blue Dot |
PtInv |  | Blue Dot | Blue Dot | Blue Dot
PtProrate |  |  | Blue Dot |
PurgeCivilStyles** 2010+ |  |  |  | Blue Dot
PurgeModel |  |  |  | Blue Dot
RebuildAllCorridors | Blue Dot | Blue Dot | Blue Dot | Blue Dot
'RD |  |  |  | Blue Dot
RemoveBreaklineFromSurface |  | Blue Dot |  |
RemoveDuplicatePIs |  |  |  | Blue Dot
RenameCivilStyles** 2010+ |  |  |  | Blue Dot
ReorderPt |  |  | Blue Dot |
ResetObjAnnoScales |  |  |  | Blue Dot
RotateAligned |  |  |  | Blue Dot
RotateIndividual |  |  |  | Blue Dot
RotateMarkers | Blue Dot | Blue Dot | Blue Dot | Blue Dot
RotatePoints | Blue Dot | Blue Dot | Blue Dot | Blue Dot
RotationMatch |  |  |  | Blue Dot
RoundPointElevations |  |  | Blue Dot |
ScalePoints |  |  | Blue Dot |
ScaleXY |  |  |  | Blue Dot
ScaleZ* 2009+ |  |  |  | Blue Dot
SelectPointsAboveOrBelowSurface |  |  | Blue Dot |
SelPtGroup | Blue Dot | Blue Dot | Blue Dot | Blue Dot
SGObject | Blue Dot | Blue Dot | Blue Dot | Blue Dot
SGRD | Blue Dot | Blue Dot | Blue Dot | Blue Dot
SortConnectedPipes |  | Blue Dot |  |
SPAddPipesByPolyline v3.0+ |  | Blue Dot |  |
SPAdjustPipeSlopes v3.0+ |  | Blue Dot |  |
SPExportDesckeys* 2009+ |  |  | Blue Dot |
SPGetConnectedPoints | Blue Dot | Blue Dot | Blue Dot | Blue Dot
SPImportDesckeys* 2009+ |  |  | Blue Dot |
SPImportTrimbleDesckeys* 2009+ |  |  | Blue Dot |
SPInverseByCogoPoints** 2010+ |  |  | Blue Dot |
SPLabelAssembly** 2010+ |  |  |  | Blue Dot
SPLabelAssemblySettings** 2010+ |  |  |  | Blue Dot
SPLayFrz |  |  |  | Blue Dot
SPLayIso |  |  |  | Blue Dot
SPLayMch |  |  |  | Blue Dot
SPLayOff |  |  |  | Blue Dot
SPParcelInverse |  | Blue Dot |  |
SPPipeCoverReport* 2013+ |  | Blue Dot |  |
SPQuickDaylight* 2009+ |  | Blue Dot |  |
SPRandomDaylight* 2009+ |  | Blue Dot |  |
SSMRenumber *** 2011+ |  |  |  | Blue Dot
StakeFeatures |  |  | Blue Dot |
StaOff | Blue Dot | Blue Dot | Blue Dot | Blue Dot
StaOffPrint | Blue Dot | Blue Dot | Blue Dot | Blue Dot
StationEquation |  |  |  | Blue Dot
StationPoints |  |  | Blue Dot |
StretchProf |  |  |  | Blue Dot
SwapLabelSurface** Sincpac C3D v3+ |  |  |  | Blue Dot
SwapPipeNetworkParts** 2010+ |  |  |  | Blue Dot
ToFGProfile |  |  |  | Blue Dot
TopoStationLabeler |  |  | Blue Dot |
TwistGroup |  |  |  | Blue Dot
UsedPt | Blue Dot | Blue Dot | Blue Dot | Blue Dot
ViewportLayers |  | Blue Dot | Blue Dot | Blue Dot
ZoomPt | Blue Dot | Blue Dot | Blue Dot | Blue Dot

* Indicates commands that are not available in the 2008 version.

** Indicates commands that are not available in the 2008 and 2009 versions.

*** Indicates commands that are not available in the 2008-2010 versions.


Installation Instructions

Installation

To install the Sincpac-C3D, simply login as a user with Admin privileges, and double-click on the sincpac_setup.exe file. The Sincpac-C3D will be enabled for all users on your system. When installing a new version of the Sincpac-C3D, it is not necessary to uninstall the previous version; you may simply install the new version over the old.

However, if you have been using an early version of the Sincpac-C3D that is loaded via a "netload" command during Civil-3D startup, make sure you remove that "netload" command from your startup routines. Also, you may remove any special support paths that you may have created for earlier versions of the Sincpac-C3D - those support paths are no longer necessary.

Uninstalling Sincpac-C3D

In the Windows Control Panel, use the "Add and Remove Programs" wizard (on Windows XP) or "Programs and Features" (on Vista/Win7) to uninstall the Sincpac-C3D. You should uninstall the Sincpac-C3D before you uninstall Civil-3D.

Registration and Activation

An activation code is now required to unlock the premium features of the Sincpac-C3D. To request an activation code, install the Sincpac-C3D and run the SPRegister command. This should display a dialog box such as the following:

Fill out the specified information, then click the button to send your activation request. Note that your computer must be connected to the internet. If you have any problems, please send us a note at support@quuxsoft.com.

When your activation code arrives, type the SPActivate command, and enter your activation code. The same activation code should work for all versions of the Sincpac-C3D. If you have any problems, please send us a note at support@quuxsoft.com.

The Sincpac-C3D CUI

The installation package includes a CUI file, which includes a menu containing all of the Sincpac-C3D commands. In addition, it sets up two shortcut keys: CTRL-T runs the BGMaskToggle command, and F4 runs the LabLay command. Of course, you are free to override these key assignments with your own, or add more for your favorite commands. But we've found these two to be incredibly useful, so they are included in the Sinpcac-C3D CUI file by default.

To install the Sincpac-C3D CUI file, type CUI at the command line. (If you are using an older version of the Sincpac-C3D, remove your existing Sincpac.CUI from your CUI.) Then in the upper-left quadrant, right-click on "Partial CUIs" and select "Load partial customization file". Then browse to the Sincpac-C3D installation directory (typically C:/Program Files/Quux Software) and select the Sincpac.CUI file.

Note that if you leave the Sincpac.CUI in the Quux Software installation directory, it will automatically be updated each time you update the Sincpac-C3D. For this reason, you should not edit the Sincpac.CUI file itself.


Quicksets

The Quickset Panels may be used to store your favorite settings for a command, and then quickly recall them later. (Note that the Quickset panels are disabled for the Free Edition.)

The Quickset Panel looks like this:

Select a Quickset from the list to apply the stored settings. The button to the left of the list may be used to overwrite the currently-selected Quickset with the current settings. The button to the right of the list may be used to save the current settings as a new Quickset. And the button on the far right calls up the Quickset Manager, seen below:

On the left is a list of Quicksets that exist in the current drawing. On the right are a series of buttons. Some of the buttons are only active when one or more Quicksets are selected on the left. The following actions may be performed by clicking on the buttons:

Create New

Saves the current settings as a new Quickset. You will be prompted to enter the name for the new Quickset.

Overwrite

Saves the current settings, overwriting the selected Quickset. This option is only available when one (and only one) Quickset is selected.

Rename

Renames the selected Quickset. This option is only available when one (and only one) Quickset is selected.

Delete

Delete the selected Quickset(s). This option is only available when one or more Quicksets are selected.

Import

Import selected Quickset(s) from the specified drawing or template. (Note: does not import associated objects, such as layers.)

Export

Export selected Quickset(s) to the specified drawing or template. (Note: does not export associated objects, such as layers.) This option is only available when one or more Quicksets are selected.

Done

Exits the Quickset Manager.


Point Creation Settings

Description

The Point Creation Settings dialog is used to set the default values used when adding Cogo Points to your drawing.

Usage

This dialog is normally accessed through the Edit Point Creation Settings button located in the Settings dialog for various Point creation commands in SincpacC3D. Clicking this button displays the Settings dialog shown below:

PointCreationSettings Dialog box

Note that for some commands, one or more of the panels in this dialog box may be disabled. For example, the Description and Elevation panels are disabled for the StakeFeatures command, since the command itself generates those values for each point.

The upper-right corner of the dialog box contains the Quickset panel, which may be used to save and recall your favorite settings. The various options are described below.

Point Numbering

Controls the way point numbers are assigned to points as they are created.

Manual | Prompts the user for a point number for each point.
Automatic | Assigns point numbers sequentially, starting at the specified number.

Clicking on the "Display Free Point Nums" button displays a list of available (unused) point numbers in the drawing.

Point Naming

Controls the way Names are assigned to points as they are created.

None | Points are created with no Names.
Manual | Prompts the user to enter a Name for each point.
Automatic | Use the specified Name Prefix, Counter Style, Next Counter, and Increment By values to generate a new Name for each point. Click on the "Display Matching Names" button to see a list of all existing Point Names that use the current Name Prefix. When you change the Name Prefix, the Next Counter will automatically jump to the next-available counter number for that Prefix.

Point Descriptions

Controls the way descriptions are assigned to points as they are created.

None | Points are created with no description.
Manual | Prompts the user to enter a description for each point.
Automatic | Use the specified string as the description for each point.

Point Elevations

Controls the way elevations are assigned to points as they are created.

None | Points are created with no elevations.
Manual | Prompts the user to enter an elevation for each point.
Automatic | Use the specified value as the elevation for each point.
Use Pick Point | Use the Z-value of the selected pick point as the elevation for the Cogo point.
From Surface | Get the elevation for each point from the specified surface, if possible.

Point Layer

Specifies the layer to assign to points as they are created.

Point Style

Specifies the point style, if any, to be applied to points as they are created.

Point Label Style

Specifies the point label style, if any, to be applied to points as they are created.

Add to group:

When selected, points are added to the selected point group as they are created. You may create a new point group either by typing a name in the combo box, or by clicking the little button above the combo box.


User Defined Properties

Some Sincpac-C3D commands are capable of writing values to User Defined Properties (UDPs) in your drawing.

In order to use these features, you must first create a User Defined Classification that defines your new attributes. An example can be seen below:

User Defined Classifications

Property Types

For some UDPs, you can gain additional formatting options in your Label Styles by selecting the appropriate type. In the image above, the "Station" parameter is specified as a Station property, and the "FG Elev" property is specified as an Elevation property.

If a property will contain a mixture of letters and numbers, it should be declared as String properties. For example, in the image above, the "Offset" and "CutFill" properties are declared as Strings. This is because an Offset may be configured to have a strings like "Lt" and "Rt", or "L" and "R", etc, and a CutFill might have a format like "C-0.00". On the other hand, if you configure your Offset and CutFill so that they are digits only (with no letters), you can use a Double property, which will give you additional formatting options in Label Styles.

Assigning a Classification

Very Important: Before a UDP can be used by a Sincpac-C3D command like DLPoints or DLCoordConvert, it must be assigned to the relevant Cogo Points. This is accomplished by placing the Cogo Points into a Point Group, and adjusting the "Classification" for the Point Group as shown in the image below:

Point Group Classification

You can also change the Classification on the Detail pane of the Point Group Properties (right-click on the Point Group, select Properties). However, you may encounter a bug when doing this. At least as of the Civil 3D 2011 release, C3D will crash if a Point Group already has Cogo Points added to it, and you attempt to change the Classification via the Summary tab. However, this bug is not triggered when changing the Classification from the Detail pane of Toolspace, as shown in the image above. So that option is safer than changing the Classification from the Summary tab of the Point Group Properties.

See Also

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.


The Ribbon Interface

Description

The Sincpac-C3D now features a Ribbon interface. (This Ribbon interface is not available in the 2008 or 2009 versions.)

The Ribbon interface is automatically loaded into your active Toolspace. There is no need to do any special configuration to get the Ribbon interface, and the Sincpac-C3D tab will automatically appear in the Ribbon for each Workspace. Should you desire, you can remove the Sincpac-C3D tab from the Ribbon by using the SP command.

The Ribbon Interface looks like this:

The Ribbon Interface

You may hover the cursor over any button in the Ribbon to see an extended description of the command. While hovering over a Ribbon button, you may also hit F1 to open the complete Help for that command. Note that, if you do not have the Complete Edition of the Sincpac-C3D, you will still see unavailable commands in the Ribbon, but the buttons will be disabled (greyed out).

You may encounter situations where, for some reason, the Sincpac-C3D Ribbon disappears. Should this happen, reload your Workspace, and the Sincpac-C3D Ribbon tab should reappear. You may also use the SPRibbonEnabled command to refresh the Sincpac-C3D tab in the Ribbon.

See Also

Blue Dot SPRibbonEnabled

Enables or disables the Sincpac-C3D tab in the Ribbon interface.


"Old Version" Lock

Description

Because of the incompatibility between yearly releases of Civil 3D, some users may find it necessary to use multiple versions of the software; for example, one project must be done with an older version of Civil 3D so that the drawings can be shared with another company. However, when doing this, it is easy to open a drawing in the newer version, and accidentally save it, upgrading the file. Civil 3D will warn you that you are opening an older-format drawing when you first open it, but not when you save it. And once a drawing has been upgraded, it can be very troublesome to get that drawing back to a usable state.

The OPTIONS Tab contains checkboxes that flag directories as 2008, 2009, 2010, or 2011, as seen below:

Sincpac-C3D OPTIONS tab

When one of these checkboxes is selected, an empty text file is created in the same directory as the current drawing. This empty text file is called "_keep_c3d2008.txt", "_keep_c3d2009.txt", "_keep_c3d2010.txt", or "_keep_c3d2011.txt", depending on which checkbox is selected. You can also create this file manually, if you wish. Unchecking the checkbox simply deletes this file from the directory. Whenever you trigger a save of a file, the Sincpac-C3D will check to see if one of these files exists in the same directory as the drawing. If one of the files exists, that drawing is considered "flagged" as one that should remain in the old format.

For example, if you select "Keep Drawings as 2009" for a directory, and then attempt to QSAVE any drawing in this directory using Civil-3D 2011, you will see a dialog like the following:

Old Version Lock dialog

This simply reminds you that you had flagged this directory as one that should remain in Civil-3D 2009 format. You may still save the file if you wish, or cancel the save. The purpose of this feature is to merely get your attention, and ask you if you REALLY want to save the DWG in Civil-3D 2011 format.

Similarly, if you attempt to SAVE a drawing, QUIT Civil-3D with open drawings, or attempt to CLOSE an open drawing, you may see the following warning:

Old Version Lock - Close dialog

This warning will appear just before the normal dialog box. You may still overwrite the drawing if you wish; this dialog box simply serves as a reminder.

WARNING: No warning dialog box appears for the SAVEAS command, so you will not be warned if you use SAVEAS to overwrite a drawing file.

See Also

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.


DrawingTemplate

Description

The DrawingTemplate system variable links the current drawing to a drawing template.

Usage

Type DrawingTemplate at the command line. You will then see the current setting for this system variable, and will be asked if you wish to change it. If you wish to link this drawing to a different template, answer "Yes", then browse to the location of the new template.

Note that if this value is set to an empty string, or if it points to a file that does not exist, then the setting for the QNEW template (in OPTIONS -> FILES) is used.

Currently, this feature is only used when the Sincpac-C3D creates new layers. This may happen when the previous settings for a command were set to a specific layer, but that layer does not exist in the current drawing. For example, say the Pt3d command is set to create points on the layer called MY-PT. If you run the command in a drawing that does not have a MY-PT layer in it, then the Sincpac-C3D will look in the drawing template for a layer called MY-PT. If it finds one, it will copy the layer from the template into the current drawing.

See Also

Blue Dot ImportLayer

A quick-import feature, which allows a single layer to be quickly and easily imported from a variety of sources.

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.


"Import Layer" Dialog

The "Import Layer" Dialog may be invoked from anywhere that a layer may be selected. The "Import Layer" button has an "I" on it, and appears next to the "Create new layer" and "Select layer by picking an item in the drawing" buttons, as seen in the following image:

Invoke 'Import Layer' Dialog

Note: the "Import Layer" button is only available if the Drafting Module is enabled. You may also directly invoke the "Import Layer" dialog by using the ImportLayer command.

Clicking on the small button with the "I" calls up the "Import Layer" dialog seen below:

'Import Layer' Dialog Tab 1

The "Import Layer" dialog has three tabs. The first tab allows you to import a layer from either the DrawingTemplate or the QNew Template (specified in OPTIONS -> Files). To import a layer from the desired source, select a layer from the combo box, as shown below:

Select Layer in 'Import Layer' Dialog

The selected layer is then copied into the current drawing.

Clicking on the button with the three dots, next to the Drawing Template filename, allows you to select a different file for the Drawing Template by browsing to a new file. This has the same effect as setting a new template link using the DrawingTemplate command.

The second tab allows you to import layers from the XREFs in the current drawing (if there are any), or from another currently-open drawing (if there are any). That tab is shown below:

'Import Layer' Dialog Tab 2

The third tab allows you to select a couple of "Favorite" files to import from. This tab is useful if you have some other drawing, other than the Drawing Template or QNew template, which you want to import layers from. It looks like this:

'Import Layer' Dialog Tab 3

The upper part of this tab contains a per-user setting, and allows you to select a "favorite" file to import from. This file may be either a drawing (.DWG file), or a template (.DWT file). Click on the button with the three dots to browse to a new file.

The lower part of this tab is similar, but this filename is stored in the current drawing. So this option allows you to select a "favorite" file for each drawing.

See Also

Blue Dot ImportLayer

A quick-import feature, which allows a single layer to be quickly and easily imported from a variety of sources.

Blue Dot Product Matrix

A table listing which features are available in each module of the Sincpac C3D.


SincpacC3D Command Aliases

SincpacC3D

Bonus tools for Civil-3D.

Command Aliases:

It is useful to assign command aliases to commands, to make them easier to run from the command line. Below are some suggested command aliases for Sincpac-C3D commands. These aliases do not conflict with any of the default command aliases found in the default installation of Civil-3D.

To add them to your installation, go to Tools->Customize->Edit Program Parameters. Then copy and paste the following lines to the end of the file. Make sure not to overwrite any of the existing lines in the file. Save the file, and type REINIT at the command line to reload the PGP file and refresh your aliases.

BP, *BrkPt
CAP, *CreateAlignProf
CAPF, *CAPFeature
CAPS, *CAPSurface
CLO, *CreateLowering
D, *PtInv
DP, *DisplayPoints
DPR, *DisplayProfile
FA, *FigArea
FL, *FlipObjects
FR, *FreePt
GL, *GenLabelLayer
HB, *HideBnd
IP, *IdPtGroup
LB, *LabLay
LC, *LotCorners
MP, *MovePoints
MX, *MarkerExtract
NX, *NextPt
PB, *PGBrowser
PCK, *PerpCheck
PCL, *PerpClean
PK, *Parking
PKC, *ParkingCount
PLA, *PLAlign
PLP, *PLProfile
POS, *ParcelOffset
PTF, *Pt2Feature
PTP, *Pt2Profile
RDUP, *RemoveDuplicatePIs
RM, *RotationMatch
RPM, *RotateMarkers
RPT, *RotatePoints
SEQ, *StationEquation
SF, *StaOff
SFP, *StaOffPrint
SGO, *SGObject
STAEQ, *StationEquation
STKF, *StakeFeatures
TOFG, *ToFGProfile
X2, *Extract2d
XX, *NextPt
ZZ, *ZoomPt


Regular Expressions

The option for "Use Regular Expression" is very powerful. With a normal search, the Find string must exactly match the text in the Raw Description. However, when "Use Regular Expression" is checked, both the Find and Replace strings are treated as Regular Expressions.

There are many options in Regular Expressions. For the most part, the characters in a Regular Expression are literal characters to match - the letter "a" matches the letter "a", and so forth. However, some characters in Regular Expressions have special meanings.

Some of the most-useful features of regular expressions are described here. However, Regular Expressions are a rather rich subject, and more information on them can be found by searching the web.

Character Escapes

Character Escapes are indicated using the Backslash ("\"). A Character Escape is simply a way of using normal letters to specify special characters. Some of the most-useful Character Escapes are in the table below:

Character Escape | Description
\t | Tab character.
\040 | ASCII code in octal.
\x20 | ASCII code in hexadecimal
\u0020 | Matches a Unicode character string.
\\ | Matches a literal backslash.

Character Classes

Character Classes indicate a set of characters. A Character Class will match any of the characters in its component set.

Character Class | Description
. | Matches any character except \n (newline).
[aeiou] | Matches any single character in the specified group. The example to the left would match any of the vowels (a, e, i, o, or u). A hyphen may also be used to specify a contiguous range of characters, e.g. [a-z] specifies all lowercase letters from a to z.
[^aeiou] | Matches any single character EXCEPT for those in the specified group. The example to the left would match any character EXCEPT for one of the vowels (a, e, i, o, or u). Hyphens may also be used to specify a contiguous range of characters.
^ | Matches the start of the string the pattern is being applied to.
$ | Matches the end of the string the pattern is being applied to.
\w | Matches any word character. The same as [a-zA-Z_0-9].
\W | Matches any character that is NOT a word character. The same as [^a-zA-Z_0-9].
\d | Matches any numerical digit. The same as [0-9].
\D | Matches any character that is NOT a numerical digit. The same as [^0-9].
\s | Matches any whitespace character (tabs, spaces, etc.).
\S | Matches any non-whitespace character.
\b | A word boundary, i.e. the transition between \w and \W characters. (May also indicate a backspace in certain cases.)

Quantifiers

Quantifiers indicate how many occurrences of the preceding character can be matched. For new-comers to Regular Expressions, one of their most-confusing aspects is that the asterisk (*) is a Quantifier in a Regular Expression, and not a wildcard. The difference can be seen in the Examples later in this page.

Some of the most-useful Character Escapes are in the table below:

Quantifier | Description
? | Matches either 0 or 1 occurrences of the preceding character. Basically, makes the preceding character optional in the match.
+ | Matches 1 or more occurrences of the preceding character. Will match as many characters as possible.
+? | Matches 1 or more occurrences of the preceding character. Will match as few characters as possible.
* | Matches 0 or more occurrences of the preceding character. Will match as many characters as possible.
*? | Matches 0 or more occurrences of the preceding character. Will match as few characters as possible.

These quantifiers are processed from left to right. This is usually only important when using grouping characters. See the sample regular expressions at the end of this page for some examples of this.

Grouping and Back References

It is also possible to create a group out of a portion of a Regular Expression, and then refer to that group later. A Group is created by using parentheses to indicate the limits of the group. Multiple groups may be declared in the same Regular Expression.

These Groups may then be referenced in the replacement string by using $1 to refer to the first one, $2 to refer to the second, $3 for the third, etc., through $9. See the end of the Sample Regular Expressions for some examples of how grouping works.

Sample Regular Expressions

Find String

Replace String

Sample Input and Output

ABC

XYZ

AB | AB
ABC | XYZ
ABCDEF | XYZDEF
ABCCCC | XYZCCC
ABCCCCDEF | XYZCCCDEF
ABDEF | ABDEF

ABC?

XYZ

AB | XYZ
ABC | XYZ
ABCDEF | XYZDEF
ABCCCC | XYZCCC
ABCCCCDEF | XYZCCCDEF
ABDEF | XYZDEF

ABC+

XYZ

AB | AB
ABC | XYZ
ABCDEF | XYZDEF
ABCCCC | XYZ
ABCCCCDEF | XYZDEF
ABDEF | ABDEF

ABC*

XYZ

AB | XYZ
ABC | XYZ
ABCDEF | XYZDEF
ABCCCC | XYZ
ABCCCCDEF | XYZDEF
ABDEF | XYZDEF

ABC.+

XYZ

AB | AB
ABC | ABC
ABCDEF | XYZ
ABCCCC | XYZ
ABCCCCDEF | XYZ
ABDEF | ABDEF

ABC.*

XYZ

AB | AB
ABC | XYZ
ABCDEF | XYZ
ABCCCC | XYZ
ABCCCCDEF | XYZ
ABDEF | ABDEF

^ABC

XYZ

ABC | XYZ
ABCDEF | XYZDEF
DEFABC | DEFABC

ABC$

XYZ

ABC | XYZ
ABCDEF | ABCDEF
DEFABC | DEFXYZ

(.+)\W+(.+)

$2 $1

ABC | ABC
ABC XYZ | XYZ ABC
ABC MNO XYZ | XYZ ABC MNO

(.+?)\W+(.+)

$2 $1

ABC | ABC
ABC XYZ | XYZ ABC
ABC MNO XYZ | MNO XYZ ABC


Customer Involvement Program

Description

By turning on Runtime Information Services, you can help improve the Sincpac-C3D by automatically sending us data about your usage. Your participation is optional, but greatly appreciated.

The Runtime Information Services transmit only Sincpac-C3D usage statistics, settings, and environment data. No personal data is transmitted as part of the Runtime Information Services.

The first time you install the Sincpac-C3D, you will be prompted about whether or not you wish to join the Customer Involvement Program. You can also enable or disable your participation at any time by typing SPCIP at the command line.


Known Issues

Automatic Point Group Updates

Automatic Point Group Updates sometimes happen on a delayed basis. As an example, this happens when using the Survey Tab in Toolspace to Import, Reimport, or "Insert to Drawing".

CreateAlignProf

When the source object is a Feature Line, the CreateAlignProf command ignores curves, and creates a tangent segment that cuts directly from end to end of the curve. However, the CAPFeature or CAPSurface command may work instead.

Dynamic Links

Deleting a PVI with a Dynamic Link will cause that Dynamic Link to jump to an adjacent PVI, if that adjacent PVI does not already have a link. This is a side-effect of the way that Profiles are defined in Civil-3D. Currently, the only workaround is to delete the Dynamic Link before deleting the PVI.

If the option is turned on for displaying update messages when Dynamic Links are being updated, the message does not appear in the command window until after the update is complete.

There is also an issue where Corridors do not always get flagged as being "dirty" when Dynamic Profile Links update, which means automatic corridor rebuilds will not be triggered. In this situation, rebuild the Corridor by right-clicking on the Corridor in Prospector and selecting "Rebuild Corridor".

Entity Tracker

The EntityTracker sometimes returns odd results when hovering the cursor over Civil 3D elements such as Corridors and Surfaces.

Point Group and Style information cannot be displayed for Cogo Points that are in XREFs.

Layer commands

The layer commands (SPLayOff, SPLayFrz, SPLayIso, SPLayMch) currently do not work on all entities. Most notably, they do not work on C3D Surfaces - instead, they work on the overall Surface object layer, just like the default AutoCAD layer commands. They also do not currently work on entities found in XREFs.

ParcelOffset

The ParcelOffset command does not return correct results in all cases. It can be confused by very short segments, or may create erroneous loops in some situations, and does not detect narrow strips where the offsets from either side overlap each other.

PerpCheck

The PerpCheck command cannot identify all errors in Parcels. There are some errors that appear to be created by floating-point precision error. The gap appears to be closed, but the Parcels cannot correctly-form. In this situation, the PerpCheck command is also unable to find the error.

If you can find the location of this error, it can usually be fixed by grabbing a Parcel line and using OSNAPs to snap it to the linework it should attach to. This usually fixes the problem with the Parcels. The hard part is finding the location of the problem, since the PerpCheck routine cannot detect it.

PLProfile

The PLProfile command currently cannot create Profiles with vertical curves. The Profile must be created from linework that runs from PVI to PVI, then the vertical curves can be added.

The Ribbon Interface

Currently, the Ribbon Interface is force-loaded into the current Workspace. Some commands (such as the CUI command) will remove the Sincpac-C3D tab from the Ribbon. If this happens, you can get the Sincpac-C3D tab back by reloading your current Workspace. You may also use the SPRibbonEnabled command to refresh the Sincpac-C3D tab in the Ribbon. (Note: the Ribbon Interface is not available in the 2008 and 2009 versions.)

SPParcelInverse

The very first time this command is used, the palette does not display the contents completely. Just slightly adjust the size of the palette and it will then display correctly thereafter.

StakeFeatures

Intervals for the StakeFeatures command use the 3D length along 3D-Polylines, instead of the 2D length. Intervals are correctly measured along standard polylines, Feature Lines, and Survey Figures.

Quicksets

When Importing and Exporting Quicksets between drawings, items referred to in Quicksets are not imported/exported. In particular, Styles and Layers are not imported/exported with the Quickset, but must be transferred separately (i.e., drag and drop Styles in Toolspace, and use Design Center to drag and drop Layers).

General Alignment and Profile issues

Currently, some commands that involve entering stations on alignments only work with the Raw Station as input. For example, the StationEquation command only understands raw stations as input.

There is a general issue with Profile Labels in Profile Views.

In Civil-3D 2009, Profiles created through the API are erroneously flagged as being "From File", and display the "From File" icon instead of the "Finish Grade" icon. For many usages, this does not make a difference. But for some usages, these Profiles are not available. For example, these Profiles are not available when placing vertical geometry labels on Alignments. Currently, the only workaround is to create a new FG Profile on the Alignment. Then right-click on the "bad" Profile, select "Edit Profile Geometry", and use the "Copy Profile" button to copy the "bad" Profile into the empty FG profile. Then delete the "bad" Profile. Hopefully this issue will be addressed with a service pack from Autodesk.

Large Fonts

The display of some controls is incorrect when Large Fonts are enabled (120dpi on Windows Vista or greater than 100% on Windows 7).

Installation Issues

A crash may result if the Sincpac-C3D is not loaded during Civil 3D startup. To avoid this issue, either make sure the Quux.SincpacC3D.dll is loaded from the acad.lsp file, or use the installer package, which configures the Sincpac-C3D to load automatically during Civil 3D startup.

Windows Vista/7 may complain if you leave the Sincpac.CUI file in the Sincpac-C3D installation directory. To get around this problem, copy the CUI file to the same directory as your other CUI files, then add it as a Partial CUI.


SincpacC3D Command Summary

SincpacC3D

Summary of Commands:

Blue circles indicate commands that are only available in the Full Edition. Red circles indicate commands that are part of the Free Edition (although StakeFeatures has fewer options in the Free Edition than in the Full Edition). Also, Quickset functionality is not available in the Free Edition. See the Product Matrix for further information.

Blue Dot AddMultipleSegmentLabels

The AddMultipleSegmentLabels command add line and curve segment labels to multiply selected lines, arcs, feature lines, and polylines, with options for selecting the line segment and curve segment label styles.

Blue Dot AddProfViewStaElevLabel

The AddProfViewStaElevLabel command adds profile view station elevation labels to a profile view.

Blue Dot AddPVIs

Add selected Civil-3D Points to an existing Profile as PVIs, or create a new Profile using the points.

Blue Dot AlignmentsLengthReport

Analyzes the alignments in a drawing for length and name and exports the information to Microsoft© Excel.

Blue Dot AnalyzeDistortion

Analyzes the distortion between grid and ground distances, using either Cogo Points or an existing ground surface in the current drawing.

Blue Dot BGMaskOff

Turn off background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot BGMaskOn

Turn on background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot BGMaskToggle

Toggle background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Red Dot BrkPt

Similar to Land Desktop's "Breaklines By Points" command. Allows the user to quickly and easily add breaklines to a Civil-3D surface by picking points in the drawing.

Blue Dot BuildSelectionSet

Quickly and easily build filtered selection sets. Designed to look and feel like the familiar Land Desktop command of the same name.

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

CAPSurface is "Create Alignment and Profile, sample from Surface". Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Red Dot ChElev

Change the elevation of selected items. Designed to raise flattened contours up to their actual elevations.

Red Dot ChPipeHydraulicsFactors

Changes the hydraulic factors (Manning's Value, Hazen Williams Coefficient, and Darcy Weisbach Factor) of the selected pipes.

Blue Dot ChangeStartParam

Change which vertex is used as the start point of Closed Polylines.

Blue Dot CivilStyleProperties

Lists the Layers and Text styles used by Civil3D Styles and allows the user to change which layer and/or text style to be used by a selected style.

Blue Dot CompareCivilStyles

Compare Styles in current drawing with those in another drawing, and see lists of Styles that are found in only one drawing or the other, or common to both drawings. (Note: Only compares Style NAMES.)

Blue Dot CorridorExtractPolylines

Extracts multiple 3DPolylines from a corridor based on the selected codes.

Blue Dot CpProps

Copy properties and styles from one object to another.

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.

Blue Dot CreateAlignsFromPolylines

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile. Additionally offset alignments may be created along with surface profiles. This command may assist in modelling curb and gutter surfaces utilizing autofeaturelines.

Blue Dot CreateCurbs

Creates new featurelines for the TopBack, TopFace, BottomFace and, optionally, the GutterLip, relative to either the selected Featureline's elevations or a surface, from an existing featureline or polyline and an existing surface.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot CreatePads

Creates a level pad, relative to a surface, from an existing closed (or near closed) polyline and an existing surface.

Blue Dot CreatePointsFromLabels

Creates Civil-3D Points at the exact location and elevation of Surface Elevation Labels found in a drawing.

Blue Dot CreateSectionAlignmentLines

CreateSectionAlignmentLines allows the user to create alignments from point groups or selected polylines to represent river sections. The command intent is to allow the export of hyrology information for a hydrology study, such as HEC-RAS, MIKE 11, or ISIS, without the use of an existing ground surface.

Blue Dot CurveSolver

Key in two values for a curve, and solve for the remaining values.

Blue Dot DigitizeSectionTo3DPoly

Creates a 3DPolyline from selected polylines or digitizing sections. Polylines may be selected which are over a Civil 3D Section View, created by selecting a polyline over a non-Civil 3D section view, or by digitizing images or PDFs.

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Blue Dot DisplayProfile

Same thing as the DisplayAlignProf command.

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLLabels

Creates a dynamic link between a Profile View Label and a Civil-3D entity (pipes and profiles).

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot DLPointsViewer

Displays a form with tabs showing which "Master" objects have which points linked to them.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.

Blue Dot DLSewerLaterals

Creates links between main pipe network pipes and lateral pipe network pipes.

Blue Dot DLSewerLateralsManager

Deletes sewer lateral links from the main and lateral pipes.

Blue Dot DLSewerLateralUpdateRules

Updates the rules that a lateral pipe uses when updated in relation to a main line pipe.

Blue Dot DrawingTemplate

Gets or sets the link to the Drawing Template used for this drawing.

Blue Dot ElevateFeaturelineFromText

Set featureline vertice elevations based on adjacent Text/Mtext objects.

Blue Dot EntityTracker

Displays information about items underneath the cursor.

Blue Dot ExportCivilStyles

Allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Blue Dot ExportKML

Dump selected Cogo Points to a KML file, which may be loaded into Google Earth. Blocks from Point Markers may be individually mapped to images on a public server.

Blue Dot Extract2d

Extracts selected linework (Feature Lines, Survey Figures, Parcels, Alignments, 3D-Polylines, and more) into a flattened polyline. May be used to extract linework from items in the current drawing, or from items in XREFs or DGN Underlays. When selecting items in XREFs, the extracted linework is created in the current drawing. Additionally, when selecting Cogo Points that are in XREFs, the Cogo Points are copied into the current drawing.

Blue Dot FigArea

Displays the 2D surface area of selected items.

Blue Dot FindParcel

Find and Replace text in the Name or Description of Parcels.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.

Blue Dot FlipObjects

Flip objects 180 degrees.

Red Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot GenLabelLayer

Changes the current Object Layer settings for General Note and General Segment Labels to match an object selected on-screen.

Blue Dot GlobalLabelSettings

Allows the user to update Label Styles from older versions of Civil 3D to use the newer formatting codes.

Blue Dot HashParcel

Create hash marks at PIs, PCs, PCCs, and PRCs for all Parcels in the selected Sites.

Blue Dot HashPoly

Create hash marks at PIs, PCs, PCCs, and PRCs along polylines, Feature Lines, Survey Figures, or Parcels.

Red Dot HideBnd

Create surface "Hide" boundaries from drawing objects.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.

Blue Dot ImportLayer

A quick-import feature, which allows a single layer to be quickly and easily imported from a variety of sources.

Red Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot LegendBuilder

Allows the user to quickly and easily build a Symbol and/or Abbreviation legend from the symbols & text actually used in the chosen drawing(s).

Blue Dot LotCorners

Set points on all lot corners in the selected parcel(s).

Blue Dot LotFit

Select Cogo Points and Linework (Polylines or Parcels), and see the distance and direction to each Cogo Point from the nearest linework vertex.

Blue Dot MarkerExtract

Extracts the custom symbols from Point Markers in the selected points, and creates free blocks that may be moved independently of the Point. Useful for making overtyping symbols readable without changing the point data. Also, may be used to extract point descriptions to MTEXT or MLEADER entities, with a specified Width value.

Blue Dot MatchSubAssyProps

Provides a simple method to copy the numeric values between same type subassemblies.

Red Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group. This command may also be used to move points that are locked to a Station/Offset via a Dynamic Point Link (the DLPoints command).

Blue Dot MoveProf

Move all PVIs in the selected profile(s) along their alignment(s) by the specified value, or move them to the current start or end of the alignment. Particularly useful for "fixing" a profile after changing the stationing.

Red Dot NextPt

Set the next point number for point creation.

Blue Dot ObLaRead

Read Object Layer Settings from an XML file.

Blue Dot ObLaWrite

Write Object Layer Settings to an XML file.

Red Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.

Blue Dot 'POS

May be used to select a point on a C3D surface. Designed to be used as a transparent command, in response to a prompt to select a point on-screen.

Blue Dot ParcelAreaStats

Gives the user a method to gather Area statistics for a Site, or Sites, and the Parcels contained within them. The currently reported statistics are Total Number of Parcels, Minimum (smallest) Parcel Size, Maximum (largest) Parcel Size, and Average Parcel Size.

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.

Blue Dot Parking

Create parking stall linework. Parking stalls may be created by specifying stall dimensions, or by creating a specified number of equally-sized parking stalls between the selected points. Includes ability to automatically label the parking stalls with a stall count as they are created.

Blue Dot ParkingCount

Display the total count of parking spaces in the drawing.

Blue Dot PerpCheck

Analyzes all Parcels in the selected Sites, marking the points where the lot lines form perpendicular or radial intersections. Can also mark corners where lot lines are NOT perpendicular or radial.

Blue Dot PerpClean

Cleans up all marker blocks created by the PerpCheck command.

Blue Dot PipeProfiles

Creates a profile along pipes related to a selected profile view.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot PGDisplayManager

Point Group Display States Manager. Provides a quick way to save and restore Point Group Display order states.

Blue Dot PGQuickAdd

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot PGResetPointNumbers

Resets the Point Numbers on the Include and Exclude tabs for all Point Groups in the current drawing.

Blue Dot PGUpdateAll

Updates all Point Groups in the current drawing. Equivalent to selecting the "Point Groups" collection in Toolspace and using right-click -> Update.

Blue Dot PGUpdateEnabled

Enables or disables the automatic updating of Point Groups in the current drawing. When enabled, Point Groups are automatically updated whenever one or more Cogo Points are created in the drawing. In addition, if PGUpdateOnEdit is also enabled, the Point Groups will be updated whenever one or more Cogo Points is edited.

Blue Dot PGUpdateOnEdit

Determines whether or not an automatic update of Point Groups should be triggered when Cogo Points are edited. PGUpdateEnabled must also be enabled.

Blue Dot PipeElevationEditor

Used just like the Quick Elevation Editor for Featurelines. The user may edit the Start Elevation, End Elevation, the slope holding the start elevation or the slope holding the end elevation. User may toggle to track the pipe invert at any point along the pipe.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot PLProfile

Create a profile from a polyline in a profile view.

Blue Dot PoInv

Displays an inverse between two Cogo points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points. It can also maintain a running total of successive distances, adding the value of each measurement to the running total. Cogo Points may be selected on-screen, or by typing Cogo Point numbers at the prompt.

Blue Dot ProfileStationing

Creates a profile representing the profile length as elevation values. It may be useful to show pipe stationing in Civil 3D. The profile is not dynamic.

Blue Dot ProfileStationingReplaceLabels

Replaces a text component in order to label pipe stationing in profile labels.

Blue Dot PrunePVIs

Prune PVIs from a Finished Ground profile.

Red Dot Pt2Feature

Datum-adjust points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Red Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtAng

Displays the angle formed by three points. The angle dimension is displayed as an interior angle, an exterior angle, and a deflection angle.

Blue Dot PtAverage

Create a point with a variety of options, at the average location of selected points.

Blue Dot PtArc

Displays the arc distance, radius, and delta (central) angle of the arc segment defined by picking three points. Points may also be specified by keying in point numbers at the prompt.

Blue Dot PtConnect

Draw Polylines or 3D-Polylines between Cogo Points.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points. It can also maintain a running total of successive distances, adding the value of each measurement to the running total. Points may be selected on-screen, or by typing Cogo Point numbers at the prompt.

Blue Dot PtProrate

Generate Cogo Points along an entity, using prorated distances.

Blue Dot PurgeCivilStyles

Purge unused Civil Styles from the current drawing.

Blue Dot PurgeModel

Removes all items from modelspace, including all Sites. This command can be useful for instances where it is desirable to use an existing drawing as the starting point for a new drawing, instead of using a drawing template.

Blue Dot 'RD

May be used to select a point along a curved object, by specifying the radial bearing. Designed to be used as a transparent command, in response to a prompt to select a point on-screen.

Blue Dot RemoveBreaklineFromSurface

Removes selected objects from Surface breakline definitions.

Blue Dot RemoveDuplicatePIs

Removes duplicate PIs from Polylines, 2D-Polylines, and 3D-Polylines.

Blue Dot RenameCivilStyles

Search-and-Replace on Names and/or Descriptions of Civil Styles.

Blue Dot ResetObjAnnoScales

Adds the current Annotation Scale to the scale lists of the selected objects (if necessary), while simultaneously removing all other Annotation Scales, leaving only the current Annotation Scale in the list.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotateIndividual

Rotate selected objects. Each object is rotated individually around its insertion point. When used on Cogo Points, this command rotates the Point Marker. When used on MLeaders that have a single leader, the MLeader is rotated around the arrowhead.

Red Dot RotateMarkers

Rotate Civil-3D Point Markers.

Red Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When matching a linear object such as a polyline, all objects are rotated to match the bearing of the selected pick point on the linear object.

Blue Dot RoundPointElevations

Rounds selected Cogo Point elevations to the specified interval.

Blue Dot ScalePoints

Scales Civil-3D Cogo Points horizontally without applying a datum adjustment to the points.

Blue Dot ScaleXY

Scales most objects in just the XY direction, maintaining the original elevation.

Blue Dot ScaleZ

Scales most objects in just the Z direction (the elevation), without changing the horizontal location.

Blue Dot SelectPointsAboveOrBelowSurface

Select Civil-3D Points lying either Above or Below a Surface, optionally limited by point group, so they can then be used in other commands.

Red Dot SelPtGroup

Select Civil-3D Points by point group, so they can then be used in other commands.

Blue Dot SortConnectedPipes

Sorts pipes connected to selected structures based on size or invert elevations.

Red Dot SGObject

Straight-grade points, using an existing piece of linework as a temporary alignment for the grading.

Red Dot SGRD

Straight-grade points, using a temporary grading line drawn through pick points.

Red Dot SPActivate

Enter product activation key.

Blue Dot SPAddPipesByPolyline

Adds Pipes to an existing Pipe Network based on selected Polylines and user supplied settings.

Blue Dot SPAdjustPipeSlopes

CHange the slopes of selected pipes to match the slope as set in the commnad's settings.

Red Dot SPCIP

Enable or disable participation in the Customer Involvement Program.

Blue Dot SPExportDescKeys

Exports Description key sets to an importable, zipped, XML file.

Blue Dot SPGetConnectedPoints

Exports CogoPoint numbers found at vertices of a selected polyline to the Clipboard.

Red Dot SPHelp

Displays this help file.

Blue Dot SPImportDescKeys

Imports Description key sets from an importable, zipped, XML file created by the SPExportDescKeys command.

Blue Dot SPImportTrimbleDescKeys

Reads the description keys FXL file created by the Trimble software and import them into a C3D description key set, creating layers, blocks (symbols), and PointStyles as needed.

Blue Dot SPInverseByCogoPoints

Allows creating, and saving in projects and sets, inverse closures by Cogo Points. Each "Set" can be output to a printer or Print to File.

Blue Dot SPLabelAssembly

Allows the user to select Corridor Assemblies and add MText labels with a Field set to the assembly name.

Blue Dot SPLabelAssemblySettings

Brings up the Label Assembly Settings dialog in which you can set the options for autolabeling assemblies.

Blue Dot SPLayFrz

Similar to the LAYFRZ command, except will freeze (or vpfreeze, in paperspace) the "apparent" layer of certain Civil-3D entities.

Blue Dot SPLayIso

Similar to the LAYISO (Layer Isolate) command, except that when certain Civil-3D entities are selected, all layers involved in displaying the entity will remain visible. Also works to isolate entire XREFs, or individual layers inside of XREFs.

Blue Dot SPLayMch

Similar to the LAYMCH (Layer Match) command, except objects are changed to match the "apparent" layer of certain Civil-3D entities.

Blue Dot SPLayOff

Similar to the LAYOFF (Layer Off) command, except will turn off the "apparent" layer of certain Civil-3D entities.

Blue Dot SPParcelInverse

Gives the user a method report the 2d Inverse and/or Mapcheck of the perimeter of a Parcel, Polyline, Featurline, or Figure.

Blue Dot SPPipeCoverReport

Create a report and opional Table of allNetwork Pipes Depth or Cover.

Blue Dot SPQuickDaylight

Quickly add daylight polylines calculated from a polyline or featureline to a predefined Surface.

Blue Dot SPRandomDaylight

Finds the daylight point on a surface from a selected point, using the point or user entered elevation.

Red Dot SPRegister

Request trial activation key. (The Trial Request Code may also be found in the OPTIONS Tab.)

Blue Dot SPRibbonEnabled

Enables or disables the Sincpac-C3D tab in the Ribbon interface.

Blue Dot SSMRenumber

Allows the user to renumber all of the sheets, or another sheet property, within a Sheet Set.

Blue Dot StakeFeatures

Create elevated offset points along Feature Lines, Survey Figures, Parcels, Polylines, or 3D-Polylines for survey stakeout.

Red Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.

Red Dot StaOffPrint

Send the file created by the StaOff command to the default printer.

Blue Dot StationEquation

Key in a station on one alignment, and see the station/offset of that point as measured along another alignment.

Blue Dot StationPoints

Adds Station and Offset to the description of selected points.

Blue Dot StretchProf

Slide Profile PVIs from pick point to beginning or end of alignment. Useful for "fixing" a profile after editing the alignment.

Blue Dot SwapLabelSurf

Swaps surface used by Surface labels.

Blue Dot SwapPipeNetworkParts

Swaps multiple pipes or structures from one size to another size.

Blue Dot ToFGProfile

Convert an Existing Ground profile (sampled from a surface) to a Finish Grade profile (with editable geometry points).

Blue Dot TopoStationLabeler

Label Cogo point description at the Station & Offset along an alignment.

Blue Dot TwistGroup

Rotate selected objects around a selected pick point by a set amount.

Red Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ViewportLayers

Specifies the layer that should be used for all newly-created viewports.

Red Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.

Blue circles indicate commands that are only available in the Full Edition. Red circles indicate commands that are part of the Free Edition (although StakeFeatures has fewer options in the Free Edition than in the Full Edition). Also, Quickset functionality is not available in the Free Edition. The Sincpac-C3D commands are also split into four modules, which may be purchased individually. See the Product Matrix for more details.


CorridorExtractPolylines

Description

The CorridorExtractPolylines command extracts multiple 3DPolylines from a corridor based on the selected codes.

Usage

Type CorridorExtractPolylines at the command line, and select the corridor to extract the feature lines from. When you have finished selecting the corridor, a dialog box will be shown. Select the featurelines to extract as 3DPolylines. Press OK and the 3DPolylines will be inserted into the drawing on the current drawing layer.

Select Corridor Featurelines Dialog box


MatchSubAssyProps

Description

The MatchSubAssyProps command provides a simple method to copy the numeric values between same type subassemblies.

After starting the MatchSubAssemblyProps command, you will be prompted to select the source subassembly. Upon a successful selection you will then be prompted to select the subassemblies to match to the source subassembly. You may create the selection by individual selection or by window/crossing/fence. Only those subassemblies whose type matches the source wil actually be modified. After you are done with the selection process, press ENTER to process the subassemblies. NOTE - Only the properties having a numeric value (width, height, depth, etc.) are changed. All others (side, code, etc.) are unaffected.

See Also

Blue Dot SPLabelAssembly

Allows the user to select Corridor Assemblies and add MText labels with a Field set to the assembly name.


RebuildAllCorridors

Description

The RebuildAllCorridors command will rebuild all Corridors in the current drawing.

Usage

Type RebuildAllCorridors at the command line.


SPLabelAssembly

Description

The SPLabelAssembly command allows the user to select Corridor Assemblies and add MText labels with a Field set to the assembly name.

This command adds MText labels with fields. After starting the SPLabelAssembly command, select the assemblies you wish to add labels to. You may enter SE to bring up the Settings dialog (also available separately: SPLabelAssemblySettings) in which you can set the option to place the label above or below the assembly, as well as any additional offsets in the X or Y directions. You can also specify the Layer for the MText and the text style to use. The last option is to specify whether to automatically label new assemblies with these settings. Once the selection is complete all selected assemblies will be labeled.

LabelAssembly Settings Dialog

See Also

Blue Dot SPLabelAssemblySettings

Brings up the Label Assembly Settings dialog in which you can set the options for autolabeling assemblies.


SPLabelAssemblySettings

Description

The SPLabelAssemblySettings command brings up the Label Assembly Settings dialog in which you can set the options for autolabeling assemblies.

After starting the SPLabelAssemblySetings command, the dialog box shown below is displayed. In this dialog you can set the option to place the label above or below the assembly, as well as any additional offsets in the X or Y directions. You can also specify the Layer for the MText and the text style to use. The last option is to specify whether to automatically label new assemblies with these settings.

LabelAssembly Settings Dialog

See Also

Blue Dot SPLabelAssembly

Allows the user to select Corridor Assemblies and add MText labels with a Field set to the assembly name.


AddPVIs

Description

The AddPVIs command adds selected Civil-3D Points to an existing Profile as PVIs, or create a new Profile using the points. The newly-created PVIs use the elevation of the Civil-3D Points.

Usage

Type AddPVIs at the command line, and select the points you wish to use for creating new PVIs. You may also select some points, then right-click and choose "Create/Add to Profile" from the shortcut menu. You will then see the following dialog box:

AddPVIs Dialog box

If any profiles already exist in the drawing, you may add the selected points as additional PVIs. In the top portion of the dialog box, select "Add to Existing Profile", then select the desired Profile. If there are no profiles in the drawing, this option is disabled and cannot be selected.

You may also create a new profile using the selected points, by selecting "Create New Profile" in the lower portion of the dialog. For this option, an Alignment must already exist in the drawing. Select the desired Alignment, and enter the information for the new profile in the lower portion of the dialog box.

If you select the option to "Create New Profile", then after you hit "OK" you will have the option to create a Profile View.

Example

The diagram below contains an Alignment with a Profile. A Profile View containing the Profile is above the alignment, and there is a single Civil-3D Point in the drawing.

AddPVIs Example Start

If we run the AddPVIs command, and select the Civil-3D point and the Profile, we get the following result:

AddPVIs Example End

See Also

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot PLAlign

Creates alignments polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.


CAPFeature

Description

The CAPFeature command creates an Alignment and Profile from a Feature Lines, and Survey Figures. Any curves in the Feature Line are maintained as curves in the Alignment. This command also contains an optional PVI pruning function similar to that found in the CAPSurface command.

Usage

Run the CAPFeature command and select the desired settings in the dialog box. Then select the 3D-Polyline or other object to use for creating the alignment and/or profile. The following dialog box will then appear:

The left side of the dialog contains the settings for the alignment, and the right side contains the settings for the profile. Once you have all settings the way you want them, hit OK. You will then be prompted to select a location for a Profile View. If you select a location, then you will see the Create Profile View dialog box. Or, you may right-click or hit the ESC key to skip the Profile View generation.

Unfortunately, it is difficult to have any control over the labels that appear on the Profiles in Profile Views. See the notes about the issues with Profile Labels in Profile Views for details.

When the option to "Prune excess PVIs from Profile" is selected, as many vertical PVIs will be removed from the Feature Line as possible. The resulting Profile will be within the specified tolerance of the source Feature Line at all points.

Example

The example below shows a Feature Line. When the Feature Line was created, elevations were sampled from the Surface. The Feature Line has been selected in the image below, and you can see all the horizontal and vertical PIs in the Feature Line indicated by blue dots.

CAPFeature Example 1a

We can now run the CAPFeature command by right-clicking and selecting "Create Alignment/Profile" from the list. After hitting OK, the program asks us to select a location for the Profile View. After selecting the location, we see an Alignment like the one shown below. Notice that all the grade breaks in the source Feature Line were ignored when creating the horizontal alignment geometry.

CAPFeature Example 1b

At the same time, a Profile is created from the Feature Line. In the settings for the CAPFeature command, we had deselected the "Prune excess PVIs from Profile" option, so we end up with one PVI for every grade break in the source Feature Line. Since the source Feature Line was created by sampling a surface, there are a lot of PVIs in the Profile, as shown below:

CAPFeature Example 1c

If we run the previous command in exactly the same way, except specify a value of 0.5' for "Prune excess PVIs from Profile", then the CAPFeature command will remove as many PVIs as possible, but still keep the Profile within ±0.5' of the source Feature Line at all places along the Profile.

CAPFeature Example 1d

See Also

Blue Dot CAPSurface

Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.

Blue Dot PrunePVIs

Prune PVIs from a Finished Ground profile.

Blue Dot ToFGProfile

Convert an Existing Ground profile (sampled from a surface) to a Finish Grade profile (with editable geometry points).


CAPSurface

Description

The CAPSurface command creates an Alignment and Profile from an existing polyline and surface, sampling the surface only at specific intervals and/or at enough points to keep the Profile within a specified range of the surface.

Usage

Type CAPSurface at the command line, and pick the polyline. You may also select a polyline, right-click, and select "Create Align/Prof Sample Surface" from the shortcut menu. You should then see a dialog box like the one shown below:

CAPSurface Dialog box

Along the left side of the dialog box are settings for the Alignment.

In the center of the dialog box are options for the new FG Profile created by this command. There are also settings for the Sample Interval and Tolerance for Supplemental Points, as well as an option for datum-adjusting the FG Profile after it is created.

The right side of the dialog box contains an option for creating an EG Profile along the alignment along with the FG Profile. There is also a combo box for selecting the surface to sample, as well as a checkbox for erasing the source polyline after creating the alignment and profile.

Once you have all settings the way you want them, hit OK. You will then be prompted to select a location for a Profile View. If you select a location, then you will see the Create Profile View dialog box. Or, you may right-click or hit the ESC key to skip the Profile View generation. Unfortunately, it is difficult to have any control over the labels that appear on the Profiles in Profile Views. See the notes about the issues with Profile Labels in Profile Views for details.

Surface sample interval:

If this option is checked, then the surface is sampled at the specified intervals. The intervals are measured from station 0+00, so a value of 50 will cause the surface to be sampled at even 50-foot stations. For example, if the Profile starts at station 1+22 and the interval is 50, the first sample station after the start of the alignment will be at 1+50, not at 1+77.

Tolerance for supplemental points:

If this option is checked, as many vertical PVIs as possible are pruned from the final Profile, while still keeping the resulting Profile within the specified tolerance of the source Surface at all points. This option will not prune PVIs added by the "Surface sample interval" command.

Datum-adjust Profile:

If this option is checked, the Profile is datum-adjusted by the specified amount after it is created.

Examples

The following examples are all based on creating Alignments and Profiles from the white polyline and the surface shown in the following image. Note the ravine running down the middle; we'll see it in the Profiles.

CAPSurface Surface for Examples

Example 1:

This Profile was created using a "Surface sample interval" of 50 feet. Notice that there is a PVI every 50 feet, regardless of the terrain. (The existing ground can be seen in red.)

CAPSurface Example 1

Example 2:

This Profile was created using a "Tolerance for supplemental points" of 1 foot. Notice that this time, the Profile basically follows the existing ground, staying within 1 foot of the EG surface at all points. This results in far fewer PVIs in the Profile.

CAPSurface Example 2

Example 3:

This Profile was created using a "Surface sample interval" of 100 feet, and a "Tolerance for supplemental points" of 0.5 feet. To create this Profile, PVIs are added at all the even 100-foot stations. Then the Profile is compared to the surface, and PVIs are added to the Profile until it is within 0.5 feet of the surface at all points.

CAPSurface Example 3

Example 4:

This Profile was created using a "Tolerance for supplemental points" of 0.5 feet, and a "Datum Adjustment" value of -6 feet. To create this Profile, PVIs are added to the Profile until it is within 0.5 feet of the surface at all points. The Profile is then datum-adjusted downward by 6 feet. (Again, the red line is the EG Profile created from the surface.)

CAPSurface Example 4

See Also

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot PLProfile

Create a profile from a polyline in a profile view.

Blue Dot PrunePVIs

Prune PVIs from a Finished Ground profile.

Blue Dot ToFGProfile

Convert an Existing Ground profile (sampled from a surface) to a Finish Grade profile (with editable geometry points).


CreateAlignmentsFromPolylines

Description

The CreateAlignmentsFromPolylines command creates Alignments and Profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the Alignment and Profile. In addition offset alignments and profiles from surfaces may be created at the time of conversion.

This command may be used to create both a Profile and Alignment simultaneously, or to create only an Alignment, or to add a Profile to an existing Alignment. In addition offset alignments and profiles maybe created. In any case, the source object is a 3D-Polyline or other linear object, and all pruning options may be used.

This command contains options for pruning the source linework in both the horizontal and vertical directions. These pruning options are applied completely independently of each other. So a point that is pruned from the alignment may still appear in the profile, and vice-versa.

Unfortunately, because of the built-in pruning employed by this command, a feature line that contains arc segments will lose its arcs with this command. If you may want to try the CAPFeature command instead. Also, this command processes standard polylines differently, in order to avoid losing the curves. However, because of this, the horizontal pruning and "Add Curves" options are disabled when creating Alignments/Profiles from standard polylines.

Usage

Run the CreateAlignmentsFromPolylines command and select the desired settings in the dialog box. Then select the 3D-Polylines or other objects to use for creating the alignments and/or profiles. The following dialog box will then appear:

On the left side of the dialog, you may choose to either use the linework to create a profile on an existing alignment (if one exists), or you may create a new alignment. If you are creating a new alignment, the "Create Profile" checkbox will be available to you on the right side of the dialog box. So this command may be used to create both an alignment and profile, or create only an alignment, or create only a profile. The alignment counter format and alignment name counter increments the names of the alignments created to prevent duplicate names.

On the right side of the dialog box select the number of offsets to be created. The direction of the offset is relative to the direction of the object being created from an alignment. A target surface maybe created from a different surface for each offset alignment. The suffix will be included in the offset alignment's name. The format of the offset alignment name will be the base alignment, offset distance, suffix, and then the alignment counter.

Once you have all settings the way you want them, hit OK. The alignments and profiles will be created. If the erase polylines after creation check box is selected the original objects will be deleted.

Here is a brief description of the options available in this dialog box:

Ref Station: Enter the reference station for the alignment, with no station marks, i.e. for Station 10+00, enter "1000". Click on the little button next to the reference station if you wish to pick a point on-screen, or by default, the reference station is at the start of the alignment.

Prune Straightaways: When selected, this option removes PIs that are on-line between the PIs on either side.

Weed Horiz PIs: Extra weeding factors for removing PIs. The PIs are examined from first to last in groups of three. If the overall distance (x+y in the diagram below) is less than the weeding distance, and the deflection angle is less than the weeding angle, then the middle point is pruned. Then the comparison is repeated for the next group of three points.

CreateAlignmentsFromPolylines horiz weeding

Add Curves to Alignment: When checked, a floating curve of the specified radius is added to each vertex, if it will fit.

Weed PVIs: When selected, this option will remove as many PVIs as possible, yet still end up with a resulting Profile that is within the specified tolerance at all points. For example, a value of 0.5' for this setting would result in a Profile that had as few PVIs as possible, but is within 0.5' of the source linework at all points along the Profile.

Erase Polylines: This option will remove the source objects from the drawing.

Create Offset Alignment: This option will create an offset alignment.

Offset: This option specifies the offset distance from the base created alignment. The offset values are not additive.

Usage: The command is originally intended to assist in the modelling of curb and gutter for a parking lots. A base surface representing the flow of the parking lot would be created. Offset alignments are created from the source object and then surface are sampled for the elevation of a various surface. The surfaces are intended to represent the Back of Curb, Top of Curb, Flowline, and Edge of Gutter. Dynamic AutoFeatureLines may then be created utilizing the Civil 3D command to create featurelines. The featurelines may then be added to a surface. The surfaces, profiles, and autofeaturelines are then dynamic and will update the design surface based on updates to the base surface.

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.

Blue Dot PrunePVIs

Prune PVIs from a Finished Ground profile.

Blue Dot ToFGProfile

Convert an Existing Ground profile (sampled from a surface) to a Finish Grade profile (with editable geometry points).


CreateAlignProf

Description

The CreateAlignProf command creates Alignments and Profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the Alignment and Profile.

This command may be used to create both a Profile and Alignment simultaneously, or to create only an Alignment, or to add a Profile to an existing Alignment. In any case, the source object is a 3D-Polyline or other linear object, and all pruning options may be used.

This command contains options for pruning the source linework in both the horizontal and vertical directions. These pruning options are applied completely independently of each other. So a point that is pruned from the alignment may still appear in the profile, and vice-versa.

Unfortunately, because of the built-in pruning employed by this command, a feature line that contains arc segments will lose its arcs with this command. If you may want to try the CAPFeature command instead. Also, this command processes standard polylines differently, in order to avoid losing the curves. However, because of this, the horizontal pruning and "Add Curves" options are disabled when creating Alignments/Profiles from standard polylines.

Usage

Run the CreateAlignProf command and select the desired settings in the dialog box. Then select the 3D-Polyline or other object to use for creating the alignment and/or profile. The following dialog box will then appear:

On the left side of the dialog, you may choose to either use the linework to create a profile on an existing alignment (if one exists), or you may create a new alignment. If you are creating a new alignment, the "Create Profile" checkbox will be available to you on the right side of the dialog box. So this command may be used to create both an alignment and profile, or create only an alignment, or create only a profile.

Once you have all settings the way you want them, hit OK. You will then be prompted to select a location for a Profile View. If you select a location, then you will see the Create Profile View dialog box. Or, you may right-click or hit the ESC key to skip the Profile View generation. Unfortunately, it is difficult to have any control over the labels that appear on the Profiles in Profile Views. See the notes about the issues with Profile Labels in Profile Views for details.

Here is a brief description of the options available in this dialog box:

Ref Station: Enter the reference station for the alignment, with no station marks, i.e. for Station 10+00, enter "1000". Click on the little button next to the reference station if you wish to pick a point on-screen, or by default, the reference station is at the start of the alignment.

Prune Straightaways: When selected, this option removes PIs that are on-line between the PIs on either side.

Weed Horiz PIs: Extra weeding factors for removing PIs. The PIs are examined from first to last in groups of three. If the overall distance (x+y in the diagram below) is less than the weeding distance, and the deflection angle is less than the weeding angle, then the middle point is pruned. Then the comparison is repeated for the next group of three points.

CreateAlignProf horiz weeding

Add Curves to Alignment: When checked, a floating curve of the specified radius is added to each vertex, if it will fit.

Weed PVIs: When selected, this option will remove as many PVIs as possible, yet still end up with a resulting Profile that is within the specified tolerance at all points. For example, a value of 0.5' for this setting would result in a Profile that had as few PVIs as possible, but is within 0.5' of the source linework at all points along the Profile.

Note that this command may also be run from the shortcut menu by selecting any appropriate linework, right-click, and select "Create Alignment/Profile" from the shortcut menu.

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.

Blue Dot PrunePVIs

Prune PVIs from a Finished Ground profile.

Blue Dot ToFGProfile

Convert an Existing Ground profile (sampled from a surface) to a Finish Grade profile (with editable geometry points).


DisplayAlignProf

DisplayAlignProf (DisplayProfile)

Description

The DisplayAlignProf command (formerly the DisplayProfile command) displays geometry and interval points along an Alignment and Profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer.

Usage

Type DisplayAlignProf (or DisplayProfile) at the command line. Alternatively, select an Alignment or Profile on-screen, then right-click and select "Display Align/Prof" (or "Display Profile") from the shortcut menu. You will then see a dialog box like that below:

DisplayAlignProf Dialog box

An Alignment or Profile may be selected in the upper-right of the dialog box, and the data for the selected Alignment/Profile will be shown in the display. Similarly, a Surface may be selected, and the Surface elevation at each Station will appear in the display. Note that you may select cells in the display grid (you can also hold down CTRL or SHIFT to select multiple cells), then Copy and Paste the selection into Microsoft Excel or similar programs.

The columns in the display include the following:

  • Raw Station, Station: The Raw Station and Station String (including any station equations) along the Alignment. Note that when sorting by Station, the display sorts correctly, even if Station Equations are applied.
  • Elevation: The Profile Elevation at the Station, with an optional datum-adjustment applied.
  • Grade: The Instantaneous Grade of the Profile at the Station. If the Station represents a Grade Break, the Grade In and Grade Out of the Grade Break are displayed.
  • Description: The strings used in the "Description" field are the abbreviations from the Drawing Settings (Toolspace -> Settings tab, right click on the drawing name, Edit Drawing Settings -> Abbreviations tab). Note that the API for Civil-3D 2008 does not expose the "Begin Profile" and "End Profile" strings, so in the 2008 edition, these strings are hard-coded in the Sincpac-C3D.
  • Radius: The Instantaneous Radius of the horizontal Alignment at the Station, if the Station is in a horizontal curve or spiral.
  • Bearing: The Instantaneous Direction of the Alignment at the Station.
  • Northing, Easting: Northing and Easting of the Station along the Alignment.
  • Insd Lane, Insd Shoulder, Outsd Lane, Outsd Shoulder: Superelevation parameters at the Station (if any exist).
  • Surf Elev: Elevation of the specified Surface at the Station.
  • Cut/Fill: A Cut/Fill calculated between the Surface and Profile elevations.

The Quickset Panel and the Display

The Quickset Panel in the upper-right can be used to save your favorite display layouts. Note that all columns in the grid can be dragged into different orders and resized, and the table can be sorted by any column, by either increasing or decreasing values. In the image above, the display is sorted by increasing Raw Station (note the small triangle in the column header).

In addition to dragging the columns into a different order, it is possible to hide and unhide various columns by right-clicking in the grid view.

Zoom Feature

Note that it is possible to right-click on any row, and select "Zoom to..." to zoom directly to that station in the drawing. This is designed to allow you to take a "quick look" at that portion of the alignment. Click a mouse button, or hit ENTER or ESC on the keyboard, and you will return to the grid view.

Geometry Selection

The upper-left corner contains a set of controls that determine which types of geometry points appear in the list. You may select between the Alignment geometry points (PI, PC, PT, Spiral points, etc.), Profile geometry points (BVC, EVC, Grade Break, etc.), and points set at even intervals. The Offset can be used to shift the interval stations. For example, an interval of 25 and an offset of 10 would cause points to be generated at stations 0+10, 0+35, 0+60, 0+85, etc.

The Tolerance value causes interval points to be suppressed if there is already a geometry point within the specified distance. For example, assume the Interval is set to 25, and the Tolerance (Tol) is set to 5. If there is a PC at station 2+47.45, then no interval point will be created at station 2+50, because there is already a point within 5 feet of station 2+50.

The checkbox for "Adjust Interval at Sta Eqs" may be used to adjust the interval at Station Equations. In the image below, only the Interval points are displayed in the grid, and this option is NOT selected. Note how the entries in the grid are always 50 feet apart, even in the area around the Station Equation:

DisplayAlignProf Adjust Interval disabled

In the image below, the "Adjust Interval at Sta Eqs" option has been turned ON. Note how now the Station String is always at an even multiple of 50 feet, even in the area around the Station Equation:

DisplayAlignProf Adjust Interval enabled

Include Selected Stations

In addition to the horizontal and vertical geometry points, you may add individually-selected stations at any point of interest by adding stations to the "Include Selected Stations" list. Each Alignment has its own list of additional stations. Add additional stations by clicking the "Add Station" button", or by clicking the "Edit List" button. The "Edit List" button will display a dialog box like the following:

DisplayAlignProf Adjust Interval enabled

Right-click to add additional stations by either picking points in the drawing or by keying in a station, or select stations and hit the "Delete" key to remove them from the list. You may also use the buttons in the lower part of the dialog box to copy stations to/from other Alignments, or to/from a file.

Apply Datum Adjustment

The Datum Adjustment option may be used to apply a specified vertical offset to each point along the Profile. In order to call attention to the fact that a Datum Adjustment is being applied, the background for the Elevation column will turn a light salmon color when the "Apply Datum Adjustment" option is selected. The image below shows the same Profile as the first image above, except now a Datum Adjustment of 0.50 is being applied. (In addition, the columns have been re-arranged into a slightly different display.)

DisplayAlignProf with Datum Adjustment

Cut/Fill Format

The format of the Cut/Fill columns may be adjusted by clicking the "Cut/Fill Format" button. Additionally, the direction of the Cut/Fill may be specified by clicking on the "Profile to Surface" and "Surface to Profile" radio buttons.

Generate Points

Click on the "Generate Cogo Points" button to generate Cogo Points along the Alignment. Points are generated at each station shown in the grid, so configure the grid display options before clicking on this button. To generate Cogo Points along only a portion of the Alignment, select the desired rows in the grid before clicking on this button.

Draw Lines

Click on the "Draw Lines" button to draw lines perpendicular to the Alignment. Lines are drawn at each station shown in the grid, so configure the grid display options before clicking on this button. To draw lines along only a portion of the Alignment, select the desired rows in the grid before clicking on this button. (Users of the original Sincpac for Land Desktop may recognize this as the old NOTCH command.)

Print to File

Click on the "Print to File" button to save the current display to a delimited text file, such as a CSV file. Items are output to the file in the same order as the column display order on the screen, so you may drag the columns to a different display order to change the way the CSV file is generated. You may also select which columns you want to output to the text file. When you hit the "Print to File" button, you will see the following screen:

DisplayAlignProf Print To Profile Dialog box

The file is created in the same directory as the DWG file. You may also specify a relative or full path in the Filename dialog box. If the Filename contains an asterisk (*), the asterisk will be replaced with the Profile name.

The rest of the dialog box contains various options for the output. If you wish to create a tab-delimited file, use "\t" for the Delimiter. These settings may be saved in a Quickset, using the Quickset Panel at the top of the dialog box.

Print to Printer

Click on the "Print to Printer" button to print the current display on the default printer. This is a "quick-print" functionality, designed to quickly send data to the printer. If you need greater control over the print, then use the "Print to File" option to send the data to a file, and edit the file in Excel. (Or select items in the Data Grid View, and copy-and-paste them into Excel.)

You may print the entire contents of the Data Grid View to the printer, or you may print only selected items.

See Also

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Blue Dot EntityTracker

Displays information about items underneath the cursor.

Blue Dot LotFit

Select Cogo Points and Linework (Polylines or Parcels), and see the distance and direction to each Cogo Point from the nearest linework vertex.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed in the command window and may also be written to a file.

Blue Dot StationEquation

Key in a station on one alignment, and see the station/offset of that point as measured along another alignment.

Blue Dot StationPoints

Adds Station and Offset to the description of selected points.


MoveProf

Description

The MoveProf command can be used to slide Profile PVIs a set distance forward or backward, or to match the beginning or end of the alignment. It is particularly useful for "fixing" a profile after changing the stationing.

Usage

Type MoveProf at the command line, and select the Profile you wish to change. Hit ENTER at the prompt to select a Profile from a list. Or, select a Profile in a Profile View, then right-click and select "Move Profile".

You will then be prompted for the distance you want to move the Profile. Key in a positive number to slide the profile toward the end of the Alignment, or a negative number to move them toward the beginning of the Alignment. You may also hit B to move each Profile so that the first PVI is at the starting station of the Alignment, or E to move each Profile so that the last PVI is at the ending station of the Alignment.

Example

Assume we have the alignment and profile below.

MoveProf Example 1a

Now, assume we want to change the starting station for the Alignment from station 10+00 to station 12+00. When we do that, the Profile stays at station 10+00, and we end up with something that looks like the following:

MoveProf Example 1a

Now if we run the MoveProf command, select the Profile, and enter B to move the start of the Profile to the start of the Alignment, we end up with the following:

MoveProf Example 1a

The Profile is once again correctly-placed between the start and end of the Alignment.

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot StretchProf

Slide Profile PVIs from pick point to beginning or end of alignment. Useful for "fixing" a profile after editing the alignment.


PLAlign

Description

The PLAlign command creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible. Currently, this command only works on standard polylines, and does not work on 3D-Polylines or Feature Lines.

Usage

Run the PLAlign command and select the desired settings in the dialog box. Alternatively, you may select a polyline, and then select "Create Alignment with Extensions" from the shortcut menu. You will then see the following dialog box:

Note: This command has some known issues, and does not always return the correct results. For example, it can get confused by multiple consecutive curves that are greater than 180 degrees. This issue is slated to be fixed in a future version.

Example

Consider the following polyline:

Running the PLAlign command yields the following result. Notice the curves contain extensions lines out to the PIs of the curves. The alignment may be edited by grip-editing the alignment, just as with any other alignment.

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.


PLProfile

Description

The PLProfile command can be used to create a profile from a polyline in a profile view. It is useful for those cases when you receive linework from someone who is not using Civil-3D, and you need to create a Civil-3D Profile from a "dumb" profile view. Starting with Sincpac-C3D v3.8 you may also select a Featureline, either in plan or projected into the profileview, which can be handy for existing roadside ditches, eop, etc.

Unfortunately, the current version of this routine cannot handle vertical curves. So the polyline used to create the profile should extend from PVI to PVI. Then once the Profile is created from PVI to PVI, go back and add the vertical curves using the normal Civil-3D Profile editing commands.

Usage

Before starting this command, make sure the linework you want to use has been joined into a continuous polyline, and is placed in the correct location on an appropriately-sized Profile View. Note that you may need to edit the vertical exaggeration in the Profile View Style.

Once you have a correctly-placed polyline on a Profile View, run the PLProfile command, and select the Profile View. Or, you may select the Profile View, right-click, and select "Create Profile from Polyline" from the shortcut menu. Then select the polyline or featureline you wish to use for creating the Profile. The following dialog box will then appear:

Polyline to Profile dialog

Set the various options as-desired, and click the OK button to create the Profile. The Profile is created without labels, so you will then need to apply the desired Label Set.

Note that you may select a layer for the new Profile to be created on, you may specify a suffix and/or a prefix. Clicking on the symbol in the "Profile Layer" box calls up the following dialog:

Select Profile Layer dialog

A new layer will be created by adding the suffix or prefix to the name of the selected layer. If you include an asterisk (*) in either the Suffix or Prefix, it is replaced with the name of the Profile. The actual name of the layer, after applying any suffixes and prefixes, is shown in bold type underneath the prefix and suffix text boxes. This is the name of the layer that the Profile will actually be created on, and the layer will be created if necessary. If a new layer is created, it is created with all the same attributes as the selected layer - color, lineweight, plot style, etc.

In the example above, the VZAP layer is selected, and a suffix is specified. When applying the suffix, the asterisk is replaced by the Profile Name, and the result is VZAP-WATER. If it doesn't already exist, the VZAP-WATER layer is created with all the same attributes as the VZAP layer.

Example

The diagram below shows a Civil-3D Alignment with Profile View. The white line drawn across the Profile View is a simple polyline.

Polyline to Profile Example Start

If we now select the Profile View, right-click, and select "Create Profile from Polyline", we are prompted to select the polyline. We then see the dialog box shown in the "Usage" section above. After configuring the settings as-desired and hitting OK, the polyline is converted into a Civil-3D Profile

However, this Profile contains no labels. To label it, we now need to select it, right-click, and select "Edit Labels...". We can then apply a Label Set, getting a result that looks something like that shown below:

Polyline to Profile Example Finish

For some more details about the label issue, take a look at these notes on the profile issues that exist with the current version of Civil-3D.

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.


ProfileStationing

Description

The ProfileStationing command creates a profile based on the length of profile. This provides a method of stationing a pipe distance for a profile. This method of stationing is often used for pipe line design. Once created the elevation of the profile maybe utilized in the profile bands to represent the profile length as a station value or utilize it in the ProfileStationingReplaceLabels command.

This command contains options for naming the profile, providing a description, profile style, and a layer.

Usage

Run the ProfileStationing command and select the desired profile to extract a profile to represent the length of the profile. The following dialog box will then appear:

Type in the desired name of the new profile. Enter a description and select a profile style and profile layer.

Once you have all settings the way you want them, hit OK. The profile will be created.

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.

Blue Dot PrunePVIs

Prune PVIs from a Finished Ground profile.

Blue Dot ToFGProfile

Convert an Existing Ground profile (sampled from a surface) to a Finish Grade profile (with editable geometry points).


ProfileStationingReplaceLabels

Description

The ProfileStationingReplaceLabels command replaces a label string with a profile elevation representing the profile length at the point being labelled. This provides a method of stationing a pipe distance for a profile. This method of stationing is often used for pipe line design. The alignment may be created by utilizing the ProfileStationing command.

This command contains options for selecting the profile to change, the reference profile, the text to replace and the station precision.

Usage

Run the ProfileStationingReplaceLabels command and select the profile view that contains both the profile labels to be replaced and the reference profile to represent the length of the profile. The following dialog box will then appear:

Select the profiles to be utilized as well as the text to replace. In the label styles for the profile add the Text to Replace string that represents the profile length stationing.

Once you have all settings the way you want them, hit OK. The profile labels will be replaced.

See Also

Blue Dot CAPFeature

ProfileStationing is a command to create the profile stationing command. CAPSurface.


PrunePVIs

Description

The PrunePVIs command prunes PVIs from a Finished Ground profile.

Usage

Type PrunePVIs at the command line, or select a Profile, right-click, and select "Prune PVIs" from the shortcut menu. You will see the following dialog box:

You may select a different Profile in this dialog box, but the PrunePVIs command will only work on Finished Ground profiles. After pruning, all points along the profile will still be within the specified tolerance of the starting values.

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot MoveProf

Move all PVIs in the selected profile(s) along their alignment(s) by the specified value, or move them to the current start or end of the alignment. Particularly useful for "fixing" a profile after changing the stationing.

Blue Dot PLProfile

Create a profile from a polyline in a profile view.

Blue Dot StretchProf

Slide Profile PVIs from pick point to beginning or end of alignment. Useful for "fixing" a profile after editing the alignment.

Blue Dot ToFGProfile

Convert an Existing Ground profile (sampled from a surface) to a Finish Grade profile (with editable geometry points).


StretchProf

Description

The StretchProf command can be used to slide Profile PVIs from a pick point to the beginning or end of the alignment. It's useful for "fixing" a profile after editing the alignment.

Usage

Run the StretchProf command, and select the Profile; or select a Profile, then right-click and select "Stretch Profile". You will see a prompt such as the one below:

Pick a point inside the segment you wish to "stretch". All PVIs after the pick point will be slid toward the end of the alignment, until the last PVI is at the beginning or end of the Alignment.

Note that you may also reverse the direction that PVIs are stretched. If the stretch direction is set to the BEGINNING of the alignment, all PVIs before the pick point will be slid until the first PVI is at the starting station for the alignment. Under normal usage, you probably want to leave the command set to stretch toward the END of the alignment (the default setting). Enter "D" (for "Direction" to flip the direction that PVIs will stretch.

Alternatively, you may enter "P" for the "Pvis" option to switch to PVI mode. In this mode, you may select a PVI, then select the station to move that PVI to (or key in a distance to move the PVI). All PVIs from the selected PVI to the beginning or end of the Alignment will move the specified amount.

Example

Examine the alignment and profile below. Note the first vertical curve has a PVI that is 50 feet from the start of the alignment, and the second vertical curve has a PVI 50 from the end of the alignment.

StretchProf Example 1a

Now, assume we decide to reduce the radius of the curve. The location of the start and the end of the alignment does not change, we merely change the length of the curve. However, now the Alignment is longer than the Profile, and we have something that looks like this:

StretchProf Example 1a

Now if we run the StretchProf command, and select the profile in the segment between the curves (where the slope is -1.57%), the profile is "stretched" to the end of the alignment. We now have something like the following:

StretchProf Example 1a

Notice that the Profile is once again the same length as the Alignment, and the PVI for the second vertical curve is still 50 feet from the end of the Alignment.

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.

Blue Dot CreateLowering

Add a lowering to an existing finish ground profile. Particularly useful for waterlines.

Blue Dot MoveProf

Move all PVIs in the selected profile(s) along their alignment(s) by the specified value, or move them to the current start or end of the alignment. Particularly useful for "fixing" a profile after changing the stationing.


ToFGProfile

Description

The ToFGProfile command converts an Existing Ground profile (sampled from a surface) to a Finish Grade profile (with editable geometry points).

Usage

Type ToFGProfile on the command line, then select an existing ground profile in a Profile View in the drawing. You will then see a dialog box like the one shown below:

If you select the option to prune PVIs, the resulting FG profile will contain as few PVIs as possible, while still keeping all points in the FG Profile within the specified distance of the original EG profile.

After converting the EG Profile to an FG Profile, you may need to edit the Profile labels (right-click on the Profile and select "Edit Labels...").

See Also

Blue Dot CAPSurface

CAPSurface is "Create Alignment and Profile, sample from Surface". Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot MoveProf

Move all PVIs in the selected profile(s) along their alignment(s) by the specified value, or move them to the current start or end of the alignment. Particularly useful for "fixing" a profile after changing the stationing.

Blue Dot PLProfile

Create a profile from a polyline in a profile view.

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot PrunePVIs

Prune PVIs from a Finished Ground profile.

Blue Dot StretchProf

Slide Profile PVIs from pick point to beginning or end of alignment. Useful for "fixing" a profile after editing the alignment.


DLPoints

Description

The DLPoints command manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Note: The EntityTracker may be used to identify Cogo Points that have Dynamic Links.

Usage

Type DLPoints at the command line, or select one or more Cogo Points on-screen, then right-click and select "Dynamic Links" from the shortcut menu. You will then be prompted to select a "master" object for the Cogo Point(s), which can be a Profile, an Alignment, a Surface, or a linear entity such as a Feature Line, Survey Figure, Polyline, 3D-Polyline, or Line.

You will then see a dialog box like that below:

DLPoints Dialog box

The panel in the upper-left displays the type of the "master" object, along with its name (if applicable). (Note that at this time, the new feature in Civil-3D 2009 for named Feature Lines is not supported, so Feature Line names will not appear in this panel.)

You may change the "master" object by clicking on one of the buttons in the "Select New Master Object" section, or you may copy all settings from a selected point.

The DLPoints command may also be used to edit the existing links of Cogo Points. Simply select any Cogo Point that has a Dynamic Link, then right-click and select "Dynamic Links".

The checkbox in the upper-left may be used to enable or disable the automatic updating of dynamic links for the current drawing. Typically, this option is left enabled. However, it may also be disabled, in which case the dynamic links may be updated using the DLRefresh command.

Various options in the Dynamic Links may be configured to place values in User Defined Properties (UDPs) on Cogo Points. These UDPs must be correctly configured, and the Point Group Classification must be set, or no data will appear in the UDPs.

Point Lock

These options allow the horizontal location of Cogo Points to be locked to the "master" object.

  • Lock to Station/Offset
    When selected, the Cogo Point will move to maintain the same Station/Offset, as measured along the "master" object. If the "master" object is a Surface, this option may still be used, as long the Cogo Point is also linked to an Alignment using the "Update Station/Offset" option.
  • Lock to nearest Horizontal Geometry Point
    When selected, the Cogo Point will move to maintain the same Station/Offset, as measured relative to the nearest horizontal geometry point on the "master" object. If the "master" object is a Surface, this option may still be used, as long the Cogo Point is also linked to an Alignment using the "Update Station/Offset" option.
  • Lock to nearest Vertical Geometry Point
    When selected, the Cogo Point will move to maintain the same Station/Offset, as measured relative to the nearest vertical geometry point (grade break, beginning of vertical curve, or end of vertical curve) on the "master" object. This option is only available if the "master" object is a Profile.

Note that if you enable this option for a Cogo Point and then attempt to drag it to a new location, the Cogo Point will not move. If you wish to move the point to a new location, either turn off the Point Lock option, or use the MovePoints command, which will move the Cogo Point without altering the dynamic link properties.

Elevation Settings

(Note: these settings are not available in the 2008 version.)

The Elevation Settings are available whenever the "master" object is any type of entity except an Alignment. If the radio button for "Change Cogo Point Elevation" is selected, then the Cogo Point elevation is set from the "master" object. Otherwise, the elevation from the "master" object is placed in the specified User Defined Property (UDP). Note that this UDP is created via normal Civil 3D procedures, by adding new custom properties to a User Defined Classification on the Settings tab. When creating this UDP, select "Elevation" in the "Property field type" selection box in the UDP properties.

Add Cut/Fill to UDP

If the elevation from the "master" object is placed into a UDP, it is also possible to generate a Cut or Fill between the UDP elevation and the Cogo Point elevation. To do this, select the option to "Add Cut/Fill to UDP", and specify the UDP to use for the Cut/Fill. If your Cut/Fill contains any non-digit characters, the Cut/Fill should be a String property. In other words, when creating this UDP, select "String" in the "Property field type" selection box in the UDP properties. If you have your Cut/Fill configured to contain only numeric digits, then you can use another appropriate type, such as "Double".

The Cut Format and Fill Format specify the format to use for cuts and fills. Zeros are used as place holders, and indicate the number of digits to display in the Cut/Fill. Note that you may also pad the beginning of the Cut/Fill with zeros. Characters other than zeros are passed through unchanged. For example, the table below illustrates several example formats. The first column indicates the contents of the "Cut Format" string in the Dynamic Link settings; the result shows the contents that end up in the UDP:

Format String | Result
C-0.00 | C-4.58
C-0.0' | C-4.6'
C-00.000m | C-04.583m
C/F = C-00.00' | C/F = C-04.58'

Invert Cut/Fill

Normally, the Cut/Fill value is calculated from the Cogo Point elevation, to the UDP elevation. When this item is selected, the Cut/Fill is reversed, and is calculated from the UDP elevation, to the Cogo Point elevation.

Elevation Adjustment

The various options in this segment are used to adjust the elevation of the Cogo Point. If the "master" object is an Alignment, this section is disabled. Otherwise, various options in this section are enabled or disabled, depending on the type of "master" object.

The following table contains an overview of these options:

Apply Datum Adjustment | When selected, the specified datum adjustment is applied to the elevation. For example, assume the "master" object is a Surface, and the elevation of the Surface at the Cogo Point is 152.56. If a value of 2.00 feet is specified for the Datum Adjustment, the elevation assigned to the Cogo Point will be 154.56.
Apply Grade/Slope | When selected, the elevation of the Cogo Point is adjusted by the specified Grade or Slope. The elevation of the Cogo Point is determined by finding the closest point to the Profile or linear object. This elevation is then adjusted by multiplying the grade or slope by the distance between the Cogo Point and the linear object. If specified, the Datum Adjustment is also applied.
Grade or Slope | This field specifies the grade/slope to use for the datum adjustment. You may specify the grade/slope in one of three formats: a percentage grade, a slope in run:rise format, or a slope in rise:run format. The slope specified here is from left to right. In other words, a slope of -2% would start from a high point on the far left to a low point on the far right.
Crown or Ditch | The slope is typically specified from left to right. However, when this option is selected, the slope is specified outward in both directions from centerline. So when this option is selected and a grade of -2% is specified, the centerline of the Alignment is the high point, and the grade slopes downward at a 2% in both directions from centerline.
Use Superelevation | When specified, the Superelevation settings for the Alignment (in the Alignment Properties, Superelevation tab) are used for the slope. If the Alignment contains any regions where no Superelevation data is defined, then the "Grade or Slope" and "Crown or Ditch" settings are used as default values.
Apply Grading Offset | This allow you to lengthen or shorten the offset distance used to calculate the elevation for the Cogo Point. It works the same way as the Grading Settings panel for the SGRD, SGObject, Pt2Feature, and Pt2Profile commands. The specified value is subtracted from the offset distance used to calculate the elevation adjustment.
Use Grading Point | When selected, the specified Northing/Easting are used instead of the Cogo Point's Northing/Easting. The primary purpose for this feature is to enable NxN offsets for Feature Lines. Typically, the grade is calculated by finding the closest point on the Feature Line to the Cogo Point. However, for an NxN offset to an angle point, this returns an incorrect result. This feature allows a dynamic link to be created for an NxN offset, and the point can be linked directly to the angle point. However, it can also be used in other situation. For example, it may be used to create an offset to a point on a Surface. With this option enabled, the Cogo Point will get the elevation of the surface at the Grading Point. With this option enabled, the Station/Offset in the Description will be of the Grading Point, and not of the Cogo Point.
Use Grading Point for Description | This option is only enabled when both the "Use Grading Point" and the "Update Description" options are enabled. When selected, the Station and Offset come from the location of the Grading Point. Otherwise, the Station and Offset come from the location of the Cogo Point.

Update Station/Offset

When this option is selected, the Raw Description of the point is dynamically updated with the Station/Offset for the Point. You may also configure the link to update some User Defined Properties (UDPs) in addition to, or instead of, the Raw Description. When the "master" object is an Alignment, the Station/Offset automatically comes from this Alignment, and most other options are disabled (because an Alignment has no vertical data). Note: UDP functionality is not available in Civil 3D 2008.

However, when the "master" object is a different type of object, you may also select a different Alignment as the source for the Station/Offset. This lets you configure a Cogo Point so that its elevation comes from a Surface, but the Station/Offset comes from an Alignment. Or, you can configure the Cogo Point to get its elevation from a ditch Profile, but get its Station/Offset from the road centerline alignment.

The formatting for the Offset may be altered by clicking the "Offset Settings" button.

Get Stationing from: | Specify an alternate alignment for the stationing. This option is not available if the master object is an Alignment.
Precision for Offsets | Number of decimal places for the Offset. (The Station format comes from the Alignment Feature Settings.)
Suppress Offset when Equal to Zero | When selected, this option causes the Offset to be omitted from the description when it is equal to 0.
Update Point Description | When selected, this option causes the Raw Description of the point to be modified as specified by the Description Template.
Description Template | The Description Template is used to create the Raw Description for the point. The string "%s%" in this Template gets replaced by the current Station string for the point; the string "%o%" gets replaced with the Offset; the string "%a%" gets replaced with the Alignment name, and the string "%p%" gets replaced with the Profile name. All other characters in the Template are passed through unchanged.
Add existing Point Description | This option is only available when a Point Link is first created. When selected, the current Raw Description for the point is added to the Description Template. As an example, this feature is useful for points that have been created using the "Create COGO Points from Corridor" feature. These points already have a description (such as "ETW", "Hinge", etc.), taken from the Point Codes for the subassemblies used in the Corridor. With this option, a dynamic Station/Offset can be added to these points, without losing the description they already have.
Station UDP | When selected, this option causes the Station to be placed in the specified UDP. A UDP must be defined, and applied to the point via a Point Group, in order for this option to work. The UDP should be either a String or a Station property. In other words, when creating this UDP, select either "String" or "Station" in the "Property field type" selection box in the UDP properties.
Offset UDP | When selected, this option causes the Offset to be placed in the specified UDP, formatted according to the Offset Settings. If your Offset contains any non-digit characters, the Offset should be a String property. In other words, when creating this UDP, select "String" in the "Property field type" selection box in the UDP properties. If you have your Offset configured to contain only numeric digits, then you can use another appropriate type, such as "Double".

Selecting Multiple Points

When you run the DLPoints command and multiple Cogo Points are selected, all Cogo Points are modified to use the same values, except for the Grading Point. The Grading Point can only be changed for each Cogo Point individually. When you select multiple Cogo Points, the "Use Grading Point" option is disabled.

The initial values of the dialog box are taken from the first point you select while selecting the Cogo Points.

UDP Settings

(Note: these settings are not available in the 2008 version.)

The following images illustrate settings for UDPs, should you wish to use them. This first image shows the UDP definitions. In this example, the UDPs are created in a classification named "Alignment". Note that both UDPs are String values. The names of the UDPs should match the names used in the DLPoints dialog box, while creating the Dynamic Point Link.

DLPoints UDP dialog

This image shows the Points in the drawing. Notice that the points have been added to a Point Group that uses our new "Alignment" UDP Classification. The "Station" and "Offset" UDPs now appear in the list.

DLPoints UDP point list

In the above image, Points 2 and 4 have been configured with Dynamic Links that use the "Station" and "Offset" UDPs. These points now have dynamic Station and Offset, located in their own columns, and the values will change if the points are moved, or if the Alignment is moved, or if Station Equations are applied to the Alignment, etc.

Examples

Consider the image below (click on the image for a larger view):

DLPoints Example 1 Start

Let's now link Points 1 and 3 to the Surface, and Points 2 and 4 to the Profile. In addition, we'll also configure Points 1 and 3 to get their Station/Offset from the Alignment. The settings are as-shown in the following two dialog boxes:

DLPoints Example 1 dialog pts 1 & 3 DLPoints Example 1 dialog pts 2 & 4

And here is the result:

DLPoints Example 1 Result

The following image shows what happens when we edit the Surface and the Profile. Notice that the elevations of the Cogo Points have automatically updated to reflect the new geometry.

DLPoints Example 2 Result

And now, let's select Points 2 and 4 again, then edit their links so that they look like this instead:

DLPoints Example 1 dialog 3

The new result is shown below. Note that the grades have changed now, and are down 2% from centerline. In addition, we changed the "Precision for Offsets" to 1, so the offset distance is rounded to 1 decimal place. We did not change the links for Points 1 and 3, so they still have their offset distances rounded to 2 decimal places.

DLPoints Example 3 Result

For this final example, let's select Points 1 and 3 again, then edit the Description Template in the links to look like this:

DLPoints Example 1 dialog 4

The new result is shown below:

DLPoints Example 4 Result

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.

Blue Dot EntityTracker

Displays information about items underneath the cursor.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.


DLProfiles

Description

The DLProfiles command manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Usage

Type DLProfiles at the command line, or select a Profile on-screen, then right-click and select "Dynamic Links" from the shortcut menu. You will then see a dialog box like that below:

DLProfiles Dialog box

In the top left, you may select a different Profile. Any links that exist on the selected Profile will appear in the list box. You may add or remove links from this list by clicking on the appropriate buttons. The checkbox in the upper-right may be used to enable or disable the automatic updating of dynamic links for the current drawing. Typically, this option is left enabled. However, it may also be disabled, in which case the dynamic links may be updated using the DLRefresh command. The rest of the dialog box displays the settings for the currently-selected PVI link.

Important: Dynamic Links will only work for PVIs that are on the Alignment, i.e. between the Starting Station and Ending Station of the Alignment. Civil-3D will allow you to add PVIs to Profiles at stations that are not on the Alignment, i.e. before the Starting Station or after the Ending Station of the Alignment. However, if a PVI is at a station that is not on the Alignment, there is no way to determine a Northing/Easting coordinate for the PVI. Since the Northing/Easting of the PVI is needed to calculate the new elevation for the PVI, Dynamic Links will not work on PVIs that are beyond the ends of the Alignment.

In the lower-left corner of the dialog box, you may select the "master item" for the PVI. The list of available "master" Profiles will not contain Profiles that would create a "circular reference"; in other words, once you link a PVI in Profile A to Profile B, you cannot link a PVI in Profile B to Profile A.

Adjacent PVI Links

When the "master" Profile is the same as the source Profile, the options for "Link to Adjacent PVI" will become active. A Dynamic Link may only be created to one of the adjacent PVIs. This option is useful for maintaining a set grade through a segment of the Profile.

Elevation Adjustment

To determine the new elevation for the PVI, an elevation is first retrieved from the "master" object. If the PVI is linked to a Surface, the Northing/Easting of the PVI is used to get an elevation from the Surface.

If the PVI is linked to another Profile, the Northing/Easting of the PVI is used to get the station/offset of the PVI, as determined from the "master" Profile. That station is then used to get an elevation from the "master" Profile, and the offset is used for applying a Grade/Slope adjustment (if enabled). When the "Use Superelevation" option is selected, the superelevation parameters of the "master" Profile's Alignment are used for the slope. For areas where no superelevation parameters are defined, the specified Grade/Slope and Crown values are used.

Full Profile Link

When this option is activated, all PVIs in the Profile are adjusted by the same amount. The entire Profile moves up and down with the linked PVI. When this option is enabled, the "Add New Link" button is disabled, because all PVIs are being controlled by the one link. Note that if you already have multiple PVI links on this Profile and you activate this option, you will be warned that all other PVI links on this Profile will be deleted. This option is disabled when "Link PVI to PVI" is selected.

Link PVI to PVI

When this option is activated, the PVI in this Profile will adjust both horizontally and vertically to match the closest PVI in the "master" Profile. For this type of link, the new elevation is based on the PVI elevation on the "master" Profile, and not the Profile elevation. Its primary purpose is to link left and right Profiles to a centerline Profile, so that the left and right Profiles automatically change with the centerline Profile.

Examples

The following examples use this layout, consisting of two Alignments with Profiles. Click on the image to see a larger view.

Example 1:

Note that AlignmentA has a PVI at station 3+60.93, where it intersects Alignment B. Assume we wish to link this PVI to the Profile on AlignmentB, so that anytime we move the profile on AlignmentB, the profile on AlignmentA will adjust to match.

To accomplish this, click on the "Add New Link" button, and then click near the PVI in the drawing. Note that you may pick in either Plan View or in the Profile View. Tracking lines will follow the cursor, and point to the two PVIs closest to the cursor in each direction. Simply click when the cursor is closest to the PVI that you wish to select. This will create a new link for that PVI.

We now need to link this PVI to the profile in AlignmentB, as seen in the dialog box below:

DLProfiles Example 1 dialog box

As soon as we click OK in the dialog box, the profile attached to AlignmentA will update itself, and the PVI elevation will match the elevation of AlignmentB, as shown in this image:

DLProfiles Example 1 initial result

If we then drag a PVI in AlignmentB to a different location, the PVI in AlignmentA will automatically change in response, as seen in this image below (click for a larger view):

DLProfiles second result

Example 2:

Now let's assume that we want to hold a 2% grade downward from the PVI in our last example, to the PVI at the end of the Profile. So let's add a new PVI link to the PVI at 5+37.88 by clicking the "Add New Link" button. For this PVI, we select "AlignmentA" as the "master", which enables the "Link to Adjacent PVI" radio buttons at the bottom-left. We wish to link the PVI at station 5+37.88 to the PVI just before it, so in this case, we select "Link to Adjacent PVI Downstation". We also select the "Apply Grade/Slope" button, and key in a grade of -2%, as seen in the dialog box below:

DLProfiles Example 2 Dialog

When we click OK in the above dialog box, the profile for AlignmentA will adjust as seen below:

DLProfiles Example 2 Result 1

And now, if we drag a PVI in AlignmentB, then AlignmentA will automatically adjust as seen below. Note that the PVI at 3+60.93 in AlignmentA has adjusted to the new elevation of AlignmentB, and the PVI at 5+37.88 has also adjusted to maintain the 2% grade downward from the adjacent PVI.

DLProfiles Example 2 Result 2

Example 3:

In the following example, the white profile is the centerline, and the magenta profile is the right side. (Click on the image to see a larger version.)

DLProfiles Example 3 Start

Now let's link the vertical curve on the right side to the one on the centerline. We'll add a PVI Link to the PVI at station 1+98.14 of the right-side alignment, as shown below:

DLProfiles Example 3 Dialog

To make things easy to see in the image, let's key in an elevation difference of -12 feet. When we hit OK, the right-side Profile will automatically adjust to match the centerline, as seen below:

DLProfiles Example 3 Result 1

Now let's grab the PVI at Station 2+10.66 on the centerline (white) Profile, and drag it to a new location. Note that the right side (magenta) Profile moves along with it.

DLProfiles Example 3 Result 2

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


DLRefresh

Description

The DLRefresh command refreshes all dynamic links in the drawing that are currently known to be out-of-date.

Usage

Type DLRefresh at the command line.

When a drawing contains a lot of Dynamic Links, especially lots of links attached to one item, it may be desirable to disable automatic updating of Dynamic links using the DLEnabled command. When automatic updating is disabled, linked items are still tracked. The DLRefresh command will update all links flagged as being out-of-date. It does not update all links; to force a global update of all links, use the DLRefreshAll command.

See Also

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


DLRefreshAll

Description

The DLRefreshAll command refreshes all dynamic links in the drawing.

Usage

Type DLRefreshAll at the command line.

This command is available to force a refresh of all Dynamic Links in the drawing, should any linked items appear out-of-date. It can also be used to trigger an update of all Dynamic Links in the drawing when Dynamic links are disabled using the DLEnabled command, although the DLRefresh or DLRefreshItems commands often work better in that situation, since this command forces an update of all links. In drawings that contain thousands of Dynamic Links, it may take a while to refresh all links.

This option will also force a refresh of any Cogo Point User Defined Properties that are configured to hold coordinates in alternate coordinate systems.

See Also

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


DLRefreshItems

Description

The DLRefreshItems command refreshes all dynamic links in the drawing.

Usage

Type DLRefreshItems at the command line.

This command is available to force a refresh of the Dynamic Links at any time, should they not appear up-to-date. It will also trigger an update of all Dynamic Links in the drawing when Dynamic links are disabled using the DLEnabled command.

See Also

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.


DLEnabled

Description

The DLEnabled command enables or disables the automatic updating of Dynamic Links in the drawing.

Usage

Type DLEnabled at the command line. You will then be prompted for the new setting for Dynamic Links, enabled or disabled. This setting is remembered for each drawing.

When Dynamic Links are enabled, they will automatically refresh as-needed. When they are disabled, you must manually update them using the DLRefresh command.

See Also

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


DL3LineProf

Description

The DL3LineProf command creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

This command may be used to create up to two copies of the centerline profile. The copies are created with dynamic links that are set to hold the specified datum adjustment, with the "Link PVI to PVI" option set. (See the DLProfiles command for more details.) Once these linked Profiles are created, they may be further edited with the default Civil 3D "Edit Profile Geometry" commands. Additional PVIs may be added, and Dynamic links may be changed, added, or removed, using the DLProfiles command. Near cross-roads, it is even possible to create PVIs that are linked to the cross-road Profile, instead of the initial Control Profile.

Usage

Type DL3LineProf at the command line. You will then see a dialog box such as the one below:

DL3LineProf dialog box

In the upper-left, select the Control Profile (for example, the Profile for a roadway centerline). In the upper-right, key in the vertical datum adjustment to use for the linked profiles.

In the lower half of the dialog box, you may specify one or two Profiles to link to the Control Profile. You may either select Profiles that already exist, or you may select the option to create new Profiles. If you create new Profiles, the Profiles are added to the same Alignment as the Control Profile, and they receive names generated from the Name Template. This Name Template may include a "%p%" string, which is replaced with the name of the Control Profile. The result can be seen just below the Name Template.

This command will use existing PVIs in the Profile if there is one in the correct location; otherwise, it will attempt to copy the PVI from the centerline Profile (complete with vertical curve data).

When Dynamic Links are enabled, they will automatically refresh as-needed. When they are disabled, you must manually update them using the DLRefresh command.

FG Profile Issue in Civil 3D 2009

This command, like all commands that use the API, suffers a problem when trying to create FG profiles. In Civil 3D 2009, all Profiles created via the API are flagged as being "From File". This causes the "From File" symbol to appear next to the Profile in Toolspace, and the Profile may not be used to place vertical geometry labels on the Alignment in plan view.

If it is important that your linked Profiles are actual FG Profiles, do not use the option to automatically create the Profiles in this command. Instead, create two empty Profiles prior to running this command, using the normal Civil 3D commands. Then run this command, and use the "Select Existing Profile" option to select the newly-created Profiles as the Linked Profiles. The DL3LineProf command will then copy the PVIs from the Control Profile into the selected Profiles, and link the new PVIs to the Control Profile.

See Also

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


DLCoordConvert

Description

The DLCoordConvert command allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

This command provides the ability to create a single Civil 3D Point Table that simultaneously displays coordinates in multiple coordinate systems, such as NAD83 or UTM. It can even be used to display coordinates for zones that use different units, such as a NAD83 US Survey Foot zone and a UTM Meters zone.

Usage

Prior to running the DLCoordConvert command, make sure your drawing has the correct coordinate system specified in the Drawing Settings. You must also create User-Defined Properties (UDPs) to contain the coordinates for the alternate system. An example is shown below:

DLCoordConvert User Defined Properties

The above image shows a User-Defined Property Classification named "Coordinates", which has four properties. Note how the Northing and Easting UPDs have their Formats set to "Coordinate", the Latitude UDP has a "Latitude" Format, and the Longitude UDP has a "Longitude" Format.

In addition to defining the User-Defined Classification, we must also assign the Classification to a Point Group before we can use it. The easiest way to do this is to select the "Point Groups" collection in Toolspace, then set the Classification in the Detail Pane. Further information can be found on the Help page for User Defined Properties.

Once you have created your User-Defined Classification, type DLCoordConvert at the command line. This will call up the Coordinate System Link Manager, which will initially be empty, as seen in the following image:

DLCoordConvert Link Manager (blank)

Clicking on the "Add New" button will create a new Link. Each Link specifies a Coordinate System, along with the User-Defined Properties that will hold the data from the alternate coordinate system. An example can be seen below:

DLCoordConvert Link Editor

Note how the User-Defined Properties specified in the Link Editor match up with the UDPs created in the User-Defined Classifications we created in the first step. These fields will now be dynamically populated, as shown in the following image.

DLCoordConvert Point Editor

The new User-Defined Properties may now be used in Cogo Point Tables and Labels. You may setup multiple links to multiple coordinate systems in the same drawing. The alternate coordinate systems may even be in different units, so you may create Point Tables that display coordinates in both US Survey Feet and Meters simultaneously.

Should the UDPs fail to update for any reason, you can force a manual refresh using the DLRefreshAll command.

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.

Blue Dot EntityTracker

Displays information about items underneath the cursor.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.


DLLabels

Description

The DLLabels command creates a dynamic link between a Profile View Label and a Civil-3D entity (pipes and profiles). This allows the profile view labels to change dynamically whenever the "master" object changes. The "master" object may be a Profile or a Pipe (projected onto a profile view). The link to a pipe is intended to allow the ability to provide a dynamic link between the profile view label and a crossing pipe or pipe projected onto a profile view.

Usage

Type DLLabels at the command line. You will then be prompted to select a profile or pipe.

If you select a profile you will then be prompted to select a profile view label. The profile view label will then relocate the label to the elevation of the profile at the station.

If you select a pipe (in the profile view) you will then be prompted to select a profile view label. After selecting the profile view label you will be given the opportunity to determine if the label is for a crossing pipe label or a projected pipe onto the profile view. A crossing pipe is a pipe that crosses the alignment of the profile view. A non-crossing pipe may cross the alignment, but it is not required. Next the command will ask to set the point on the crossing or projected pipe where the label is to be anchored to. The profile view label will then relocate the label to the elevation calculated based on the point chosen. The attachment options are the Top, Middle, Invert, Bottom or a Fixed offset from the pipe.

If the profile view label is subsequently moved, the profile view label may be updated using the DLRefresh command.

See Also

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


DLPointsViewer

Description

The DLPointsViewer command displays a form with tabs showing which "Master" objects have which points linked to them.

Entering DLPointsViewer, the form shown below is displayed. There are 3 tabs, one each for Surfaces, Alignments, and Linear Obects. Each tab contains a ListView to display the Dynamically Linked points associated with that object type. Each ListView has 3 modes of display: "Detail" (this is the default) which shows the Pt#, Description, Elevation, Northing and Easting in a group under each object's name, "Grouped" which just displays the Point numbers grouped under each object's name, and "List" which shows Point numbers only with no grouping. You can toggle which display type is shown with the toggle button in the upper right corner of the tab.

You may sort the columns by clicking the header of the column you wish to sort by, each click will toggle between Ascending & Descending. The current display mode and sort column/order are saved between uses. The columns may be resized and relocated, but these settings are not saved.

See Also

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.


DLSewerLaterals

Description

The DLSewerLaterals command creates dynamic links between pipes. This allows a lateral pipe to change dynamically whenever the main pipe object changes. New pipes added to the pipe networks will not be linked until the command is rerun. Once rerun the lateral rules will be overwritten.

Usage

Type DLSewerLaterals at the command line. You will then see a dialog box like that below:

DLSewerLaterals Dialog box

Pipe Networks

The pipe networks determine which pipe network are to be used in the command.

  • Main Pipe Network
    The pipes in the Main Pipe Network are used to determine the "Master" pipe objects.
  • Select Main Pipe Network Pipe
    Allows you to select the main pipe network by selecting a pipe in the drawing.
  • Lateral Pipe Network
    The Lateral Pipe Network is used as the source of pipes to be linked to the lateral pipe network.
  • Select Lateral Pipe Network Pipe
    Allows you to select the lateral pipe network by selecting a pipe in the drawing.
  • Tolerance
    Sets the tolerance distance between the end of the lateral pipe and the main line pipe when linking the sewer lateral pipes to main line pipes. If the lateral end is within the tolerance distance the end of the lateral pipe the lateral pipe will be linked to the main line pipe.

Lateral Parameters

These options determine how the lateral is linked to the main pipe object.

  • Lateral Match Point
    Determines how the lateral adjusts to the main pipe object. The options are Top, Center or Invert. The invert of the lateral will match the match point specified on the main line pipe.
  • Lateral Rules
    When Apply Lateral Rules to Lateral Pipes is selected, the lateral pipe will be adjusted based on the rules specified.
  • Minimum Grade
    Sets the minimum grade of the lateral pipe from the main pipe.
  • Maximum Grade
    Sets the maximum grade of the lateral pipe from the main pipe.
  • Minimum Cover
    The mimimum cover of the pipe at the opposite end of the lateral pipe from the main pipe. The end of the pipe is set at the minimum cover elevation.
  • Maximum Cover
    The maximum cover of the pipe at the opposite end of the lateral pipe from the main line pipe. If the maximum cover is exceeded and and the maximum grade is met, the lateral pipe will be moved up to provide the maximum cover the pipe. The lateral pipe will then have a drop condition at the main line pipe.

See Also

Blue Dot DLSewerLateralUpdateRules

Updates the sewer lateral rules used in the sewer lateral dynamic links command when the laterals are updated.

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


DLSewerLateralsManager

SP_DLSewerLateralsManager

Description

The DLSewerLateralsManager command removes the links between laterals and main line pipes.

Usage

Type DLSewerLateralsManager at the command line. You will then see a dialog box like that below:

DLSewerLateralsManager Dialog box

Link Manager

The dialog box allows for the removal of links.

  • Delete Link(s)
    If a Main Pipe is selected then the lateral links to the selected main line pipe are deleted. The main pipe and laterals are removed from the list.
  • Delete All Links
    Deletes all the sewer lateral links in the drawing. The dialog box is then closed.
  • Zoom To...
    Zooms to the selected main pipe or lateral pipe.
  • Zoom In
    Zooms into the current viewport.
  • Zoom Out
    Zooms out of the current viewport.
  • Done
    Closes the dialog box.

See Also

Blue Dot DLSewerLaterals

Creates links between main pipe networks and lateral pipe networks.

Blue Dot DLSewerLateralUpdateRules

Updates the rules that a lateral pipe uses when updated in relation to a main line pipe.

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


DLSewerLateralUpdateRules

Description

The DLSewerLateralUpdateRules command updates the lateral rules for a lateral pipe. This allows a change to the lateral pipe rules.

Usage

Type DLSewerLateralUpdateRules at the command line. You will then see a dialog box like that below:

DLSewerLateralUpdateRules Dialog box

Lateral Parameters

These options determine how the lateral is linked to the main pipe object.

  • Lateral Match Point
    Determines how the lateral adjusts to the main pipe object. The options are Top, Center or Invert.
  • Lateral Rules
    When Apply Lateral Rules to Lateral Pipes is selected, the lateral pipe will be adjusted based on the rules specified.
  • Minimum Grade
    Sets the minimum grade of the lateral pipe from the main pipe.
  • Maximum Grade
    Sets the maximum grade of the lateral pipe from the main pipe.
  • Minimum Cover
    The mimimum cover of the pipe at the opposite end of the lateral pipe from the main pipe. The end of the pipe is set at the minimum cover elevation.
  • Maximum Cover
    The maximum cover of the pipe at the opposite end of the lateral pipe from the main line pipe. If the maximum cover is exceeded and and the maximum grade is met, the lateral pipe will be moved up to provide the maximum cover the pipe. The lateral pipe will then have a drop condition at the main line pipe.

See Also

Blue Dot DLSewerLaterals

Creates links between main pipe networks and lateral pipe networks.

Blue Dot DLSewerLateralsManager

Updates the rules that a lateral pipe uses when updated in relation to a main line pipe.

Blue Dot DLSewerLateralUpdateRules

Updates the rules that a lateral pipe uses when updated in relation to a main line pipe.

Blue Dot DL3LineProf

Creates linked PVIs from one Profile to one or two other Profiles; particularly useful for creating linked center, left, and right profiles for Three-Line Profiles.

Blue Dot DLCoordConvert

Allows User Defined Properties on Cogo Points to be automatically populated with coordinates in alternate Coordinate Systems.

Blue Dot DLEnabled

Enables or disables the automatic updating of Dynamic Links for a drawing.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot DLRefresh

Refreshes all Dynamic Links in the drawing that are known to be out-of-date.

Blue Dot DLRefreshAll

Refreshes all Dynamic Links in the drawing.

Blue Dot DLRefreshItems

Refreshes all Dynamic Links attached to selected objects.


SPLayFrz

Description

The SPLayFrz command is similar to the LAYFRZ (Layer Freeze) command, except will freeze (or VPFREEZE, in paperspace) the "apparent" layer of certain Civil-3D entities. For all other entities, it functions in basically the same manner as the LAYFRZ command.

Usage

Type SPLayFrz at the command line, and select objects on the layers you wish to freeze.

(Note: when used in paperspace, the SPLayFrz command performs a VPFREEZE on the selected layer.)

Instead of selecting an item at the prompt, you may also key in the name of a Layer. You may use an asterisk (*) as a wildcard. For example, if you enter V-*-PH01 as a layer name, this command will freeze all layers with names that start with "V-" and end with "-PH01".

Unfortunately, at this time, the SPLayFrz command does not work through XREFs. When selecting items inside an XREF, it will still turn off the overall layer, similar to the behavior of the default LAYOFF command. Also, the command currently only works on the following Civil-3D elements:

Point Markers
Point Labels
Primary Parcel Area Label
Parcel Segment Labels (not available in 2008 version)
General Line/Curve Labels (not available in 2008 version)

Parcel Segment Labels and General Line/Curve Labels (not available in 2008 version)

The way these labels are implemented in the API, each label may have two styles attached to it. One style is for Line Segments, and the other is for Curve Segments. Even though the label only displays one or the other, it always has both a Line and a Curve style attached to it. This can be seen by selecting the label and looking at its properties in the Properties Palette.

If both the Line style and the Curve style are set to display on the same layer, the SPLayFrz command will turn off that layer. However, if the styles point two different layers, the SPLayFrz command will ask you which layer you want to turn off, the one from the Line style, the one from the Curve style, or both. (Note that if you turn off both, and later use the UNDO command, you will have to use the UNDO command twice - once for the Curve style layer, and once for the Line style layer.)

See Also

Blue Dot SPLayIso

Similar to the LAYISO (Layer Isolate) command, except that when certain Civil-3D entities are selected, all layers involved in displaying the entity will remain visible. Also works to isolate entire XREFs, or individual layers inside of XREFs.

Blue Dot SPLayMch

Similar to the LAYMCH (Layer Match) command, except objects are changed to match the "apparent" layer of certain Civil-3D entities.

Blue Dot SPLayOff

Similar to the LAYOFF (Layer Off) command, except will turn off the "apparent" layer of certain Civil-3D entities.


SPLayIso

Description

The SPLayIso command is similar to the LAYISO command, except that when certain Civil-3D entities are selected, all layers involved in displaying the entity will remain visible. Also works to isolate entire XREFs, or individual layers inside of XREFs.

Usage

Type SPLayIso at the command line, and select objects on the layers you wish to isolate.

Instead of selecting an item at the prompt, you may also key in the name of a Layer. Key in "NA" at the prompt for the "Name" option, then type in a layer name. You may use an asterisk (*) as a wildcard, to indicate multiple layers. For example, if you enter V-*-PH01 as a layer name, this command will isolate all layers with names that start with "V-" and end with "-PH01".

Unfortunately, at this time, the SPLayIso command does not work through XREFs. When selecting items inside an XREF, it will still isolate the overall layer for the C3D object, similar to the behavior of the default LAYISO command. Also, the command currently only works on the following Civil-3D elements:

Point Markers
Point Labels
Primary Parcel Area Label
Alignments
Surfaces
Parcel Segment Labels (not available in 2008 version)
General Line/Curve Labels (not available in 2008 version)

In addition, the SPLayIso command also works a bit differently than the default LAYISO command when selecting an XREF. When selecting an XREF, all layers inside the XREF remain on, so the entire XREF remains visible. Or, you may type "NE" for the "Nested" option to select an item inside an XREF. Blocks behave in a similar fashion, except if the item inside the block is on Layer 0, the overall layer of the block is selected instead.

Parcel Segment Labels and General Line/Curve Labels (not available in 2008 version)

The way these labels are implemented in the API, each label may have two styles attached to it. One style is for Line Segments, and the other is for Curve Segments. Even though the label only displays one or the other, it always has both a Line and a Curve style attached to it. This can be seen by selecting the label and looking at its properties in the Properties Palette.

If both the Line style and the Curve style are set to display on two different layers, the SPLayIso command will keep BOTH layers turned on. This may create unexpected results when the two styles are accidentally set differently.

See Also

Blue Dot SPLayFrz

Similar to the LAYFRZ command, except will freeze (or vpfreeze, in paperspace) the "apparent" layer of certain Civil-3D entities.

Blue Dot SPLayMch

Similar to the LAYMCH (Layer Match) command, except objects are changed to match the "apparent" layer of certain Civil-3D entities.

Blue Dot SPLayOff

Similar to the LAYOFF (Layer Off) command, except will turn off the "apparent" layer of certain Civil-3D entities.


SPLayOff

Description

The SPLayOff command is similar to the LAYOFF command, except will turn off the "apparent" layer of certain Civil-3D entities.

Usage

Type SPLayOff at the command line, and select objects on the layers you wish to turn off.

Instead of selecting an item at the prompt, you may also key in the name of a Layer. You may use an asterisk (*) as a wildcard. For example, if you enter V-*-PH01 as a layer name, this command will turn off all layers with names that start with "V-" and end with "-PH01".

Unfortunately, at this time, the SPLayOff command does not work through XREFs. When selecting items inside an XREF, it will still turn off the overall layer, similar to the behavior of the default LAYOFF command. Also, the command currently only works on the following Civil-3D elements:

Point Markers
Point Labels
Primary Parcel Area Label
Parcel Segment Labels (not available in 2008 version)
General Line/Curve Labels (not available in 2008 version)

Parcel Segment Labels and General Line/Curve Labels (not available in 2008 version)

The way these labels are implemented in the API, each label may have two styles attached to it. One style is for Line Segments, and the other is for Curve Segments. Even though the label only displays one or the other, it always has both a Line and a Curve style attached to it. This can be seen by selecting the label and looking at its properties in the Properties Palette.

If both the Line style and the Curve style are set to display on the same layer, the SPLayOff command will turn off that layer. However, if the styles point two different layers, the SPLayOff command will ask you which layer you want to turn off, the one from the Line style, the one from the Curve style, or both. (Note that if you turn off both, and later use the UNDO command, you will have to use the UNDO command twice - once for the Curve style layer, and once for the Line style layer.)

See Also

Blue Dot SPLayFrz

Similar to the LAYFRZ command, except will freeze (or vpfreeze, in paperspace) the "apparent" layer of certain Civil-3D entities.

Blue Dot SPLayIso

Similar to the LAYISO (Layer Isolate) command, except that when certain Civil-3D entities are selected, all layers involved in displaying the entity will remain visible. Also works to isolate entire XREFs, or individual layers inside of XREFs.

Blue Dot SPLayMch

Similar to the LAYMCH (Layer Match) command, except objects are changed to match the "apparent" layer of certain Civil-3D entities.


GenLabelLayer

Description

The GenLabelLayer command changes the current Object Layer settings for General Note and General Segment Labels to match an object selected on-screen.

Usage

Type GenLabelLayer at the command line. You will be prompted to select an item on-screen. The Object Layer settings for General Note Labels and General Segment Labels will be changed to match the selected object.

Note: Depending on the current settings in the OPTIONS, these layer settings may also change whenever the current layer is changed in the Layers toolbar.

See Also

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.


ObLaRead

Description

The ObLaRead command changes the Object Layer settings in the current drawing to the settings stored in an XML file by the ObLaWrite command.

Usage

Type ObLaRead at the command line, then browse to the XML file you wish to load.

This command is designed to read an XML file created by the ObLaWrite command. The XML file contains an entry for each Object Layer setting. Each entry looks something like the following:

<Alignment>
<LayerName>VZA</LayerName>
<Locked>false</Locked>
<Modifier>Suffix</Modifier>
<ModifierValue>-*</ModifierValue>
</Alignment>

You may hand-edit this XML file in any text editor, although care should be exercised when doing so. An error in the XML file will cause it to fail to load.

Object Layer Accessibility

Unfortunately, in the 2008 and 2009 versions of Civil 3D, not all of the Object Layer settings are available via the API. This routine will import as many of the Object Layer settings as possible, but some settings cannot be accessed.

Settings that cannot be imported in the 2008 and 2009 versions:

  • Match Line
  • Material Section
  • Pipe and Structure Table
  • Section View Quantity Takeoff Table
  • View Frame
  • Any Object Layer setting that ends in "-Labeling"

Compatibility of the XML files between versions

Note that the format of the XML file has changed slightly for the 2010 version, and the 2010 version will not be able to read XML files created by the 2008 and 2009 versions (and vice-versa) without editing the XML file first.

This issue is caused by the fact that the possible values for the "Modifier" have changed. In the 2010 version, the Modifier can be one of the following:

  • None
  • Suffix
  • Prefix

However, in the 2008 and 2009 versions, the Modifier can be one of the following:

  • aeccObjectLayerModifierNone
  • aeccObjectLayerModifierSuffix
  • aeccObjectLayerModifierPrefix

If you wish to read an old-style XML file into C3D 2010, it is possible to use a "search and replace" function in any text editor to edit an XML file, and fix the file so that it uses the proper values for the Modifier. It should then be possible to read the file using the ObLaRead command.

See Also

Blue Dot GenLabelLayer

Changes the current Object Layer settings for General Note and General Segment Labels to match an object selected on-screen.

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot ObLaWrite

Write Object Layer Settings to an XML file.


ObLaWrite

Description

The ObLaWrite command saves the Object Layer settings in the current drawing to an XML file that may later be read using the ObLaRead command.

Usage

Type ObLaWrite at the command line, then browse to the XML file you wish to load.

This command is designed to create an XML file that may later be reloaded by the ObLaRead command. The XML file contains an entry for each Object Layer setting. Each entry looks something like the following:

<Alignment>
<LayerName>VZA</LayerName>
<Locked>false</Locked>
<Modifier>Suffix</Modifier>
<ModifierValue>-*</ModifierValue>
</Alignment>

You may hand-edit this XML file in any text editor, although care should be exercised when doing so. An error in the XML file will cause it to fail to load.

Object Layer Accessibility

Unfortunately, in the 2008 and 2009 versions of Civil 3D, not all of the Object Layer settings are available via the API. This routine will import as many of the Object Layer settings as possible, but some settings cannot be accessed.

Settings that cannot be imported in the 2008 and 2009 versions:

  • Match Line
  • Material Section
  • Pipe and Structure Table
  • Section View Quantity Takeoff Table
  • View Frame
  • Any Object Layer setting that ends in "-Labeling"

Compatibility of the XML files between versions

Note that the format of the XML file has changed slightly for the 2010 version, and the 2010 version will not be able to read XML files created by the 2008 and 2009 versions (and vice-versa) without editing the XML file first.

This issue is caused by the fact that the possible values for the "Modifier" has changed. In the 2010 version, the Modifier can be one of the following:

  • None
  • Suffix
  • Prefix

However, in the 2008 and 2009 versions, the Modifier can be one of the following:

  • aeccObjectLayerModifierNone
  • aeccObjectLayerModifierSuffix
  • aeccObjectLayerModifierPrefix

If you wish to read an old-style XML file into C3D 2010, it is possible to use a "search and replace" function in any text editor to edit an XML file, and fix the file so that it uses the proper values for the Modifier. It should then be possible to read the file using the ObLaRead command.

See Also

Blue Dot GenLabelLayer

Changes the current Object Layer settings for General Note and General Segment Labels to match an object selected on-screen.

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot ObLaRead

Read Object Layer Settings from an XML file.


SPLayMch

Description

The SPLayMch command is similar to the LAYMCH (Layer Match) command, except that when certain Civil-3D entities are selected as the item to match, this command uses the "apparent" layer of the selected object, which may be a layer from a Style.

Usage

Type SPLayMch at the command line, and select objects on the layers you wish to isolate.

Unfortunately, at this time, the SPLayMch command currently only works on the following Civil-3D elements:

Point Markers
Point Labels
Primary Parcel Area Label
Parcel Segment Labels (not available in 2008 version)
General Line/Curve Labels (not available in 2008 version)

Parcel Segment Labels and General Line/Curve Labels (not available in 2008 version)

The way these labels are implemented in the API, each label may have two styles attached to it. One style is for Line Segments, and the other is for Curve Segments. Even though the label only displays one or the other, it always has both a Line and a Curve style attached to it. This can be seen by selecting the label and looking at its properties in the Properties Palette.

If both the Line style and the Curve style are set to display on two different layers, you will be prompted to select the one that you wish to match.

See Also

Blue Dot SPLayFrz

Similar to the LAYFRZ command, except will freeze (or vpfreeze, in paperspace) the "apparent" layer of certain Civil-3D entities.

Blue Dot SPLayIso

Similar to the LAYISO (Layer Isolate) command, except that when certain Civil-3D entities are selected, all layers involved in displaying the entity will remain visible. Also works to isolate entire XREFs, or individual layers inside of XREFs.

Blue Dot SPLayOff

Similar to the LAYOFF (Layer Off) command, except will turn off the "apparent" layer of certain Civil-3D entities.


ViewportLayers

Description

The ViewportLayers command specifies the layer that should be used for all newly-created viewports.

Usage

Type ViewportLayers at the command line. The following dialog box will appear:

There are options to select up to two layers. By default, all newly-created viewports will have their layer set to the first layer, unless they are created on the second layer.

With the settings in the image above, all newly-created viewports will be placed on the "--VP-HIDDEN" layer, unless they are created on the "--VP-VISIBLE" layer.

See Also

Blue Dot GenLabelLayer

Changes the current Object Layer settings for General Note and General Segment Labels to match an object selected on-screen.

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.


ParcelOffset

Description

The ParcelOffset command creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.

Usage

Start the ParcelOffset command. Typing SE at the prompt will call up the Settings dialog, as shown below.

Offset lines will be created on the specified layer. Note that only active layers appear as available choices for the layer; off and frozen layers will not appear in the list.

Once you start the command, select a Parcel Label to select a parcel. Then pick corners around the parcel in the same direction as you have defined your parcels in your Parcel settings. Typically, this is in a CLOCKWISE direction.

Note that you do not have to snap to the parcel corner you want, because the routine will automatically find the closest corner to where you click. But turning on the ENDPOINT osnap may make selection easier.

The following image illustrates the selection order:

ParcelOffset Selection Order ParcelOffset Selection Order - animated

Assuming the offset distances are set to 10-foot front, 5-foot side, and 20-foot rear, this creates linework as shown in the following image. The image is zoomed out, to show nearby lots. Note that the front and rear can touch at the same vertex, as in Lots 45 and 46, where the 10-foot front easement wraps around the corner.

The current version of this routine currently does nothing in the way of error-checking, so it can be easily-confused with erroneous input. It also does not always draw segments correctly, such as when the parcel has an extremely narrow section that causes front and back to overlap. But it yields the desired results in most cases, which can be a huge time-saver.

This routine should also yield correct results if parcels are defined counter-clockwise, assuming you use negative distances for the offset value and select corners in a counter-clockwise direction. However, it has not yet been tested with counter-clockwise parcels.

See Also

Blue Dot HashParcel

Create hash marks at PIs, PCs, PCCs, and PRCs for all Parcels in the selected Sites.

Blue Dot LotCorners

Set points on all lot corners in the selected parcel(s).

Blue Dot Parking

Create parking stall linework. Parking stalls may be created by specifying stall dimensions, or by creating a specified number of equally-sized parking stalls between the selected points. Includes ability to automatically label the parking stalls with a stall count as they are created.

Blue Dot PerpCheck

Analyzes all Parcels in the selected Sites, marking the points where the lot lines form perpendicular or radial intersections. Can also mark corners where lot lines are NOT perpendicular or radial.


BrkPt

Description

The BrkPt command is similar to Land Desktop's "Breaklines By Points" command. It allows the user to quickly and easily add breaklines to a Civil-3D surface by picking points in the drawing. Breaklines are drawn on the layer specified in the command settings, and not on the current layer, so there is no need to change the current layer to use the command.

Usage

Type BrkPt at the command line. The currently-selected surface and breakline layer are displayed in the command window, followed by a prompt to select the start point. You may also enter "S" to change the command settings.

Begin selecting points for the vertices of your breaklines. The points are used to create a 3D-Polyline, drawn on the layer specified in the command settings. Note that the command uses the 3D value of the point you select. So it is possible to use the End or Nearest osnap to select points on 3D linework, or use the Node osnap to snap to the Point marker for elevated points. It is also possible to use the 'PO transparent command to select points. At any point, you may enter "U" to undo the last point selection.

When you have finished selecting points, right-click to end the breakline. The breakline will be added to the currently-selected surface, and you should see the surface update accordingly. You may now continue selecting more points to add another breakline, or right-click to terminate the command.

At the prompt to enter the start point of a new breakline, you may enter an "S" to call up the Settings dialog box shown below. This dialog may be used to change the currently-selected surface and breakline layer.

You may click on the buttons next to the Surface and Layer selection boxes to pick an item graphically in the drawing. You may also enter "L" at the prompt to select a new Layer graphically in the drawing without calling up the Settings dialog box.

See Also

Blue Dot ChElev

Change the elevation of selected items. Designed to raise flattened contours up to their actual elevations.

Blue Dot HideBnd

Create surface "Hide" boundaries from drawing objects.

Blue Dot PtConnect

Draw Polylines or 3D-Polylines between Cogo Points.

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.


Extract2d

Description

The Extract2d command extracts selected linework (Feature Lines, Survey Figures, Parcels, Alignments, 3D-Polylines, and more) into a flattened polyline. May be used to extract linework from items in the current drawing, or from items in XREFs or DGN Underlays. When selecting items in XREFs, the extracted linework is created in the current drawing. Additionally, when selecting Cogo Points that are in XREFs, the Cogo Points are copied into the current drawing.

This command currently can extract the following items:

  • Most types of standard linework (Polylines, etc.)
  • Feature Lines, Survey Figures, Alignments
  • Cogo Points
  • Blocks
  • Text, MText, Leaders, and Dimensions
  • Hatches and Solids

Currently, the command does not work on the following items:

  • Civil 3D Labels
  • Corridors
  • Pipes and Structures
  • Profiles and Profile Views
  • Surfaces

Usage

You may invoke the Extract2d command by selecting a set of objects and running the command, or by running the command and selecting items one by one. If objects are already selected when the Extract2d command is run, the dialog box will automatically pop open. Upon hitting OK, all selected objects will be extracted. Or, if you run the Extract2d command with no objects selected, you will see the following prompt:

Extract2d prompt - standard

By typing "M" (or "MODE"), you may switch to "Select By Layer" mode. In this mode, as you select an object, all objects on the same layer will be extracted. When you are in "Select By Layer" mode, you will see the following prompt:

Extract2d prompt - select by layer

Type "M" (or "MODE") again to switch back to selecting individual items.

Type "R" to select References, e.g. XREFs and DGN Underlays. When selecting an XREF in this manner, all visible entities will be extracted from the XREF (if they can be extracted by this command). So before running the command with this option, turn off or freeze any layers that you do not want to extract from the XREF.

You may also type "S" (or "SETTINGS") to call up the Settings dialog:

In the upper-right corner is the Quickset panel, which may be used to save and recall the command settings.

Pruning and Curve Detection Settings

These settings may be used to eliminate unwanted PVIs from the resulting polyline. The Curve Detection settings may also be used to turn a series of line segments into an arc segment, which is handy when extracting a polyline from a Feature Line such as a daylight line on a grading object. The Pruning and Curve Detection settings have the following effects:

  • Pruning Tolerance: For line segments, PVIs are removed if they are within this distance from the resulting line. Also, consecutive arc segments are combined into one if their radii are within this distance of each other.
  • Curve Detect Tolerance: This value is used to convert consecutive line segments into an arc. There must be a minimum of three line segments in a row, and the PVIs must be within this tolerance of the resulting arc.
  • Curve Detect Cutoff: Line segments that are longer than this value are ignored when detecting curves.

Layer for Extracted Linework

These settings control which layer extracted linework is placed on. When the option for "Selected Layer" is selected, all extracted linework is placed on the specified layer. When "Use Source Object to determine layer" is selected, the layer for extracted linework is determined by the layer of the source object. As an additional option, you may select a layer to use instead of Layer 0. This can be helpful for certain Civil 3D entities that are drawn on Layer 0 because of the Object Layer settings.

Layer Name for Extracted Items

The settings in this section are only available when the option to "Use Source Object to determine layer" is selected. They provide various options for controlling the layer for extracted items. The box in the lower left provides the following options for specifying the layer for extracted linework:

  • From Template: When this option is selected, the specified name template is used to determine the name of the layer for extracted linework. Characters typed in this dialog box will be part of the layer name, except for an asterisk (*). If an asterisk is included in the name template, it is replaced by the source layer name. For example, in the dialog box shown above, the name template is set to "*-DEMO". If we have a Feature Line that is on layer "V-TBC", a polyline extracted from this Feature Line will go on layer "V-TBC-DEMO".
  • Find/Replace (Regex option NOT checked): This option generates the name of the layer for extracted items by using the specified Find and Replace strings to create a new layer name. In the dialog box shown above, the value for the find string is "V-", and the value for the replace string is "C-". If we have a Feature Line that is on layer "V-TBC", a polyline extracted from this Feature Line will go on layer "C-TBC".
  • Find/Replace with Regex option: This option is similar to the last one, except the Find string is treated as a Regular Expression search pattern, and the Replace string is treated as a Regular Expression replacement string. For example, say we have a Find string of "V-(.*)" and a Replace string of "C-$1-DEMO". If we have a Feature Line that is on layer "V-TBC", a polyline extracted from this Feature Line will go on layer "C-TBC-DEMO".

Layer Creation Settings

The settings in this section are only available when the option to "Use Source Object to determine layer" is selected. Once the layer name has been determined, the layer is created in the current drawing if it does not already exists. By default, the layer properties are copied from the source object. However, you may also specify "override" values for various layer settings. These settings may be set in the lower right corner of the dialog box. In the dialog box above, the only option that is selected is the Color option. With this setting, any newly-created layer will be color 151. These overrides are only applied to layers as they are created; if the layer already exists in the current drawing, the existing layer is used.

Extract Points to same layer as in XREF

The "Extract points to same layer as in XREF" option is useful to keep the above layer settings from being applied to Cogo Points. Typically, this option is best left turned on. When it is turned on, any Cogo Point extracted from an XREF will be placed on the same layer in the current drawing as it was on in the XREF. This usually works best for points, since many of them may actually reside on Layer 0, and have their display elements controlled via a Style.

Move source object to new layer

This option may be used to "flip" the behavior of the extraction routine, so that the extracted items are created on the same layer as the source object, and then the source object gets moved to the newly-created layer. This option only applies to items that exist in the current drawing; when extracting linework from items in XREFs, this setting has no effect.

Extraction Filter Settings

The Extraction Filter settings may be used to filter selected items. The filter only applies when selecting items "By Layer" or "By XREF". When selecting individual items, the filter settings are ignored. Clicking on the "Filter Settings" button displays the following dialog box, which may be used to select items that will be filtered out of the selection set:

Extract2d Filter Settings dialog

Note that the Extraction Filter dialog box also contains a Quickset panel, which may be used to save your favorite filter settings. Save your filter settings into your drawing template to have them available in all newly-created drawings.

Notes about extracting Cogo Points from XREFs:

The Point and Point Label Styles currently are not extracted with the Points. These Styles should already exist in the current drawing, or they may be reset to standard styles as they are imported. Also, extracting a large number of Cogo Points from an XREF via the "Select By Layer" Mode may result in poor performance. We are attempting to find a way to improve this performance. In the meantime, the command should not be used to extract more than a few hundred points.

See Also

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.


FlattenObjects

Description

The FlattenObjects command is similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points. When this command is run on a Civil-3D Point, the Point is set to "No Elevation" (Note: this command will not work on Survey Points, i.e. points inserted from the Survey Database). This command works on a variety of entities, including lines, polylines, blocks, and a variety of others.

Usage

Type FlattenObjects at the command line, and select the objects you wish to flip. You may also run this command by selecting one or more objects, right-clicking, and selecting "Flatten" from the shortcut menu.

See Also

Blue Dot Extract2d

Extracts selected linework (Feature Lines, Survey Figures, Parcels, Alignments, 3D-Polylines and more) into a flattened polyline. May be used to extract linework from items in the current drawing, or from items in XREFs or DGN Underlays. When selecting items in XREFs, the extracted linework is created in the current drawing. Additionally, when selecting Cogo Points that are in XREFs, the Cogo Points are copied into the current drawing.

Blue Dot FlipObjects

Flip objects 180 degrees.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When selecting a linear object, all objects are rotated to match the bearing of the selected point on the linear object.


Parking

Description

The Parking command may be used to create parking stall linework. Parking stalls may be created by specifying stall dimensions, or by creating a specified number of equally-sized parking stalls between the selected points. Includes ability to automatically label the parking stalls with a stall count as they are created.

Usage

Type Parking at the command line, and a prompt similar to the one below should appear:

In response to the prompts, pick points on-screen or key in point numbers to draw parking stalls. Type "S" to call up the Settings dialog, seen below:

Quickset Panel

In the upper-right corner is the Quickset panel, which may be used to save and recall your favorite settings.

Stall Draw Mode

There are two possible draw modes for stalls. In both modes, the process begins by selecting two points to draw the back of the stalls. Then, if "Pick Endpoint for Stalls" is selected, the next point should be the endpoint of a stall on one end of the group of stalls. This method is designed to be used with survey data, to draw parking lots tied down in the field. Alternatively, the "Use Default Stall Settings" option may be selected, to draw stalls using the specified dimensions.

When using the Default Stall Settings and creating stalls at an angle, the Stall Depth is measured along the portion of the stall that has paint stripes on both sides of the parking space. The following image illustrates some stalls with a Stall Depth of 18.00 feet and a Stall Angle of 60 degrees:

Parking Stall Depth

Stall Draw Settings

The Stall Draw Settings control the auto-calculation of the stall widths. There are two possible modes of operation.

When "Prompt for Total Stall Count" is selected, you are prompted to enter the total number of parking spaces. The back line is then divided evenly, to create the specified number of parking spaces. The suggested value is determined from the "Min Stall Width", and specifies the greatest number of parking spaces that will fit, and still be larger than the minimum stall width.

When "Auto-draw using Typical Widths" is specified, stalls are automatically drawn, using the specified Min and Max Stall Widths. The routine will create as many stalls as possible, holding the specified parameters. If necessary, padding will be left at the end of the stalls, to keep the individual stalls from exceeding the maximum stall width.

The stall width is measured perpendicular to the paint stripes, as shown below:

Parking Stall Width

Select Linework Layer

This is the layer that the stall linework will be drawn on. Click on the small buttons to create a new layer, or to select a layer by picking an item in the drawing.

Label Stall Count

When this item is selected, you will be prompted to place Stall Count labels in the drawing after each set of parking stalls is created. Press the Label Settings button to call up Parking Count dialog box, which may be used to adjust the current settings, as well as see a total count of all parking spaces in the drawing. (The Parking Count is determined by adding up the current values in all the COUNT attributes of the label blocks currently in the drawing.)

See Also

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.

Blue Dot ParkingCount

Display the total count of parking spaces in the drawing.


HashParcel

Description

The HashParcel command creates hash marks at PIs, PCs, PCCs, and PRCs for all Parcels in the selected Sites.

Usage

Type HashParcel at the command line and you will see a dialog box like the one below, listing all Sites in the current drawing. You may also click on the button labeled "Modify Hash Settings" to change the current Hash Settings.

Example:

The image below depicts a sample site, containing six parcels.

Running the HashParcel command yields the following results:

See Also

Blue Dot HashPoly

Create hash marks at PIs, PCs, PCCs, and PRCs along polylines, Feature Lines, Survey Figures, or Parcels.

Blue Dot LotCorners

Set points on all lot corners in the selected parcel(s).

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.


HashPoly

Description

The HashPoly command creates hash marks at PIs, PCs, PCCs, and PRCs along polylines, Feature Lines, Survey Figures, or Parcels.

Note that this command works on a large variety of linear objects, including Parcels. However, due to the way Parcels are defined, you will usually get better results with those if you use the HashParcel command instead.

The hash marks created by the HashPoly command are actually Civil-3D Point objects, so you must define a Point Style to be used for this command. Include this point style in your Drawing Template(s), so that this command is always ready-to-run in any drawing.

Usage

Type HashPoly at the command line and select items on the screen. Right-click or hit ENTER when you are done. You may also enter "SE" to change the Hash Settings.

The HashPoly command will ALWAYS place a hash mark at PCs, PCCs, and PRCs. It will also place hash marks at angle points if the deflection at the PI is less than the Max Deflection Angle specified in the Hash Settings.

Example:

Consider the figure below.

It is not readily-apparent where all of the various horizontal geometry points are located. The image below contains the same image, but this time with circles on every horizontal PI.

The yellow circles indicate PIs that have very small deflections, less than the Max Deflection Angle specified in the Hash Settings. Since they are less than the Max Deflection Angle, they will receive hash marks.

The red circles indicate a PI that is a Point on Line (POL) or Point on Curve (POC), as defined in the diagrams in the Hash Settings.

Therefore, if run the command while "Hash POLs and POCs" is selected, we will get the following results:

HashPoly - consecutive on

However, if we run the command while "Hash POLs and POCs" is NOT selected, we do not get hashes at the PIs marked by the red circles, as shown in the following diagram:

HashPoly - consecutive off

See Also

Blue Dot HashParcel

Create hash marks at PIs, PCs, PCCs, and PRCs for all Parcels in the selected Sites.

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.


PtConnect

Description

The PtConnect command draws Polylines or 3D-Polylines between Cogo Points. Points may be selected on-screen, via Point Group, or by keying in a Point List. Linework is drawn through Cogo Points in order of increasing Point Numbers, except when an explicit Point List is keyed in.

Usage

Type PtConnect at the command line. You will then see a dialog box similar to the following:

PtConnect dialog - Pt Group tab

Note that you may also run this command by selecting some Cogo Points on-screen, then right-clicking and selecting "Connect Points" from the shortcut menu. When run in this fashion, the command uses the last-applied settings.

The left side of the dialog box contains a view with two tabs. The tab shown above displays the Point Groups in the drawing, and all points from the selected Point Groups are used to create the linework.

There is also the Point List tab, as seen below:

PtConnect dialog - Pt List tab

On this tab, a specific list of Point Numbers may be keyed in, and the points are connected in the same order as in the list. For example, in the Point List seen above, the points would be connected starting at Point 5068, then proceed to Points 5067, 5066, etc., to 5062, then 3389, then 4200, then 4201, etc.

The rest of the options are explained below.

Quickset Panel

The Quickset panel is in the upper-right corner of the dialog box. The Quicksets affect only the options on the right side of the dialog box.

Layer for Linework

This segment specifies the layer for the created linework. There are two possible options for linework selection.

Selected Layer

When this option is selected, all linework is placed on the selected layer. May be set to "<use current>".

From Template

When this option is selected, linework is placed on a layer generated from the specified template. An asterisk (*) in the template will be replaced with the "Point Description Key", which is created by taking the raw description from the first point used for the line, up to the first white space character. The "Trim StringIds" option will further cause an identifying string number or letter to be trimmed from the end of the key.

The table below shows some sample results, assuming that we are using a Template of "V-*":

Point Raw Description | Trim StringIds? | Layer Name for Linework
TBC | Either | V-TBC
TBC CURB CUT | Either | V-TBC
TBC_CURB_CUT | Either | V-TBC_CURB_CUT
TBC4 | No | V-TBC4
TBC4 | Yes | V-TBC
TBC4 CURB CUT | No | V-TBC4
TBC4 CURB CUT | Yes | V-TBC
25A | No | V-25A
25A | Yes | V-25
25B | No | V-25B
25B | Yes | V-25

If a new layer must be created, it is created by copying the Point Layer of the first Cogo Point used to draw the line.

Link Points by Description

If this option is selected, the Points are split up by the Description Key, and individual lines are drawn for each group of points. The Description Key is created from the contents of the Raw Description of the Cogo Point, up until the first whitespace character.

If this option is NOT selected, a single polyline is drawn through all points.

Polyline Type

This option determines whether the generated linework consists of normal Polylines or 3D-Polylines. When creating normal Polylines, the Polyline elevation (Z value) is set to zero.

Select Points in Drawing

This button functions much like the "OK" button, except it allow you to select additional points on-screen. These points are used to generate linework, in addition to any selected Point Groups (if the Point Group tab is selected) or keyed-in Point List (if the Point List tab is selected).

See Also

Blue Dot BrkPt

Similar to Land Desktop's "Breaklines By Points" command. Allows the user to quickly and easily add breaklines to a Civil-3D surface by picking points in the drawing.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.


ElevateFeaturelineFromText

Description

The ElevateFeaturelineFromText command allows the user take drawings which have been annotated using basic Text and/or Mtext objects, create featurelines from polylines or use existing featurelines, and then set the vertex elevations based on the annotation. This is handy for surveyors who regularly get 'dumb' drawings from sources not using Civil3D.This command is only available in Sincpac C3D version 3 and newer.

After starting the ElevateFeaturelineFromText command, you will be shown the Setting form where you need to enter the SIte on which to place new featurelines and the Fuzz factor to use to determine of the Text/Mtext object is close to the vertex. Exiting the setting, you will prompted to select the Text/Mtext & Linework, which will be selected by layers. If there are Text/Mtext objects and polylines/featurelines selected, the command will process the items and set the vertice elevations.

See Also


'RD

Description

The 'RD transparent command may be used to select a point along a curved object, using the radial bearing.

Usage

Begin a command, such as the LINE command. In response to the prompt to select a point, type 'RD (with the leading apostrophe). In response to the prompts, enter the radial bearing, and select the curved object. Note that you may select polylines; in this case, pick the polyline near the curved segment where your desired point lies. You may also select items inside of blocks or XREFs.

You may also hit "S" ("Settings") at the prompt to change the angle settings. The Angle Type may be used to specify whether radial angles are specified by Bearing, by North Azimuth, or by South Azimuth. And the Angle Format may be used to specify whether angles are entered in Deg/Min/Sec format or in Decimal Degrees format. When keying in angles using Deg/Min/Sec format, use a decimal point to separate the degrees and minutes. For example, to enter 35°25'57", type 35.2557.

WARNING: Running OSNAPs interfere with this command. Because of this, the routine will warn you if you have running OSNAPs active. Hit ESC or ENTER to exit the 'RD routine, then hit F3 to turn off running OSNAPs, and type 'RD again to re-enter the 'RD command.

Note when using BEARINGS

When keying in angles by Bearing, DO NOT key in any quadrant information. Instead, key in only the numerical part of the bearing, then pick the curved object near the quadrant where your desired point lies. The 'RD routine will automatically attempt to find the radial bearing in the quadrant closest to where you picked the curved object.

This behavior is illustrated in the animated image below. At the prompt to enter the first point for the LINE command, the user types 'RD and enters a value of 45 degrees, then picks quadrant 4 of the circle. This selects the point on the circle that has a radial bearing of S45°E. For the second point, the user again types 'RD and enters a value of 45 degrees. Except this time, the user picks quadrant 2 of the circle, which selects the point on the circle that has a radial bearing of N45°E.

Using 'RD with Bearing option


RemoveDuplicatePIs

Description

The RemoveDuplicatePIs command removes duplicate PIs from Polylines, 2D-Polylines, and 3D-Polylines. It is particularly useful for cleaning up linework from others, or linework created by software other than Civil-3D, which may have created duplicate vertices in polylines.

This command is called automatically by StakeFeatures and HashPoly if the source linework contains duplicate vertices.

Usage

Type RemoveDuplicatePIs at the command line. Select linework; any duplicate vertices in the selected linework will be removed.

See Also

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.

Blue Dot HashPoly

Create hash marks at PIs, PCs, PCCs, and PRCs along polylines, Feature Lines, Survey Figures, or Parcels.

Blue Dot StakeFeatures

Create elevated offset points along Feature Lines, Survey Figures, Parcels, Polylines, or 3D-Polylines for survey stakeout.


FindParcel

Description

The FindParcel command is much like the FIND command, except it works on the Name and/or Description fields of Civil-3D Parcels.

Usage

Type FindParcel at the command line. You will see the dialog box shown below. Select the sites that you want to search and specify the desired options, then hit the OK button.

Find/Replace in Parcel Names:

Check this box if you want to search and replace text in Parcel Names. This only affects Parcels that are not using the Name Template from the Parcel Style to autogenerate a Parcel Name.

Find/Replace in Parcel Descriptions:

Check this box if you want to search and replace text in Parcel Descriptions.

Find:

Enter the string to search for.

Replace:

Enter the string to use as the replacement text.

Ignore case:

By default, the Find string is case-sensitive. Check this box if you want to use a case-insensitive comparison.

Use Regular Expression:

When this box is checked, the Find string is treated as a Regular Expression. You may use any of the standard Regular Expression codes in the Find string. And if you use parentheses in your Regular Expressions, you may use the $1, $2, etc. identifiers in the Replace string.

Match whole words only:

Check this box to indicate that the Find string should only match whole words. If this box is not checked, the Find string will match even if it is part of another words. This option cannot be used if "Use Regular Expression" is checked.

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.


LotFit

Description

The LotFit command may be used to select Cogo Points and Linework (Polylines or Parcels), and see the distance and direction to each Cogo Point from the nearest linework vertex.

Usage

Blue Dot AnalyzeDistortion

Analyzes the distortion between grid and ground distances, using either Cogo Points or an existing ground surface in the current drawing.

You may select Cogo Points and Linework prior to running the command, or you may simply initiate the command by typing LotFit at the command line.

Linework may be Polylines, Lines, Feature Lines, Survey Figures, or Parcels. When selecting individual Parcels, select the primary Parcel Area Label. You may also select a Site in the dialog box. Cogo Points may be selected either by Point Group, or individually in the drawing.

The result is a display similar to the one below:

Distance and direction are calculated from the linework to the Cogo Point. You may right-click on a Cogo Point to zoom to the point in the drawing. At this point, you may also zoom and pan around in the drawing, and a tooltip will appear next to the cursor, showing distance and direction for the Cogo Point nearest the cursor.

The dialog box also displays the mean of all the displacements vectors in the table, as well as the standard deviation of all the displacement distances.

The "Selected Rows To/From Point Groups" button calls up the PGAddRemovePoints command, using points that are selected in the display grid. Note that only the Points that are selected in the grid view will be added/removed to/from the Point Groups. You may use CTRL-A to select all rows in the grid view.

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.


ParcelAreaStats

Description

The ParcelAreaStats command gives the user a method to gather Area statistics for a Site, or Sites, and the Parcels contained within them. The currently reported statistics are Total Number of Parcels, Minimum (smallest) Parcel Size, Maximum (largest) Parcel Size, and Average Parcel Size.

Usage

Type ParcelAreaStats at the command line. You will be presented with a form in which to select a Site, or Sites, and the types of Parcels to include. You may choose as few, or as many, of each as you like. The statistics window will auto-update as you select/deselect items. To copy the results to the Clipboard just highlight the text in the statistics window and use the normal Windows CTRL+C, & CTRL+V to paste, keystrokes.

See Also

Blue Dot SPParcelInverse

Gives the user a method report the 2d Inverse and/or Mapcheck of the perimeter of a Parcel, Polyline, Featurline, or Figure.


PerpCheck

Description

The PerpCheck command analyzes all Parcels in the selected Sites, marking the points where the lot lines form perpendicular or radial intersections. The command can also mark corners where lot lines are NOT perpendicular or radial. The routine also attempts to detect errors in the Parcel linework, and will mark places that appear to be errors. There are some errors that it can't detect, but it will mark the ones it can find.

The PerpCheck command places blocks at the indicated points. A block named ZZZZ_MARK_PERP is used for points where lot lines form perpendicular or radial intersections, and a block named ZZZZ_MARK_NONPERP is used for the intersections that are not either perpendicular or radial, but are still within the specified tolerance angle of being perpendicular or radial. If the routine detects something that appears to be an error, it will mark the spot with the ZZZZ_MARK_ERROR block. The blocks are placed on a layer named _PerpCheck_MARK, which is automatically created if it doesn't exist.

You may create the ZZZZ_MARK_PERP, ZZZZ_MARK_NONPERP, and ZZZZ_MARK_ERROR blocks yourself if you wish, and keep them in your drawing template; if they exist, the routine will use the existing blocks. However, this is optional. If any of the blocks do not exist in the current drawing, the PerpCheck command will automatically create them. The default blocks are a green square for the ZZZZ_MARK_PERP block, a magenta circle for the ZZZZ_MARK_NONPERP block, and a red 'X' for the ZZZZ_MARK_ERROR block. These blocks may be either normal or Annotative blocks. If they are normal blocks, they are scaled by the current modelspace Annotation scale as they are inserted; if they are Annotative blocks, they are assigned the current modelspace Annotation scale as they are inserted.

After running the PerpCheck command, you may use the PerpClean command to clean up the drawing. The PerpClean command will erase all marker blocks.

Usage

Type PerpCheck at the command line. You will then see the following dialog box:

Select Sites:

Select the Sites you wish to analyze.

Mark Perpendicular Intersection:

Check this box if you want the routine to mark all intersections where either perpendicular or radial lot lines meet.

Mark Non-perpendicular Intersections:

Check this box if you want the routine to mark all intersections that are not either perpendicular or radial.

Max angle to mark:

This option is only enabled if "Mark Non-perpendicular Intersections" is selected. This value specifies a tolerance range for the angle. Nonperpendicular and nonradial intersections are only marked if they are within this range of being perpendicular or radial. For example, if this value is set to 10�, a lot corner that forms an angle of 82� would be marked, as would one of 99�, but angles of 77� or 101� would not be marked.

Examples

Example 1:

Imagine we have the following set of parcels.

Example 1 (before)

The following image shows the results if we run the PerpCheck command with the settings specified in the image shown above - i.e., both Perpendicular and Nonperpendicular markers are selected, and the tolerance angle is set to 10�:

Example 1 (after)

All intersections that are perpendicular - i.e., form an angle of 90� - are marked with a green square. Similarly, lot lines that hit perpendicular to curves, such as the northwest corner of Lot 6, are also marked with a green square.

Intersections where the lot lines are not perpendicular or radial are marked with red circles. However, intersections are not marked if the intersection is more than 10� from being perpendicular or radial, such as along the western edge of the Parcels. Similarly, the angle point in the line between Lot 5 and Lot 6 is not marked, because it is more than 10� from being a right angle.

Some intersections may be marked as both. For example, the northwest corner of Lot 6 forms a right angle, but the southwest corner of Lot 5 forms an angle that is less than 90�. So that corner is marked with both a green square and a red circle.

Example 2:

The PerpCheck command will also display a warning in the command line if it finds any improper linework. For example, consider the set of Parcels shown below:

Example 2 (before)

There should be three Lots along the east edge of the Parcels, but the line in Lot 6 does not quite go all the way across. Therefore, there is only one lot in the southeast corner, where there should be two. There is also a "bogus" parcel line. This parcel line will cause the PerpCheck routine to fail when it attempts to analyze Lot 6. The PerpCheck command will display a warning message in the command line that looks like this:

WARNING: Could not check Parcel 6 - parcel linework may have an error.

When an error occurs in a Parcel, the PerpCheck command does not check the parcel for perpendicular intersections. However, it will attempt to mark the spot where the error occurs, as shown in the drawing below. Note, however, that Lot 6 was not checked for Perpendicular or Nonperpendicular intersections. There are some Markers around Lot 6, but those were created as the PerpCheck command analyzed the adjoining Parcels.

Example 2 (after)

See Also

Blue Dot HashParcel

Create hash marks at PIs, PCs, PCCs, and PRCs for all Parcels in the selected Sites.

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.

Blue Dot PerpClean

Cleans up all marker blocks created by the PerpCheck command.


PerpClean

Description

The PerpClean command cleans up marker blocks created by the PerpCheck command.

Usage

Type PerpClean at the command line.

See Also

Blue Dot HashParcel

Create hash marks at PIs, PCs, PCCs, and PRCs for all Parcels in the selected Sites.

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.

Blue Dot PerpCheck

Analyzes all Parcels in the selected Sites, marking the points where the lot lines form perpendicular or radial intersections. Can also mark corners where lot lines are NOT perpendicular or radial.


SPParcelInverse

Description

The SPParcelInverse command gives the user a method report the 2d Inverse and/or Mapcheck of the perimeter of a Parcel, Polyline, Featurline, or Figure.

Usage

Type SPParcelInverse at the command line. You will be presented with a palette in which the Inverse or Mapcheck data will be displayed. At the top of the palette are default settings in use, which may be changed at any time while the palette is open. The default settings are obtained from the drawing's Parcel Ambient Settings (there other settings which we don't allow you to alter in this dialog, but are honored by the command, such as the Drop Leading Zeroes for Degrees). If a setting is altered while the data is displayed for an object, the data will immediately update to reflect that change. Similarly, you may toggle between Inverse and Mapcheck at anytime. For Parcels, the direction to process the segments initially is obtained from drawing's "Process counter-clockwise" setting of the Parcel Analysis setings, all other objects use the direction in which they were created. Once the inverse, or mapcheck, data is displayed, you may reverse the direction the segments are processed by pressing the Reverse button. Note that the mapcheck option uses the displayed values to calculate the error of closure, whereas the Inverse option uses the object's true coordinates. When selecting a parcel, the ParcelAreaLabel must be selected, all other objects you may select directly.

The following image shows the results of selecting a Parcel.

As you can see, there are buttons along the bottom of the test window to send the data to either a file, a printer, or the clipboard. This could be handy for pasting the results into your favorite text editor or word processor.

Note that this palette may be set to autohide, but it may not be closed unless the command is terminated at which point it will automatically close.

See Also

Blue Dot ParcelAreaStats

Method to gather Area statistics for a Site, or Sites, and the Parcels contained within them.


SPAdjustPipeSlopes

Description

Note - Only available in Sincpac-C3D versions 3.0 and newer

The SPAdjustPipeSlopes allows the user to set the slopes of connected pipes to all be the same slope, as set in the command's settings.

Usage

Type SPAdjustPipeSlopes at the command line or select it from the Sincpac2 Ribbon Tab, Tools Panel, Pipes drop down. You will be prompted to select the Pipe Network Part to start from (may be either a pipe or structure), next you will be prompted to select the downstream part at which to terminate setting the slopes. Selecting a part that is not downstream from the first selected part will give you a warning and a chance to select another part that is. At anytime during the selection process you may enter SE to get to the command settings. In the settings you have the option to set the slope to use, the amount of drop to apply at structures, and whether to apply that drop at null structures.

Adjust Pipe Slopes Settings

See Also

Blue Dot SwapPipeNetworkParts

Swaps multiple pipes or structures from one size to another size.

Blue Dot PipeElevationEditor

Allows editing of pipe invert elevations, ala FeaturelineElevationEditor style.


PipeElevationEditor

Description

Note - Only available in versions 2010 and newer

The PipeElevationEditor is intended to be used just like the Quick Elevation Editor for Featurelines. The user may edit the Start Elevation, End Elevation, the slope holding the start elevation or the slope holding the end elevation. User may toggle to track the pipe invert at any point along the pipe.

Usage

Type PipeElevationEditor at the command line. You may preselect a pipe in the PipeNetwork you wish to work, if none is selected then the first network found with pipes will be used, except when the command has been run once in that drawing session it will then remember the last network you worked with. You may switch PipeNetworks at anytime during the command by typing "N" at the command line and then picking a pipe in another PipeNetwork. You may also toggle between Edit and Tracking modes by entering E (for Edit) or T (for Track).

As the crosshairs are moved around the in the drawing, the closest pipe will be highlighted and the information for the portion of the pipe closest to the crosshairs will be displayed just to the lower right of the crosshair. There are 4 areas of each pipe that will be displayed:

Start Invert Elevation,

Slope from start to end,

PipeElevationEditor Slope from Start

Slope from end to start,

PipeElevationEditor Slope from End

and the End Invert Elevation.

The green directional arrow glyphs are displayed to aid the user as to which the portion of the pipe the data is been shown. The arrows for the pipe ends merely point back towards the other end of the pipe, this helps identify the current pipe when you have multiple pipes at the same structure. The glyphs shown at the middle of the pipe reflect the direction in which the slope is being calculated. Clicking when the data is displayed will allow you to edit that data, once the change is made you will then return to the data selection mode.

This is the commandline the user sees when editing the pipe data:

All changes made during the current command are reflected in the data shown in the databox, but the graphical display of the pipes and affected structures will not be visible until the command ends.

When using the Track mode a green "X" will follow the center of the pipe which will be attached to a line which follows the cursor. The Invert elevation at the "X" will be displayed adjacent to the cursor, as shown in this image:

PipeElevationEditor Tracking Mode

See Also

Blue Dot SwapPipeNetworkParts

Swaps multiple pipes or structures from one size to another size.


PipeProfiles

Description

The PipeProfiles allows the user to create a profile along pipes related to a selected profile view. Any pipes with an offset within the tolerance value at the beginning and ending of the pipe will be included in the profile creation. This command facilitates the creation of a profile for utilization in exporting to survey equipment, invert elevations for use in a bands at locations other then invert points.

Usage

Type PipeProfiles at the command line. Select the profile view containing pipes or utilize the settings options. All of the pipes in the drawing will be analysed and then if they meet the tolerance criteria will be added to the profile.

PipeProfiles Settings Dialog Box

The settings page includes:

Profile Creation Settings. Select the profile name or utilize the checkbox to have the profile named the same as the alignment of associated with the profile view. If a profile name is already used the command will return an error.

If desired, provide a description to be added once the profile is created.

Select the profile style to be utilized during the command.

Select the layer the profile is to be placed on.

Enter the tolerance value relative to the alignment.

Select the PVI locations to be created. The locations include the Center of the Structure, if no structure is available then a PVI will not be added.

Select the location on the pipe the profile should be created.

See Also

Blue Dot SwapPipeNetworkParts

Swaps multiple pipes or structures from one size to another size.

Blue Dot PipeElevationEditor

Allows editing of pipe invert elevations, ala FeaturelineElevationEditor style.


SortConnectedPipes

Description

The SortConnectedPipes command changes the order in which pipes are connected to a structure, sorted by Size (Smallest to Largest) or Invert Elevation (Highest to Lowest).

This command changes the sort order for connected pipes. After starting the SortConnectedPipes command, select the structures you wish to change the pipe sort order of. You may enter SE to access the settings to choose whether the sort will be by the pipe size or by the pipe invert elevations. Once the selection is complete all selected structures will be updated.

See Also

Blue Dot DLSewerLaterals

Creates links between main pipe network pipes and lateral pipe network pipes.

Blue Dot DLSewerLateralsManager

Deletes sewer lateral links from the main and lateral pipes.

Blue Dot DLSewerLateralUpdateRules

Updates the rules that a lateral pipe uses when updated in relation to a main line pipe.

Blue Dot ChPipeHydraulicsFactors

Changes the selected pipe hydraulic factor values of the selected pipes. Hydraulic factors include Manning's Value, Hazen Williams Coefficient, and Darcy Weisbach Factor.

Blue Dot PipeElevationEditor

The PipeElevationEditor is intended to be used just like the Quick Elevation Editor for Featurelines. The user may edit the Start Elevation, End Elevation, the slope holding the start elevation or the slope holding the end elevation. User may toggle to track the pipe invert at any point along the pipe.


SPAddPipesByPolyline

Description

Note - Only available in Sincpac-C3D versions 3.0 and newer

The SPAddPipesByPolyline allows the user to add pipes to an existing pipe network by selecting any number of polylines in the drawing. Polylines may be of any type, but can NOT be Fit or Spline curved. Single segment polylines will have just a pipe added, whereas multi-segment polylines will have a structure placed at each vertice.

Usage

Type SPAddPipeFromPolyline at the command line or select it from the Sincpac2 Ribbon Tab, Tools Panel. There must be at least one Pipe Network in the drawing, else you will be notified of this and the command will end. Should the re be just one Network availble you will be prompted to use it, respond with a Yes or No.

AddPipesByPolyline Use Single Network

When there is more than one Network available, the following form will be displayed to choose which one to use:

Choose which Network

Next, you will be shown a form from which to choose the Part Families and sizes for Pipes and Structures, as well as what part of the Pipe is to be used for the elevation from the Polyline.

Choose which Parts and location of Elevation

Now select all of the polylines you want to add to the Network using any normal selection method. Only qualifyied polylines may be chosen. Note that the internal code is a bit slow (C3D's, not ours) so it will take a few moments if you select a large number of polylines.

See Also

Blue Dot SwapPipeNetworkParts

Swaps multiple pipes or structures from one size to another size.

Blue Dot PipeElevationEditor

Allows editing of pipe invert elevations, ala FeaturelineElevationEditor style.


SPPipeCoverReport

Description

Note - Only available in Sincpac-C3D versions 3.0 and newer

The SPPipeCoverReport displays a Data Grid View of all of a Pipe Network's pipes and the lengths at user defined ranges. Can toggle between a Depth (to bottom of pipe) or Cover (to top of pipe) report.

Usage

Type SPPipeCoverReport at the command line or select it from the Sincpac2 Ribbon Tab, Tools Panel, Pipes drop down. You will be presented with a dialog in which you choose the Pipe Network, the number of ramges and their values, and whether you want a Cover or Depth report. Hitting OK initiates the process to gather the data for the next dialog which shows the results. On that dialog you have the option to add the data as a Table to the drawing.

See Also

Blue Dot SwapPipeNetworkParts

Swaps multiple pipes or structures from one size to another size.

Blue Dot PipeElevationEditor

Allows editing of pipe invert elevations, ala FeaturelineElevationEditor style.


SwapPipeNetworkParts

Description

The SwapPipeNetworkParts command swaps multiple pipes or structures from one size to another size.

Usage

Type SwapPipeNetworkParts at the command line, and select the pipes, structures or profile view parts you wish to swap to a new part size. When you have finished selecting items, a dialog box will be shown. Select the appropriate Parts List, Pipe Part Family, Pipe Size, Structure Part Family and Structure Sizes for both the pipes and/or structures selected. Select a match point for the pipes, the default is the center point of the pipe.

Optionally select the Pipe Hydraulics value(s) to change when the pipe is swapped. The values available to change include the Manning's Value, Darcy Weisbach Factor, and the Hazen Williams Coefficient.

SwapPipeNetworkParts Dialog box

See Also

Blue Dot PipeElevationEditor

Used just like the Quick Elevation Editor for Featurelines. The user may edit the Start Elevation, End Elevation, the slope holding the start elevation or the slope holding the end elevation. User may toggle to track the pipe invert at any point along the pipe.


SPInverseByCogoPoints

Description

The SPInverseByCogoPoints command allows creating, and saving in projects and sets, inverse closures by Cogo Points. Each "Set" can be output to a printer or Print to File.

Usage

Type SPInverseByCogoPoints at the command line or select "Inverse By Cogo Points" on the Analysis panel of the Sincpac1 Ribbon tab. The first time the commmand is run you will be prompted to create a project using the default file name of "PointInverse.cpx". You may change the file name once the form is displayed. All files used by SPInverseByCogoPoints are XML files and must use the extension of 'cpx'. Once the form is open, you may then create any number of 'Sets' of points, each 'Set' comprising a desired inverse. Each drawing will remember which Project & Set were last used the next time the command is used, providing you either use the Save or Print Report buttons AND save the drawing before exiting.

The command's form looks like this:

The File is the currently open file. Use the button to the right to select a file or create a new one. The current Project is displayed in the Project box. Select another existing project by clicking the 'down' arrow to the right, or create a new project by selecting the Create New Project button. You may delete the current Project (and all of it's Sets) by right clicking the project and selecting Remove Project. The current Set is displayed in the Set combobox. Select another existing Set by clicking the 'cown' arrow to the right, or create a new Set by selecting the Create New Set button. You may delete a Set by right-clicking on the set and selecting Remove Set. Next is the Set Description which you may change at any time. The Radius Point description is the value used when performing the clculations to determine where an is to be used. Make sure this description matches the description your points use which define arc radius points. The Point Numbers in set displays all of the points entered to be used in the Inverse calculations. There are 2 checkboxes to toggle whether the User's name and/or date are to be included in the output. Finally, the 5 buttons at the bottom of the form. The first is used to edit the current Set, which brings up a new form with the Set name and numbers in a grid view. This will be further explained below. To the right of the Edit button is the Save button. This will Save the Current Project and Set. Note that in order for a set to be saved it must be current, so be sure to Save before creating new a new Set or Project if you plan to use the set later. On the bottom row of buttons you will find the Print Report button, which brings up the standard Windows Print Dialog. Next to that is the Done button, use this to exit the command, and lastly on the right is the Help button which will display this file.

When creating a new set you will first be asked for a name for the set. Entering a name and pressing OK will take you into the drawing where you will now either select the points or enter a point number, one at a time in th eexact order in which you wish the inverse to be calculated. You must include the points marking the radius points thusly: PC point, RP point, PT point and the radius point must have it's description set to match that shown in the form as described above. Be sure to select the starting point as also the last point if you desire an accurate area and perimeter. The following image shows the points used in the other images shown in this help file and how they were selected in the order desired.

The Edit Set form:

You may change the name of the Set in the Set name text box. Selecting a point number will allow you to edit the number. Right-clicking a number will give you a context menu with the options to select a new point in the drawing or to remove the point number from the list. Select OK when done editing to save the changes or Cancel to revert to the Set as it was before initiating the Edit Set.

All bearings, angles, distances, and coordinates are displayed using the Parcel Feature Settings for the drawing.

Example Report:

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtAng

Displays the angle formed by three points. The angle dimension is displayed as an interior angle, an exterior angle, and a deflection angle.

Blue Dot PtArc

Displays the arc distance, radius, and delta (central) angle of the arc segment defined by picking three points. Points may also be specified by keying in point numbers at the prompt.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


CreatePointsFromLabels

Description

The CreatePointsFromLabels command can be used to create Civil-3D Points at the exact location and elevation of Surface Elevation Labels found in a drawing.

Note: This command is not available in the 2008 and 2009 versions.

Usage

Type CreatePointsFromLabels at the command line to call up the Settings dialog shown below:

CreatePointsFromLabels Dialog box

The lower portion of the dialog box contains the Point Creation Control, which summarizes the current Point Creation Settings. You may adjust these settings by clicking the "Edit Point Creation Settings" button, which will take you to the Point Creation Dialog. Note that the Elevation settings are not available for this command, since the generated Cogo Points take their elevations directly from the selected labels.

Label Selection Options

Controls the way labels on which to set points are selected.

Select in Drawing | The user must manually select each label to use.
All on Surface | All Surface Elevation labels for the specified surface will used.

See Also

Blue Dot Pt3d

Create Civil-3d Points in a variety of ways.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot LotCorners

Set points on all lot corners in the selected parcel(s).

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points.

Blue Dot StakeFeatures

Create elevated offset points along Feature Lines, Survey Figures, Parcels, Polylines, or 3D-Polylines for survey stakeout.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


LotCorners

Description

The LotCorners command sets points on all lot corners in the selected parcel(s).

Usage

Type LotCorners at the command line. You will see a dialog box similar to the one below, containing a list of all sites in the current drawing:

Select the sites on which you wish to set lot corners from the list. By default, points are placed on parcels in numerical order. However, if you select the option to "Sort Parcels by Style, then by Number", the parcels are sorted first by Style, then by Number. To change the order of Parcel Styles, select a Parcel Style and click on the arrows to move it up or down in the list.

If you select the option to "Set point only on selected Parcel Styles", points will only be set if the parcel's style is selected in the list. In order to select or deselect an item in the list, you must first click on the item to select it, then you can click on the item again to change the checkbox. This control is setup this way because you may also click on an item and then use the arrows to move it up and down in the list.

The right side of the dialog box contains the Point Creation Control, which summarizes the current Point Creation Settings. You may adjust these settings by clicking the "Edit Point Creation Settings" button, which will take you to the Point Creation Dialog. Note that the Description settings are not available for this command, since the generated Cogo Points use the Point Description specified in the main dialog box.

Note that the Point Creation Settings let you select various options for Elevation. When you select PickPoint, the Cogo Point elevations are taken from the Parcel lines (this option does not work on C3D 2010 and earlier). All of the other options should work as-expected, except at this time, if you select "Manual" elevations, there is no indication of which point is being generated, so you'll have no idea which elevation to type. This issue should be addressed in a future release. In this release, the "Manual" option is probably not very useful.

Examples

In the example below, points were set at all lot corners.

LotCorners example 1

In the example below, the "Main Parcel" style was selected in the list, and points were set only on the parcel with this style. Note that only the corners of this parcel were set, so there are only two corners set on the northern-most line of the property. Compare that to the last example, where corners were also set on all the adjacent lots, and the north property line had two additional corners set where it abutted the lot lines for the property to the north.

LotCorners example 2

See Also

Blue Dot CreatePointsFromLabels

Create Points at the exact location and elevation of Surface Elevation Labels.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot HashPoly

Create hash marks at PIs, PCs, PCCs, and PRCs along polylines, Feature Lines, Survey Figures, or Parcels.

Blue Dot HashParcel

Create hash marks at PIs, PCs, PCCs, and PRCs for all Parcels in the selected Sites.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.

Blue Dot PtProrate

Generate Cogo Points along an entity, using prorated distances.

Blue Dot SPRandomDaylight

Finds the daylight point on a surface from a selected point, using the point or user entered elevation.

Blue Dot StakeFeatures

Create elevated offset points along Feature Lines, Survey Figures, Parcels, Polylines, or 3D-Polylines for survey stakeout.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


PointAverage

Description

The PtAverage command allows the user to seta a point at the average location of selected points. This command is only available in Sincpac C3D version 3 and newer.

After starting the PtAverage command, you will be prompted to select the points to average. Once the selection is complete a settings form will be displayed in which you can change any of the parameters used for setting the point. Options include the point number to use, how to handle the new point's elevation, and the general point settings.

See Also


Pt3d

Description

The Pt3d command can be used to create Civil-3D Points in a variety of ways, and includes the ability to get the point elevation from the Z-value of the pick point.

Usage

Type Pt3d at the command line, and pick the locations for your new points. You may also enter "S" to call up the dialog shown below:

PointCreationSettings Dialog box

See the Point Creation Settings for details about the various options.

The upper-right corner of the dialog box contains the Quickset panel, which may be used to save and recall your favorite settings.

See Also

Blue Dot CreatePointsFromLabels

Create Points at the exact location and elevation of Surface Elevation Labels.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot LotCorners

Set points on all lot corners in the selected parcel(s).

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points.

Blue Dot PtProrate

Generate Cogo Points along an entity, using prorated distances.

Blue Dot SPRandomDaylight

Finds the daylight point on a surface from a selected point, using the point or user entered elevation.

Blue Dot StakeFeatures

Create elevated offset points along Feature Lines, Survey Figures, Parcels, Polylines, or 3D-Polylines for survey stakeout.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


PtProrate

Description

The PtProrate command can be used to generate Cogo Points along an entity, using prorated distances.

Usage

Type PtProrate at the command line, and pick the item along which you wish to set Cogo Points. Note that you may select a segment of a polyline, and the Cogo Points are set along that segment. Also, Cogo Points are set starting at the segment end closest to the pick point, so select the linework closer to the end where you want to start setting Cogo Points.

Alternatively, you may type "PO" (for "POINTS") to pick two points on-screen. The two points are used as the endpoints of a temporary line, which is then used for prorating points.

Once you select a segment, the length of the segment will be displayed on-screen, and you will be prompted for the overall "platted" distance, i.e. the overall distance to use for prorating along that segment. You are then prompted to enter the "platted" distance for each point, and a Cogo Point is set on the linework, using the calculated prorated distance.

You may also enter "S" to call up the Settings dialog shown below:

PointCreationSettings Dialog box

See the Point Creation Settings for details about the various options.

The upper-right corner of the dialog box contains the Quickset panel, which may be used to save and recall your favorite settings.

See Also

Blue Dot CreatePointsFromLabels

Create Points at the exact location and elevation of Surface Elevation Labels.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot LotCorners

Set points on all lot corners in the selected parcel(s).

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points.

Blue Dot SPRandomDaylight

Finds the daylight point on a surface from a selected point, using the point or user entered elevation.

Blue Dot StakeFeatures

Create elevated offset points along Feature Lines, Survey Figures, Parcels, Polylines, or 3D-Polylines for survey stakeout.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


SPRandomDaylight

Description

The SPRandomDaylight command finds the daylight point on a surface from a selected point, using the point or user entered elevation.

Usage

Type SPRandomDaylight at the command line, you will be prompted to select a point from which to try daylighting to a surface. Once a point is chosen, the elevation at that point is shown and you have the option to use the default or enter a new value. You will then be prompted for the direction for the daylighting, you now must pick a point to define the daylight direction. If a daylight point is found, a temporary white "X" marker is placed in the drawing at the daylight point, and you are prompted whether to add interpolated points. A No response will take you back to the beginning to pick a new point from which to daylight. A Yes response will add new cogo points along the direction to daylight using the number of points and description as defined in the settings. At either of the point selection prompts you have a "SEttings" keyword option. Entering SE will bring you to the Daylight Settings Form where you may enter the surface to daylight to, the slope values for both Cut & Fill, the number of interpolated points to add, and the description to use for these points.

SPRandomw Daylight Settings Form

The lower portion of the dialog box contains the Point Creation Control, which summarizes the current Point Creation Settings. You may adjust these settings by clicking the "Edit Point Creation Settings" button, which will take you to the Point Creation Dialog. Note that the Elevation settings are not available for this command, since the elevation of each point is calculated using the slope from the starting point to the daylight point.

Exiting the Settings Form takes you back to the drawing window at the prompt from which you started entered the Settings form.

Exit the command with no point selection or by pressing ESC. Note that there must be a surface in the drawing in order to use this command.

See Also

Blue Dot CreatePointsFromLabels

Create Points at the exact location and elevation of Surface Elevation Labels.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot LotCorners

Set points on all lot corners in the selected parcel(s).

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points.

Blue Dot PtProrate

Generate Cogo Points along an entity, using prorated distances.

Blue Dot SPQuickDaylight

Quickly test different daylight slopes, then draws a 3dpolyline when satisfied with result.

Blue Dot StakeFeatures

Create elevated offset points along Feature Lines, Survey Figures, Parcels, Polylines, or 3D-Polylines for survey stakeout.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


StakeFeatures

Description

The StakeFeatures command creates elevated offset points along Feature Lines, Survey Figures, Parcels, Polylines, or 3D-Polylines for survey stakeout.

Usage

Type StakeFeatures at the command line, and pick the feature lines or other linework. To place offset points along a Parcel, select the Parcel Area label. You may also enter "FF" to change the current offset distance, or "SE" to call up the Settings dialog box. The command line will show you a brief synopsis of the current settings, along with the prompt, as seen below:

Or if you prefer, you may select linework, right-click, and select "Set Offset Points" from the shortcut menu. The dialog box shown below will then appear automatically.

Note that all linear entities in AutoCAD have an inherent "direction". This command is designed to be used primarily with feature lines and polylines, which have a definite "beginning" and "end". The StakeFeatures command will always place points from the start of the object to the end of the object, and the point numbers will increase in that direction. "Left" and "Right" are also specified in relation to the direction of the line. If you wish to set points in the opposite direction, reverse the direction of the feature line or polyline using the Grading -> Edit Feature Lines -> Reverse command in Civil-3D.

The various command line options perform the following tasks:

oFFset | Changes the Offset Distance via the command line.
Negate | Flips the sign of the Offset Distance and the Line Stake Offset Distance from positive to negative, or vice-versa.
fliPPoints | Flips the last set of points to the other side of the feature. Basically, this option deletes the last set of points and resets them on the other side.
SEttings | Calls up the full Settings dialog, as described below.
Oops | Removes the last set of points. Similar to "Undo", except at this time, it will only remove the most-recent set of points. It will not let you undo more than one set of points. However, you may still cancel the StakeFeatures command and use the standard "Undo" command.
Xref | Switches to "Nested Selection Mode", allowing linework in XREFs to be selected as the source object. Offset points are created in the current drawing. Right-click or hit ENTER to exit "Nested Selection Mode", and return to the standard prompt. (This option is not available in the Free Edition.)

Typing "SE" at the command prompt calls up the Settings dialog box shown below:

StakeFeatures Dialog box

At the upper-left is a place to specify the next point number. You may type a new point number in this box and hit the "Enter" key, and if the point number is currently in-use, it will automatically jump to the next available number. You may also click on the "Available Pt Nums" button to see what point numbers are available for use. In the upper-right corner is the Quickset panel. (Note that some of the options for this command are disabled in the Free Edition.)

Description of the options:

Next Pt Num | Specifies the next point number to use for generated points. Click on the "Free Pt Nums" button to see a list of available point numbers.
Feature Description | String used in the description for points. Depending on the settings for other options on this page, this string may be combined with the offset distance and/or a description tag to form the description for points.
Offset Distance | Offset distance for points. Negative numbers are to the left side of the polyline or featureline, positive numbers are to the right side.
Staking Interval | Interval between stakes. When "Set Evenly-Spaced Points" is checked, this is the maximum interval between offset points, as measured along the feature line or polyline.
Max Radius to Stake | Radius points are set for arc segments if the radius is less than or equal to this value.
Datum Adjustment | A vertical datum-adjustment to apply to the elevation for each point as it is calculated.
Point Stakes | The "Set Points at PIs" and "Set Interval Points" settings control how points are created. When the "Set Points at PIs" option is selected, points are set at all horizontal and vertical geometry points (angle points, points of curvature, grade breaks, etc.) in the feature line. When "Set Interval Points" is selected, points are set at the Interval points, as controlled by the "Staking Interval". You may select either one or both of the options. Points are assigned descriptions that include the corresponding Description Tag, if the tag is enabled.
Set Evenly-Spaced Points | This option is only enabled when "Set Points at PIs" is selected. This option causes intermediate points to be created at evenly-spaced intervals, using the Staking Interval as the maximum distance between points.
Always Set Curve Midpoint | This option is only available when "Set Evenly-Spaced Points" is selected. It forces a point to be set at the midpoint of the curve, as long as the curve length is greater than the minimum curve length specified.
Min Deflec for Offsets at PIs | This option is only available when "Set Points at PIs" is selected, and "Set Evenly-Spaced Points" is NOT selected. It prevents points from being set at PIs that have deflection angles smaller than the specified value. It is useful for limiting the number of points that are set along Feature Lines, especially daylight lines, which may contain a large number of PIs. This option only affects points set at PIs, and not points set according to the Staking Interval. (See Example 5 below.)
Min Distance between PIs | This option is only available when "Set Points at PIs" is selected, and "Set Evenly-Spaced Points" is NOT selected. It prevents points from being set along PIs when they fall within the specified minimum distance of another PIs. It is useful for limiting the number of points that are set along Feature Lines, especially daylight lines, which may contain a large number of PIs. This option only affects points set at PIs, and not points set according to the Staking Interval. (See Example 5 below.)
Attempt Curve Detection | This option is only available when either "Min Deflec for Offsets at PIs" or "Min Distance between PIs" is selected. When selected, it causes the StakeFeatures command to analyze the selected linework, and attempt to locate "curves" in the source linework (even if the linework is composed of 3D-Polylines or Feature Lines with intermediate grade points set). If curves are found, the pruning commands are suppressed for those PIs. This forces points to be set at both ends of curves, despite the settings of "Min Deflec for Offsets at PIs" and "Min Distance between PIs". (See Example 5 below.)
Set Radius Points on Both Sides | By default, Radius Points are only created on the same side of the feature as the offset stakes; therefore no radius point is set if the offset points are being placed along the outside of a curve. When this item is checked, radius points are created for all arc segments, as long as the curve radius is smaller than the setting for the 'Max Radius to Stake' option.
Set Points with "No Elevation" | Typically, the elevations for the points comes from the linework. However, if this option is selected, all points are generated with "No Elevation". This is particularly useful when the points should be set along one object, but the elevations should come from another object. After setting the points with "No Elevation", you may then use commands such as Pt2Profile or Pt2Feature or the default Civil-3D "Elevations from Surface" command to set the point elevations.
Precision for Point Descriptions | If the Offset Distance is included in the Point Description, this value specifies the desired precision for the distance, i.e. the number of digits to the right of the decimal. Trailing zeros to the right of the decimal point are omitted.
Include Offset Distance in Point Descriptions | When selected, the offset distance is prepended to the Feature Description. For example, in the dialog box shown in the image above, Feature Description is set to "EOC" and Offset Distance is set to "3". Therefore, all points will be created with descriptions like "3EOC". If Description Tags are also enabled, the description may also contain a description tag, such as "3EOC PC" for a three-foot offset to a point of curve.
Edit Point Description Tags | Click this button to edit additional tags that may be added to the description for all points set near horizontal geometry points. See below.
Min Deflection for NxN offset | At an angle point, if the deflection between the course in and the course out of the angle point is greater than this value, only a single NxN offset is created to the point. If the deflection is less than this value, two offsets are set for the point, one for the course in and one for the course out. Set this value to 0 degrees if you always want only a single NxN offset set on the inside of angle points, and set it to 180 degrees if you always want two offsets set on the inside of angle points. The default value is 90 degrees.
Angle Point Fuzz | Specifies a "tolerance" value for how close together two offset points should be set on angle points. When the angle point is supposed to get two offset points, one for the course in and one for the course out, but the offsets fall within this tolerance of each other, only a single offset point is set instead of two. (See Example 2 below.)
Radius Point Description Tags | When "Use Feature Description" is selected, the description for radius points is generated using the Feature Description specified for the offset points. When "Use Alternate Description" is selected, the specified string is used for the radius points. In both cases, the Radius of the curve is also included in the description.
Use Curve Staking Interval | When selected, this option allows a different staking interval to be specified for curves. This is useful for setting points at 50-foot intervals on straight segments and 25-foot intervals around curves, for example.
Small Curve Settings | When selected, this option suppresses offset stakes for curves with small radii, and sets only the radius point. This occurs if a curve has a radius less than or equal to the specified value. The radio buttons control how many points are created, and with what elevations. When "Single point, Midpoint elev" is selected, only one Cogo point is created at the radius point, and it will have the elevation of the midpoint of the curve. When "Two points, Endpoint elevs" is selected, two Cogo points are created at the radius point, one with the elevation of the start of the curve, the other with the elevation of the end of the curve.
Point Creation Settings | The upper-right portion of the dialog box contains the Point Creation Control, which summarizes the current Point Creation Settings. You may adjust these settings by clicking the "Edit Point Creation Settings" button, which will take you to the Point Creation Dialog. Note that the Elevation and Description settings are not available for this command, since these values are generated for each Cogo Point by the StakeFeatures command itself..
Draw Lines | When selected, a line is drawn between the new Offset Cogo Point and the point it references on the source object. This line is drawn on the specified layer.
Set Line Stakes | When selected, an additional line stake is created for each point. This additional line stake is basically a "second offset" for each point. The description and offset for the line stake are specified in the text boxes. When "Set Line Stake at PIs only" is checked, line stakes are only created at featureline PIs. Only the primary offset point is calculated at all other points. Also, Line Stakes can only be set at points that have an Offset Stake, so disabling settings in the "Point Stakes" section will also disable the corresponding option in this section.

Special tags may be appended to the description of all offset points set at horizontal or vertical geometry points. Clicking on the "Edit Point Description Tags" button will call up the following dialog box, which may be used to edit those description tags:

StakeFeatures Description Tags

Note that these tags, when enabled, are applied only to offsets near horizontal and vertical geometry points. The description for all interval points will consist of the Feature Description, with no tags.

Examples

Example 1:

The following image illustrates a feature line labeled with the settings shown in the dialog box in the image above, except the Line Stakes were turned off to set the points in the image below. The offset distance is set to "-3", which creates points three feet to the left side of the linework. Notice that two offsets are set on the outside of angle points, and a single 3x3 offset is generated for the inside of angle points. The option for setting radius points on both sides is disabled, so radius points are only set on the left side. The option for "Set Evenly-Spaced Points" is selected, so points are evenly-spaced along each segment. Also, the option to "Draw Lines" is selected, so the red lines are drawn between the feature point and the offset point.

StakeFeatures Evenly Spaced

The image below shows slightly-different settings. The offset is now "3" instead of "-3", so the offset points are on the right side. The option for setting radius points on both sides is selected, so radius points are set on both the left and right sides, as long as the radius is smaller than the maximum distance specified (30 feet). Also, the option for "Set Evenly-Spaced Points" is now turned off, so intermediate points are set every 25 feet, as measured from the start of the polyline.

StakeFeatures Interval Spaced

The precision for Point Descriptions is set to "2", so the description for Point 535 is "15.41RP EOC". However, the description for point 514 is "21.6RP EOC", since the radius of that curve is 21.60, and trailing zeros are omitted.

Example 2:

The image below shows what can happen on some angle points.

StakeFeatures Angle Point Fuzz Factor

The deflection in the angle is very slight, so Points 508 and 509 end up almost on top of each other. In this particular case, the points happen to be about 0.4' from each other. So if we instead use a value of 0.5' for the Angle Point Fuzz Factor, we end up with these results, with a single 3x3 offset on the outside of the angle point. This angle point is in the same place that the vertex of an offset polyline would be, if we created an offset polyline from the feature we are staking out.

StakeFeatures Angle Point Fuzz Factor

Example 3:

The following diagram illustrates EOA offsets set 3 feet left of the feature, along with Line Stakes set at 10 feet left. The featureline has been offset by 3 feet and 10 feet (the dashed grey lines) for reference, and similar lines have been drawn through the line stakes to the points they reference.

StakeFeatures Line Stakes

Example 4:

The following image illustrates a current problem with the Line Stakes. Currently, the Line Stakes are calculated basically the same way as the offset stakes. In this case, Point 717 is basically a 10x10 offset to the featureline. This works fine when the segments are lines. However, this does not create a correct line stake when curves are involved. The orange segment in the image below is a straight line that should hit the vertex of the featureline.

StakeFeatures Line Stakes

Because of this issue, if you want to use Line Stakes on curved features, you may want to configure the settings so that no NxN offsets are generated.

Example 5:

The image below shows some site grading. The proposed Finish Grade is shown by the red contours, and much of the grading was created with a grading object.

StakeFeatures Pruning - start

Now, assume we wish to set points at roughly 50' intervals along the daylight line. We can try using the StakeFeatures command with the "Set Interval Points" option selected, "Set Points at PIs" NOT selected, "Set Evenly-Spaced Points" NOT selected, and a staking interval of 50'. Unfortunately, this sort of setting usually fails to create points at important geometry points, since points are only set at even 50' stations. However, if we turn on the "Set points at PIs" option, we may get far too many points set, as seen in the diagram below.

StakeFeatures Pruning - too many PIs

The image below shows what happens if we turn on the option for "Min Deflec for Offsets at PIs", and set it to 10 degrees. This will prevent points from being set on PIs that have a deflection angle of less than 10 degrees. However, points will still be set every 50 feet, because we still have the option for "Set Interval Points" turned on. This creates results that are much closer to what we want, but there are still too many points going around the curves.

StakeFeatures Pruning - Prune Min Deflec

If we turn off the "Min Deflec for Offsets at PIs" option, and instead turn on the "Min Distance between PIs" option and specify a minimum distance of 15', we get results like those in the image below.

StakeFeatures Pruning - Prune Min Distance

That results in points with a more-even distribution, but there are still far too many. We could try increasing the minimum distance, but as that number gets higher, we start to have that problem where important geometry points might not get a point set on them. The following image now shows what we get if we turn on BOTH the "Min Deflec" and "Min Distance" options at the same time.

StakeFeatures Pruning - Prune Deflec + Distance

That's pretty close to what we want! But if we zoom into the curves, we can see that the points around the curves are still not quite what we want. However, if we turn on the option to "Attempt Curve Detection", the StakeFeatures routine will attempt to identify "curves" in the linework. This gets a bit tricky to do along feature lines with as many PIs as can be found in a line like this daylight line, but it usually does a pretty decent job of detecting the curves. When it detects a curve, the PIs at each point of curvature will get Cogo Points created for them, even if those PIs would normally be pruned by one of the pruning settings ("Min Deflec for Offsets at PIs" or "Min Distance between PIs").

The images shown below illustrate the difference along one of the curves. The first image shows the results when "Attempt Curve Detection" is turned off, and the second image shows the results when "Attempt Curve Detection" is turned on.

StakeFeatures Pruning 1 - Curve Detection Off StakeFeatures Pruning 1 - Curve Detection On

The images shown below illustrate the difference along another one of the curves. Again, the first image shows the results when "Attempt Curve Detection" is turned off, and the second image shows the results when "Attempt Curve Detection" is turned on.

StakeFeatures Pruning 2 - Curve Detection Off StakeFeatures Pruning 2 - Curve Detection On

See Also

Blue Dot CreatePointsFromLabels

Create Points at the exact location and elevation of Surface Elevation Labels.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot Extract2d

Extracts selected linework (Feature Lines, Survey Figures, Parcels, Alignments, 3D-Polylines, and more) into a flattened polyline. May be used to extract linework from items in the current drawing, or from items in XREFs or DGN Underlays. When selecting items in XREFs, the extracted linework is created in the current drawing. Additionally, when selecting Cogo Points that are in XREFs, the Cogo Points are copied into the current drawing.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot LotCorners

Set points on all lot corners in the selected parcel(s).

Blue Dot Pt2Feature

Datum-adjust points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot SPRandomDaylight

Finds the daylight point on a surface from a selected point, using the point or user entered elevation.

Blue Dot StationPoints

Adds Station and Offset to the description of selected points.


Pt2Feature

Description

The Pt2Feature command datum-adjusts existing Civil-3D Points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Usage

Type Pt2Feature at the command line, and select the points you wish to change. You will see the prompt shown below. Select the sites that you want to search and specify the desired options, then hit the OK button. Or type "SE" to call up the Grading Settings dialog.

Example

In the example below, the orange line at the back of curb is a feature line. The back of curb has elevations set as shown in the elevation editor, with Station 0+00 being near Point 4176 in the drawing.

Pt2Feature Example start

Now lets say we wish to change the elevation of Station 0+00 from 6791.06 to 6792.00. We can change the feature line by editing the elevations in the Elevation Editor, but then we also need to datum-adjust the points to match the new feature line elevation. To do that, we can start the Pt2Feature command. Or, we can select the points we wish to datum-adjust, right-click, and select the "Datum Adjust to Feature" option from the shortcut menu, as shown below. Note that we entered the new elevation of 6792.00 in the elevation editor before selecting the points.

Pt2Feature Example shortcut menu

We then select the top of curb feature line, and the points are datum-adjusted to match the feature line, as shown below:

Pt2Feature Example end

See Also

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.


Pt2Profile

Description

The Pt2Profile command datum-adjusts existing Civil-3D Points based on Profiles.

Usage

Type Pt2Profile at the command line, and select the points you wish to change. You will see the prompt shown below. Select the points that you wish to change, or type "PO" to select points by Point Group. You may also type "SE" to call up the Settings panel, or type "SW" to graphically select an alignment or profile in the drawing. If you select an alignment, the Pt2Profile command will attempt to use the last profile you selected for that alignment.

Settings

Pt2Profile Settings Dialog

Site, Alignment, Profile

Use these list boxes to select the desired Profile. Or, you may click on the little button next to the Profile list box to pick an Alignment or Profile in the drawing.

Datum Adjustment, Cross Slope, Offset Distance

These options are similar to the ones found in the Grading Settings dialog, except there is an additional "Crown" option. If "Crown" is checked, then the cross-slope is applied in the same way to both sides of the alignment. Otherwise, the Cross Slope value is applied from left to right. For example, a value of "-2" for the Cross Slope would be typical of a roadway, where the surface slopes downward at a 2% grade each way from centerline. If "Crown" is checked and a value of "25" is used for the Cross Slope, the result would be a V-ditch where the sides slope upward at a 25% (or 4:1) grade on each side. If "Crown" is NOT checked, a value of "-2%" would indicate a constant downward slope from left to right.

Reset elevation if point is not adjacent to profile

If this option is selected, point elevations are reset to "No Elevation" if they are not adjacent to the Profile. If this option is not selected, elevations are left unchanged for points that are not adjacent to the Profile.

Example

The diagram below shows a centerline with alignment and profile (in red), and a curb line (in green). The curb is 2.50 feet from lip to back, and the green points (Points 13-18) are three feet behind the curb, for a total of 5.5 feet. The back of curb is 0.5 feet higher than the lip.

Pt2Profile Settings Dialog

The white points (Points 1-12) were graded from the profile using a Datum Adjustment of 0 feet, a cross slope of -2% (with a crown), and an offset distance of 0 feet.

The green points were graded from the same profile as the white points, but using a Datum Adjustment of 0.5 feet, a cross slope of -2% (with a crown), and an offset distance of 5.5 feet.

Also note that you can run the Pt2Profile command by selecting some points, right-clicking, and selecting the "Datum Adjust to Profile" option from the shortcut menu, as seen below.

Pt2Profile Settings Dialog

See Also

Blue Dot Pt2Feature

Datum-adjust points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot StationPoints

Adds Station and Offset to the description of selected points.


SGObject

Description

The SGObject command datum-adjusts existing Civil-3D Points, using an existing piece of linework as a temporary alignment for the grading.

Usage

Type SGObject at the command line, and select the points you wish to change. Or select the points that you wish to change, right-click, and select "SincpacC3D Point Commands->Datum Adjust Points->Straight Grade From Object" from the shortcut menu.

You will then be prompted to select the grading points. You have several options at this point. If your points are in 3D, you may use the NODE OSNAP to snap to the nodes of Points. Or you may use the 'PO transparent command to select points and use the point elevation, even if your points are flattened to Z=0. Or you may snap to 3D-linework. Or you may enter "E" to hand-type an elevation, then pick a point on-screen to select the horizontal location, or "SE" to adjust the Grading Settings.

Example

In the diagram below, the grade at the end of curb (point 4242) is given in the plans as 7065.50. The grade at the PRC (point 4246) is also given in the plans, at 7063.85. We want to straight-grade the rest of the points.

We run the SGObject command and select points 4243-4245. Then, using the NODE OSNAP or the 'PO Transparent Command, we select points 4242 and 4246. Finally, we select the top-back of curb line (or the flowline, if we wish) to use as the grading object. The result is shown below:

See Also

Blue Dot Pt2Feature

Datum-adjust points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot SGRD

Straight-grade points, using a temporary grading line drawn through pick points.


SGRD

Description

The SGRD command datum-adjusts existing Civil-3D Points, using a temporary grading line drawn through pick points.

Usage

Type SGRD at the command line, and select the points you wish to change. Or select the points that you wish to change, right-click, and select "SincpacC3D Point Commands->Datum Adjust Points->Straight Grade Using Points" from the shortcut menu.

You will then be prompted to select the grading points. You have several options at this point. If your points are in 3D, you may use the NODE OSNAP to snap to the nodes of Points. Or you may use the 'PO transparent command to select points and use the point elevation, even if your points are flattened to Z=0. Or you may snap to 3D-linework. Or you may enter "E" to hand-type an elevation, then pick a point on-screen to select the horizontal location, or "SE" to adjust the Grading Settings.

Example

Consider the diagram below.

Now assume we wish to raise the grade of point 4821 by one foot, and straight-grade back to a 7118.78 at point 4817. To start, we select point 4821 and datum-adjust it upward by 1 foot, using the normal Civil-3D datum-adjustment command. We then start the SGRD command, and select points 4818-4820. At the prompt to select the grading points, we use the NODE OSNAP or the 'PO Transparent Command to select points 4821 and 4817. The result is shown below.

See Also

Blue Dot Pt2Feature

Datum-adjust points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot SGObject

Straight-grade points, using an existing piece of linework as a temporary alignment for the grading.


SPExportDescKeys

Description

The SPExportDescKeys command is a feature which allows the user to export all Description Key Sets in the current drawing to a zipped XML file with an extension of .KEYX, containing Description Key Sets and their respective Description Keys and settings (including point styles, point label styles, layers, linetypes, and text styles), which may be imported into other drawings or archived for later use.

Usage

Type SPExportDescKeys at the command line. You will be presented with the standard save file dialog in which you may browse to, and select, the desired KEYX file to save. The file is created immediately, you will be notified on the command line once it is done...normally just a moment or two.

Use the SPImportDescKeys command in a different drawing to import the saved Description Key Sets for use in that other drawing. May be used with other versions of C3D.

See Also

Blue Dot SPImportDescKeys

Quickly and easily import selected Description Key Sets from a named XML or KEYX file into the current drawing.

Blue Dot ExportCivilStyles

Allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Blue Dot SPImportTrimbleDescKeys

Takes the description keys FXL file created by the Trimble software and import them into a C3D description key set, creating layers, blocks (symbols), and PointStyles as needed.


SPImportDescKeys

Description

The SPImportDescKeys command is a feature which allows a pre-saved XML file, containing Description Key Sets and their respective Description Keys and settings, to be imported into the current drawing. This command can import from either the XML file created by the Free ExportDescKeys, or the KEYX file created by SPEXPORTDESCKEYS.

Usage

Type SPImportDescKeys at the command line. You will be presented with the standard open file dialog in which you may browse to, and select, the desired XML or KEYX file containing the Description Key Sets to import. Once the file is selected it is scanned for saved Description Key Sets and a new dialog is shown with these Sets displayed. If there is a Set in the drawing which matches the name of one of them in the chosen file, it is shown in red to alert the user of this fact. Check the box, or boxes, of the Set(s) to import and hit OK. Use the radio buttons to set whether to Overwrite, Append, Rename, or Skip existing, same name, sets.

If there were Point Styles or Point Label Styles that were defined in the XML but are missing in the drawing, they will be created using the same settings as were used in the original drawing. This capability does not work in 2009, instead the style(s) and the associated description key(s) are sent to the command line to advise you of this.

This command may be used with XML/KEYX files created by the SPExportDescKeys command from any version of SincpacC3D that supports the command (currently 2009+). Which means the user now has the ability to use Description Keys created in 2012 in their 2009 drawings, although the automatic style creation only functions with 2010+.

See Also

Blue Dot SPExportDescKeys

Quickly and easily export all Description Key Sets from the current drawing to a named KEYX file.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.

Blue Dot SPImportTrimbleDescKeys

Takes the description keys FXL file created by the Trimble software and import them into a C3D description key set, creating layers, blocks (symbols), and PointStyles as needed.


SPImportTrimbleDescKeys

Description

The SPImportTrimbleDescKeys command is a feature which takes the description keys FXL file created by the Trimble software and import them into a C3D description key set, creating layers, blocks (symbols), and PointStyles as needed.

Usage

Type SPImportTrimbleDescKeys at the command line. You will be presented with the standard open file dialog in which you may browse to, and select, the desired FXL file containing the Trimble Description Keys to import. Once the file is selected it is scanned for items which can be imported (Layers, Block SYmbols, Point Styles) and a new dialog is shown with these items displayed.

If there were Point Styles or Block Symbols that were defined in the FXL but are missing in the drawing, they will be created using the same settings as were used in the original FXL.

See Also

Blue Dot SPImportDescKeys

Quickly and easily import selected Description Key Sets from a named XML or KEYX file into the current drawing.

Blue Dot SPExportDescKeys

Quickly and easily export all Description Key Sets from the current drawing to a named KEYX file.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.


PGAddRemovePoints

Description

The PGAddRemovePoints command can be used to add selected Civil-3D Points to one or more existing point groups, while simultaneously removing the points from other point groups. It can also be used to remove selected points from ALL point groups all at once, should you wish.

Note that in addition to running this command from the command line, you may also run this command by selecting some points, right-clicking, and selecting "To/From Point Groups" from the "Sincpac-C3D Point Commands" shortcut menu.

Usage

Type PGAddRemovePoints at the command line, and select the points you wish to add or remove. You will then see a dialog box that looks similar to this one, containing all the Point Groups that currently exist in your drawing:

PGAddRemovePoints Dialog box

The numbers in curly braces indicate the number of points currently in each point group.

In the left pane, select the Point Group(s) you want to add the points to. In the right pane, select the Point Group(s) you want to remove points from. Or, you can select the "Exclude from all other groups" checkbox in the bottom left. This option causes all points to be added to the Point Group(s) selected in the left pane, if any, and removed from all other Point Group(s) at the same time. When this option is selected, the right pane becomes disabled, and is ignored.

The "Protect surfaces" checkbox keeps points from being removed from point groups that are part of a surface definition. The point groups still appear in the list, but no points will be removed from them.

When the "Remember Selections" checkbox is selected, the groups selected in each list will be remembered between invocations of the command. If this checkbox is not selected, the list will be cleared each time the command is run.

This command adds Points to Point Groups by first trying to remove the point number from the "Exclude" list for the Point Group. If the point number is not in the "Exclude" list, then the routine adds the Point Number to the "Include" list. To remove the Point from a Point Group, the routine first attempts to remove the Point Number from the "Include" list. If this doesn't work because the point is still included for some other reason, or if the point number is not in the "Include" list, then the routine adds the Point Number to the "Exclude" list.

See Also

Blue Dot AddPVIs

Add selected Civil-3D Points to an existing Profile as PVIs, or create a new Profile using the points.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot Pt2Feature

Datum-adjust points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtConnect

Draw Polylines or 3D-Polylines between Cogo Points.

Blue Dot SelPtGroup

Select Civil-3D Points by point group, so they can then be used in other commands.


PGBrowser

Description

The PGBrowser command provides a quick way to flip through Point Groups and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Usage

Type PGBrowser at the command line. You will then see the following dialog box:

PGBrowser Dialog box

Select a Point Group in the list on the left. The current Style and Override settings will be shown along the right side. You also have an option to enable or disable the Automatic Point Group Update feature. (See PGENA for more details.)

At the bottom of the dialog box is a list of all points currently in the group. This list may be edited to include or exclude points from the Point Group. Any edits to this box are applied by modifying the "Include Point Numbers" and "Exclude Point Numbers" lists as-needed in the Point Group definition.

The buttons at the bottom-left of the dialog box may be used to delete or rename the currently-selected Point Group. When deleting a Point Group, the Points contained in the Point Group are not deleted.

Changes made in this dialog are applied as you switch between Point Groups. However, the UNDO command may be used to revert all changes made during an invocation of this command.

See Also

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot PGUpdateAll

Updates all Point Groups in the current drawing. Equivalent to selecting the "Point Groups" collection in Toolspace and using right-click -> Update.

Blue Dot PGUpdateEnabled

Enables or disables the automatic updating of Point Groups in the current drawing. When enabled, Point Groups are automatically updated whenever one or more Cogo Points are created in the drawing. In addition, if PGUpdateOnEdit is also enabled, the Point Groups will be updated whenever one or more Cogo Points is edited.

Blue Dot PGUpdateOnEdit

Determines whether or not an automatic update of Point Groups should be triggered when Cogo Points are edited. PGUpdateEnabled must also be enabled.

Blue Dot SelPtGroup

Select Civil-3D Points by point group, so they can then be used in other commands.


PGUpdateAll

Description

The PGUpdateAll command updates all Point Groups in the current drawing. Equivalent to selecting the "Point Groups" collection in Toolspace and using right-click -> Update.

Usage

Type PGUpdateAll at the command line.

See Also

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot PGUpdateEnabled

Enables or disables the automatic updating of Point Groups in the current drawing. When enabled, Point Groups are automatically updated whenever one or more Cogo Points are created in the drawing. In addition, if PGUpdateOnEdit is also enabled, the Point Groups will be updated whenever one or more Cogo Points is edited.

Blue Dot PGUpdateOnEdit

Determines whether or not an automatic update of Point Groups should be triggered when Cogo Points are edited. PGUpdateEnabled must also be enabled.


PGUpdateEnabled

Description

The PGUpdateEnabled command enables or disables the automatic updating of Point Groups in the drawing.

Usage

Type PGUpdateEnabled at the command line. You will then be prompted for the new setting for Point Group auto-updates, enabled or disabled. This setting is stored in each drawing.

When the Point Group auto-update feature is enabled, Point Groups will automatically refresh whenever one or more Cogo Points are created by any command, including "Import from File". When this feature is disabled, you may use the PGUpdateAll command to update all point groups. Additionally, if both PGUpdateEnabled and PGUpdateOnEdit are enabled, Point Groups will be updated whenever one or more Cogo Points are edited.

If the current drawing has no value set for PGUpdateEnabled, then the value specified on the OPTIONS Tab is used.

See Also

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot PGUpdateAll

Updates all Point Groups in the current drawing. Equivalent to selecting the "Point Groups" collection in Toolspace and using right-click -> Update.

Blue Dot PGUpdateOnEdit

Determines whether or not an automatic update of Point Groups should be triggered when Cogo Points are edited. PGUpdateEnabled must also be enabled.


IdPtGroup

Description

The IdPtGroup command can be used to identify which point groups a point belongs to.

Usage

The IdPtGroup command causes a dialog box to appear above the screen. As you select points on-screen, you will see information about the points, as shown in the image below. The point groups appear in the list in the order of their display precedence.

IdPtGroup Dialog box

You may also select one or more point groups from the list, and click on the "Remove from selected" button at the bottom of the dialog box to remove the point from the selected groups. Note that you cannot remove points from the "_All Points" point group.

See Also

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtConnect

Draw Polylines or 3D-Polylines between Cogo Points.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points.

Blue Dot SelPtGroup

Select Civil-3D Points by point group, so they can then be used in other commands.


SelPtGroup

Description

The SelPtGroup command selects Civil-3D Points by point group, so they can then be used in other commands.

Usage

Type SelPtGroup at the command line, and select the point groups from the list.

Example

In the image below, the green points labeled "3TBC" are in the "Curb Calcs" point group.

SelPtGroup sample start

You will then see a dialog box similar to the one below. Select the desired point group(s) from the list, and hit OK. The numbers in braces indicate how many points are in each point group.

SelPtGroup Dialog box

In the image above, the "Curb Calcs" point group is selected, which selects all the curb points, as seen below:

SelPtGroup sample selected

Note that you may also run this command by selecting some points, right-clicking, and selecting "Select Points By Group" from the shortcut menu, as seen below:

See Also

Blue Dot AddPVIs

Add selected Civil-3D Points to an existing Profile as PVIs, or create a new Profile using the points.

Blue Dot FindPt

Find and Replace text in the Raw Description of Points.

Blue Dot IdPtGroup

Select a point and see a list of all point groups it belongs too. Also allows you to remove the point from selected groups.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot Pt2Feature

Datum-adjust points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.


PGUpdateOnEdit

Description

The PGUpdateOnEdit command determines whether or not an automatic update of Point Groups should be triggered when Cogo Points are edited. PGUpdateEnabled must also be enabled.

Usage

Type PGUpdateOnEdit at the command line. You will then be prompted for the new setting, enabled or disabled. This setting is stored in each drawing.

Note that the Point Group Auto Update feature must be enabled by turning on the PGUpdateEnabled setting. If PGUpdateEnabled is enabled and PGUpdateOnEdit is disabled, then Point Groups are only updated when Cogo Points are created or deleted. If both PGUpdateEnabled and PGUpdateOnEdit are enabled, then Point Groups are also updated whenever any Cogo Points are edited.

See Also

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot PGUpdateAll

Updates all Point Groups in the current drawing. Equivalent to selecting the "Point Groups" collection in Toolspace and using right-click -> Update.

Blue Dot PGUpdateEnabled

Enables or disables the automatic updating of Point Groups in the current drawing. When enabled, Point Groups are automatically updated whenever one or more Cogo Points are created in the drawing. In addition, if PGUpdateOnEdit is also enabled, the Point Groups will be updated whenever one or more Cogo Points is edited.


PGDisplayManager

Description

The PGDisplayManager command allows the user to quickly add, remove, and restore Point Group Display states. This command is only available in Sincpac C3D version 3 and newer.

The first time PGDisplayManager is run it will only display the Current display order as defined in the PointGroups properties. Enter a name to save it as then hit Save Current and that display order will be saved. Exit out, go to your PointGroups and rearrange the display order. Go back to the PGDisplayManager, you will now have the one you saved plus the Current one. Save the current one with a new name. Note that if you select the existing named display, that name will be inserted into the saveas text box, allowing you to overwrite the existing one. Once saved, select the first one you saved and hit Set Current. This will change the display back to how it was when you saved that display state. You may create as many named display states as you wish. Should you add or remove any PointGroups, the saved states will remain unchanged, but all new groups will be added to the bottom of the list if one of these is used to Set Current, and any missing Groups will be ignored. These saved states are saved in the drawing.

See Also

Blue Dot PGBrowser

Blue Dot PGAddRemovePoints


PGQuickAdd

Description

The PGQuickAdd command allows the user to quickly add, or remove, points from specified Point Groups. This command is only available in Sincpac C3D version 3 and newer.

After starting the PGQuickAdd command, a small Palette will be displayed with 4 buttons. The top button is used to access the settings for the palette, the other 3 will display the Names of 3 Point Groups which will also display 1 of 3 different colors.A light blue button indicates the selected points will be added to that Point Group, light green indicates that the selected points will be added to the specified Point Group and that Group will be the exclusive group for those points (other than the _All Points group), and a light coral indicates that the selected points will be removed from the specified point group. All of these settings are accessed via the top button.

PGQuickAdd Palette and Settings

The user may select points and then pick a button (providing PICKFIRST is On) or they may pick a button then choose the points to act on. THe palette may be left open, or rolled up, while running other commands. To close the palette either click the "X" on it or issue the PGQuickAdd command again.

See Also

Blue Dot PGBrowser

Blue Dot PGAddRemovePoints


PGResetPointNumbers

Description

The PGResetPointNumbers command will reset the Point Numbers on the Include and Exclude tabs for all Point Groups in the current drawing.

Usage

Type PGResetPointNumbers at the command line.

See Also

Blue Dot PGBrowser

Point Group Browser. Provides a quick way to flip through Point Groups, and edit the style and override settings. Also displays a Point List of all points currently in the group. The Point List may be edited to add or remove points from the group.

Blue Dot PGUpdateAll

Updates all Point Groups in the current drawing. Equivalent to selecting the "Point Groups" collection in Toolspace and using right-click -> Update.

Blue Dot PGUpdateEnabled

Enables or disables the automatic updating of Point Groups in the current drawing. When enabled, Point Groups are automatically updated whenever one or more Cogo Points are created in the drawing. In addition, if PGUpdateOnEdit is also enabled, the Point Groups will be updated whenever one or more Cogo Points is edited.

Blue Dot PGUpdateOnEdit

Determines whether or not an automatic update of Point Groups should be triggered when Cogo Points are edited. PGUpdateEnabled must also be enabled.


BuildPointSelectionSet

Description

The BuildPointSelectionSet command allows the user to quickly and easily build filtered selection sets of Civil Points. Designed to look and feel like the familiar Land Desktop command of the same name.

Usage

Type BuildPointSelectionSet at the command line, or from the Ribbon choose Build Pt Selection Set on the Tools panel of the Sincpac-C3D tab. The Build Point Selection Set dialog is displayed.

Along the left side are properties to be used from a selected Civil Point, once you have the desired properties checked, press the Pick button to select objects from which to obtain the desired properties. Along the right side of the dialog are buttons for different properties, picking each of these will result in a list of available items to add as a filter. You may also type in the values, separating each entry with a comma. Point numbers and Elevations may be entered individually or as a Range. A valid range is just two numbers separated by a dash: 123.45-134.56, for an elevation range, or 123-456 for a Point# range. Point Names and descriptions allow the use of the standard wildards "*" & "?". All entries which accept Text are case-sensitive, with the exception of Point Names which use lowercase characters only but you may enter them as upper or lowercase.

Points may be displayed by several controlling factors. With BuildPointSelectionSet you may select the Style & LabelStyle criteria by either the actual styles assigned to the point, or by the Apparent style which is controlling the actual display of the point. Us ethe radio bottons along the bottom of the Selection Criteria panel to toggle between these options.

Once the Current Selection Criteria is how you want it, choose the Build Selection Set of Points button. At the lower left you will be shown the number of points matching the filter that were found. When you are happy with the selection, choose Apply to exit the command and the Selection Set will be created.

You also have the option to "invert" the selection by checking the Invert Selection box to the right of the Selection Criteria panel. This will select all items that do NOT match the Selection criteria. You may use as many, or as few, of the "Invert" checks as you want.

With drawings containing many points, the selection process may take some time. A progress meter is shown along the lower left of the dialog so you can visually verify that it is processing the points.

Some things to remember: All entries in a property will be used with an "OR" parameter (say you have PointStyles criteria of "Standard, Basic", then the filter will check if an style's name is a Standard OR if it is Basic, if it's either one it will be selected. All entries of differing properties will be used with an "AND" parameter (say you have the aforementioned "Standard, Basic" Point STyle filter and you also specify an elevation range of 123-130, then a point will only be added IF it is either a style with the name "Standard" or "Basic" AND it also has an elevation falling within the specified range.

See Also

Blue Dot SelectPointsAboveOrBelowSurface

Select Points in relation to a surface.

Blue Dot SelPtGrp

Select Points in a Point Group.

Blue Dot BuildSelectionSet

Select Entities by user entered selection criteria.


DisplayPoints

Description

The DisplayPoints command displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Usage

Type DisplayPoints at the command line. Or select some points, then right-click and select "Display Points" from the shortcut menu. You will then see a dialog box like that below:

DisplayPoints Dialog box

The individual columns in the grid may be dragged into any order, except for the Point Number column, which always remains visible at the left side of the grid. Click on a column header to sort the grid by that column. Columns may be sorted in either forward or reverse order. You may also right-click on the grid, and hide or unhide various columns. In the diagram below, the display is set to show a restricted set of options, and the columns have been re-arranged so that all three elevations are side-by-side:

DisplayPoints hide-unhide columns

Zoom feature: Note that you can right-click on any row, and zoom directly to that point in the drawing. This is designed to allow you to take a "quick look" at that Cogo Point. Click a mouse button, or hit ENTER or ESC on the keyboard, and you will return to the grid view.

You may add more points to the list using the two "Select More Points" buttons in the upper-right, or you may remove points from the list by selecting one or more cells in the row(s) you wish to delete, then right-clicking and selecting "Remove selected rows" from the shortcut menu. After selecting items in the display grid, you may also Copy and Paste them into Microsoft Excel or similar programs. Or click the "Selected Rows to/from Point Groups" to add and/or remove selected Cogo Points from Point Groups. You may also double-click on a row to edit the point, or right-click on certain columns to edit that value for all selected rows at once.

In order to make it possible to Copy and Paste individual cells or groups of cells into Excel, it is possible to select individual cells in the grid. Any command that works on a row (such as the "Selected Rows to/from Point Groups" button) will operate on any row that has at least one cell selected in it.

If the current drawing contains Alignments (with or without Profiles), an Alignment or Profile may be selected in the upper-left of the dialog box. The Station and Offset values displayed in the table are calculated using this Alignment. Select a different Alignment in the combo box (or click on the small button to pick an Alignment in the drawing), and the Station and Offset values displayed in the table will be recalculated based on the selected Alignment. If a Profile is selected and the Cogo Point is adjacent to the Profile, the Profile Elevation at each point will appear in the grid.

Similarly, if there are any Surfaces in the drawing, a Surface may be selected in the upper-left, and the Surface Elevation at each point will appear in the grid.

The Quickset Panel and the Display

The Quickset Panel in the upper-right can be used to save your favorite display layouts. Note that all columns in the grid (except for Point Number, which is frozen to the left edge) can be dragged into different orders and resized, and the table can be sorted by any column, by either increasing or decreasing values. In the image above, the display is sorted by increasing Station (note the small triangle in the column header).

You may arrange and resize the columns however you wish, and then save these settings in a Quickset. You may then recall these settings instantly from the Quickset. The Quickset remembers only the display layout of the grid view, so changing the Quickset will only affect the layout of items in the grid. It will not affect any other options in this dialog box.

Grid Sorting

The grid may be sorted on any column. The Raw Description is used when sorting by station, even if you select the Station column, so the station list will always sort correctly when sorted by Station, even when Station Equations are used. In addition, secondary sort columns are used in some cases. For example, when sorting by Description, if two rows have the same Description, they are then sorted by Point Number. If points are sorted by Station, then two points at the same Station are then sorted by Offset. In addition, the Station Sorting Parameters provide additional control over sorting.

Offset Format

The format of the offset may be adjusted by clicking the "Offset Format" button. For example, you may configure the offsets to display as "=34" or "34L" or "-34LT" or "34Lt", etc.

Cut/Fill Format

The format of the Cut/Fill columns may be adjusted by clicking the "Cut/Fill Format" button.

Hide Non-Adjacent

When this option is selected, points that are further than the Max Offset from the Alignment will hidden from the display grid. When rows are hidden, the count of hidden rows will appear in this box. Rows that are hidden are not included when the "Print to File" or "Print to Printer" buttons are used. A row is considered to be "selected" if any cell in that row is selected.

Invert Cuts and Fills

Normally, Cuts and Fills are calculated using the Surface or Profile as the target grade. When this option is selected, Cuts and Fills are calculated using the Cogo Point as the target grade.

Print to File

Click on the "Print to File" button to save the current display to a delimited text file, such as a CSV file. Items are output to the file in the same order as the column display order on the screen, so you may drag the columns to a different display order to change the way the CSV file is generated. Also, if a column is hidden in the grid view, it will not be sent to the output file.

Click on the "Print to File" button to call up the following screen:

DisplayPoints Print To File Dialog box

The text file is created in the same directory as the DWG file, unless you explicitly specify a relative or full path in the Filename dialog box. If the Filename contains an asterisk (*), the asterisk will be replaced with the current drawing name.

The rest of the dialog box contains various options for the output. If you wish to create a tab-delimited file, use "\t" for the Delimiter. These settings may be saved in a Quickset, using the Quickset Panel at the top of the dialog box.

In addition, there are options for each of the columns in the display, in case you do not wish to send all the values to the file. For example, you may display the Raw Description in the dialog box, but uncheck it on this screen, to keep the Raw Description from being sent to the output file. Any value that is hidden in the grid will not show up in the output file, and the corresponding checkbox on this screen will be greyed-out to indicate that the value is hidden in the grid.

Print to Printer

Click on the "Print to Printer" button to print the current display on the default printer. This is a "quick-print" functionality, designed to quickly send data to the printer. If you need greater control over the print, then use the "Print to File" option to send the data to a file, and edit the file in Excel. (Or select items in the Data Grid View, and copy-and-paste them into Excel.)

You may print the entire contents of the Data Grid View to the printer, or you may print only selected items. As with the "Print to File" option, items are sent to the printer in the same order as they appear in the display, and hidden rows and columns are not sent to the printer.

Selected Rows to/from Point Groups

This button calls the PGAddRemovePoints command, using points that are selected in the display grid. Note that only the Points that are selected in the grid view will be added/removed to/from the Point Groups. You may use CTRL-A to select all rows in the grid view.

Create Selection Set from Selected Rows

This button creates a selection set from the points that are selected in the display grid. It then closes the dialog box, terminating the DisplayPoints command. The selected Cogo Points will be in the active selection set, and available for the next command. Note that only the Points that are selected in the grid view will be added/removed to/from the Point Groups. You may use CTRL-A to select all rows in the grid view.

Editing Points

Double-click on any row to edit the Point. After double-clicking on the row, a dialog box similar to this one will appear:

DisplayPoints Edit Point dialog box

Note that you may edit the Northing and Easting, and the Station and Offset will change accordingly. Or, you may edit the Station and Offset, and see the Northing and Easting change accordingly. You may also edit a few other properties of the Point, namely the Point Elevation, Raw Description, and Description Format string. You may use a "." or a "-" for the Point Elevation to indicate "No Elevation".

The value for Station (below the Raw Station) will honor any station equations that may exist in the alignment. If you key in a new value for the Station, and that station exists in multiple locations in the alignment (due to station equations), you will be asked to select the desired occurrence by picking a point in the drawing.

You may also edit a value for multiple points simultaneously by selecting multiple points (by selecting one or more cells in that row), then right-clicking on the column you wish to edit. The new value you enter is applied to all selected points.

In the image below, multiple rows are selected, and the Offset for all selected points could be changed by right-clicking and selecting "Edit Offset..." from the context menu:

DisplayPoints Rt-Click Edit

Note that not all columns can be edited. If the column cannot be edited, no "Edit..." option will appear in the context menu.

Similarly, you may also use the "Datum Adjustment...", "Offset Adjustment...", or "Station Adjustment..." options to add a specified value to the Elevation, Offset, or Station of all selected points.

Snap to Station

The "Snap to Station..." option may be used to move Cogo Points to the closest Alignment station, as specified by the "Station Snap" settings. To use this feature, select the Cogo Points you wish to change, then right-click and select "Snap to Station...". You will then see the following dialog box

DisplayPoints Snap to Station dialog box

This dialog box allows you to specify the allowable stations. Selected Cogo Points get snapped to the closest allowed station. The allowed stations may be a set interval, or they may be horizontal or vertical geometry points from the Alignment and Profile selected on the main grid.

When specifying the Interval, an offset may also be used to gain further control over the interval. For example, the settings in the dialog box shown above are for an interval of 20, and an offset of 5. This results in allowed stations of 0+05, 0+25, 0+45, etc.

If the option for "Adjust Interval at Station Equations" is selected, then the interval is adjusted at Station Equations. For example, the following table illustrates the allowed station, using settings with Interval = 25 and Offset = 0, and the Alignment has a station equation where Sta 0+90 = 1+00:

Adjust at Station Equations | No Adjustment
0+00 | 0+00
0+25 | 0+25
0+50 | 0+50
0+75 | 0+75
1+00 | 1+10
1+25 | 1+35
1+50 | 1+60

Note that, since the Alignment has a station equation where Sta 0+90 = 1+00, there is only 15' of raw station between Station 0+75 and Station 1+00. If we select the option to adjust the interval at station equations, we get the first column, where our allowed stations stay on the even intervals. If we do not adjust the interval at station equations, we end up with the second column, where there is 25' of raw station between every allowed station.

See Also

Blue Dot AnalyzeDistortion

Analyzes the distortion between grid and ground distances, using either Cogo Points or an existing ground surface in the current drawing.

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot EntityTracker

Displays information about items underneath the cursor.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot LotFit

Select Cogo Points and Linework (Polylines or Parcels), and see the distance and direction to each Cogo Point from the nearest linework vertex.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed in the command window and may also be written to a file.

Blue Dot StationEquation

Key in a station on one alignment, and see the station/offset of that point as measured along another alignment.

Blue Dot StationPoints

Adds Station and Offset to the description of selected points.


ExportKMZ

ExportKMZ (aka ExportKML)

Description

The ExportKMZ command will dump Cogo Points to a KMZ file (a compressed KML file), which may be loaded into Google Earth. This command can also be called by using the former ExportKML command, which is now an alias for ExportKMZ.

In order to use this command, you must have a Coordinate Zone set in your drawing settings. IMPORTANT: Google Earth operates on WGS84 Latitude and Longitude. If you are using a coordinate system that is not based on WGS84, the resulting Google Earth placemarks will be converted to WGS84 Latitude and Longitude (if possible), which may result in differerent Latitude and Longitude than you see in your source Civil 3D drawing.

Usage

There are two primary methods of usage:

  • Select Cogo Points first, then run the ExportKMZ command.
  • Run the ExportKMZ command first, then select points at the prompt. This gives you the option of selecting Cogo Points by Point Group.

The primary difference between the two invocation methods is that the second method gives you the ability to select points by Point Group. If you do this, then the resulting KMZ file will contain one Group for each Point Group, and each Group seen in Google Earth will contain all of the points found in the corresponding Point Group in your drawing. If a certain Cogo Point is in more than one Point Group, it will also be in more than one Group in Google Earth.

If you select Cogo Points individually instead of by Point Group, you will have an option to sort the selected Points by their Primary Point Group. In this case, each selected Cogo Point will only appear once in the KMZ file, in the Group corresponding to its Primary Point Group in the drawing.

The Mapping File

You may optionally specify a mapping file. This mapping file should be a file containing a Block name and a URI for the symbol to use. Each line should contain only a single Block name, along with a URI, separated by a comma. If a line starts with a number sign ('#'), it is treated as a comment.

In addition, instead of a Block Name, you may also optionally use the names "_ACADPOINT" or "_CUSTOM" if you have selected an AutoCAD Point or Custom Marker for your Point Marker, instead of a standard Block.

When specifying the URI for the image, you may use either an image on a public web server, or an image from a local directory. If you select an image file from a local directory, that image file is copied into the KMZ file, and it will appear in Google Earth whenever your KMZ file is opened. This feature means that you may use images that are not posted to public web servers.

For example, take a look at the following mapping file:

ExportKMZ Mapping File

With this mapping file, all Point styles that use AutoCAD Points for the Point Marker will be mapped to an open diamond, and all Point Style that use the block named "CONTROL" in the Point Marker will be mapped to a triangle shape. All other Cogo Points will receive the default symbol.

Example

In the following drawing, the points with the red triangle symbols are in a Point Group called "Primary Control", and the points with the round white markers are in a Point Group called "Secondary Control". The brown point labeled "TESTHOLE" is in a Point Group called "ZX Site Feature".

ExportKMZ Sample Start

The red points use a Point Style which uses a block named "ZZ§AeccStation", as seen in the image below:

ExportKMZ Sample Point Style

In a similar vein, the Point Style for the temporary control points uses a block named "ZM_COR1", and the Point Style for the test hole uses a block called "ZZ_TESTHOLE". We will now define a Mapping file, which maps our blocks to image files as shown:

ExportKMZ Sample Mapping File

This mapping file is mapping the primary control points to a custom image on the N: drive of our local machine, and the secondary control points to a generic triangle symbol from Google's website. The test hole does not have a mapping, so it will use the default symbol selected in the dialog box when we run the ExportKMZ command.

We will now select all of the Cogo Points, and run the ExportKMZ command, which displays the dialog box seen below. In the settings, we'll go ahead and select our Mapping file. When we're happy with all the settings, we hit OK to generate the KML file.

In the above diagram, also note how we can specify a "Point Description Format". This specifies how the name for each placemark is generated. The special strings listed in the box are replaced with the corresponding value from each Cogo Point. All other characters in the Point Description Format are passed through unchanged.

And finally, here's what the result looks like when we open the KML file in Google Earth:

ExportKMZ Sample Output

Since we selected the option to group items by Primary Point Group, we have "Primary Control", "Secondary Control", and "ZX Site Features" groups in Google Earth, and each group contains the appropriate points, just as they exist in our Civil 3D drawing.

The red and orange triangle is the symbol from our local hard drive, while the white symbols are the ones from Google's servers. Notice how each point was correctly mapped to the correct image, as specified in our mapping file. And the test hole, which had no mapping, gets the default symbol specified in the command dialog box (the white circle).

See Also

Blue Dot ExportCivilStyles

Allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.


FindPt

Description

The FindPt command is much like the FIND command, except it works on the Raw Description of Civil-3D Points.

Usage

Type FindPt at the command line. At the prompt, select the points you wish to search, or type "PO" to select points by Point Group. You may also type "ALL" to select all points in the drawing. Right-click or hit ENTER when you have finished selecting points.

You will then see the following dialog box:

Find:

Enter the string to search for.

Replace:

Enter the string to use as the replacement text.

Ignore case:

By default, the Find string is case-sensitive. Check this box if you want to use a case-insensitive comparison.

Use Regular Expression:

When this box is checked, the Find string is treated as a Regular Expression. You may use any of the standard Regular Expression codes in the Find string. And if you use parentheses in your Regular Expressions, you may use the $1, $2, etc. identifiers in the Replace string.

Match whole words only:

Check this box to indicate that the Find string should only match whole words. If this box is not checked, the Find string will match even if it is part of another words. This option cannot be used if "Use Regular Expression" is checked.

See Also

Blue Dot FindParcel

Find and Replace text in the Name or Description of Parcels.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


FreePt

Description

The FreePt command displays a list of available point numbers in the command window.

Usage

Type FreePt at the command line. The available point numbers in the drawing are displayed in the command window, as in the following example:

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


MarkerExtract

Description

The MarkerExtract command extracts the custom symbols from Point Markers in the selected points, and creates free blocks that may be moved independently of the Point. It is useful for making overtyping symbols readable without changing the point data. Also, may be used to extract point descriptions to MTEXT or MLEADER entities, with a specified Width value.

Usage

Type MarkerExtract at the command line. The following dialog box will appear:

Along the top of the dialog box is the Quickset panel. The left side of the dialog box contains various options that may be applied to the Cogo Point and Marker as the Marker block is extracted. The right side contains various options that control how point descriptions are extracted into MTEXT entities or MLEADERs.

When creating MLeaders, the X and Y Offsets specified in the dialog box control the placement of the text. The leader arrowhead will be the location of the Cogo point. The MLeader uses the current MLeader style, as selected in the AutoCAD "Styles" toolbar.

Warning: There is a potential issue for point markers that are defined using blocks that have the "Scale Uniformly" option set to true. If the block is defined with the "Scale Uniformly" option set, and if you are applying scale factors to points (e.g., through Desc Keys), then the "XY Scale" and "Z Scale" must be set to the same value. Otherwise, this command will not extract the block correctly. If you experience this issue, set the "XY Scale" and "Z Scale" values for the point to the same value, or change the block definition (e.g., using the BLOCK command) so that the "Scale Uniformly" option is not set.

Examples

Example 1:

In the image below, the symbols for the sanitary manhole and the irrigation control valve overtype each other, creating a messy jumble.

MarkerExtract example start

We may select the irrigation valve, right-click, and select "Extract Point Markers" from the "Sincpac-C3D Point Commands" shortcut menu. We may then drag the resulting marker block to a new location without changing the location of the Cogo Point, resulting in a more-readable display, as shown below:

MarkerExtract example animated

And this final image shows what the resulting plot would look like. Notice how the symbols are now clearly-visible, yet the Cogo Points were not disturbed and are still valid. By contrast, notice the water valve between the irrigation valve and the building, which is buried by the tree symbol. If we wished, we could clean up these symbols in a similar fashion.

MarkerExtract example final plot

Example 2:

The image below shows a Cogo Point, representing a found monument.

MarkerExtract example2 start

We now run the MarkerExtract command, using the settings shown in this image:

MarkerExtract example2 settings

This creates an MLeader containing the point description, with the Width property of the text inside the MLeader set to 30. The new description is inserted on the Display Layer, which is the apparent layer that the Point Label appears on. The MLeader is created using the current MLeader style, as selected in the standard AutoCAD "Styles" toolbar. The result is seen below:

MarkerExtract example2 finish

Example 3:

The image below contains several points with various Point Label Styles. For all points, the raw description is "RAW DESCRIPTION" and the full description is "FULL DESCRIPTION".

MarkerExtract example3 start

If we now run the MarkerExtract command using the settings shown in this image:

MarkerExtract example3 settings1

We end up with a result as shown in the image below. Note that the various Special Codes are replaced by the value from the point. There are four Special Codes, and they are displayed in the lower-right of the dialog box for reference. In this example, "%f%" is replaced with the full description, and "%e%" is replaced with the Point Elevation. All other text in the Description Template is passed through unchanged.

MarkerExtract example3 finish1

If we run the MarkerExtract command using the settings shown in this image:

MarkerExtract example3 settings2

In this example, the option for "Use Label Contents" is selected, instead of the Description Template. When this option is selected, the contents of the Point Label are used to create the extracted text. Note that in the current version, this feature works much like the dragged state of the label, where the order of items in the description is determined by the order in which the Text Components were created in the Point Label Style.

MarkerExtract example3 finish2

See Also

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.


MovePoints

Description

The MovePoints command moves points horizontally in the drawing. Unlike the standard MOVE command, the points will not be moved in the Z-direction, so you will not get any unintentional datum adjustment when picking the base point and displacement point from the drawing. Points may also be selected by Point Group.

This command may also exhibit significantly faster performance than the normal AutoCAD MOVE command.

Usage

Type MovePoints at the command line. At the prompt, select the points you wish to move, or type "PO" to select points by Point Group. After selecting points, pick the Base Point and Displacement Point for the move.

The MovePoints command may be used to move points that are locked to a Station/Offset via a Dynamic Point Link (see the DLPoints command).

See Also

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot RoundPointElevations

Rounds selected Cogo Point elevations to the specified interval.

Blue Dot ScalePoints

Scales Civil-3D Cogo Points horizontally without applying a datum adjustment to the points.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


NextPt

Description

The NextPt command displays a list of available point numbers in the command window.

Usage

Type NextPt at the command line. You are prompted to enter the Next Point Number. The current setting is displayed in angle brackets. You may also type "F" or "U" to see a list of Free or Used point numbers.

Note that if you attempt to set the Next Point Number to one that already exists, you will be warned, and the default value will change to the next-highest available number. If you wish to accept this value, simply hit ENTER. Or, key in a different number, or hit ESC to cancel the command and leave the Next Point Number unchanged.

The image below illustrates the usage of this command.

To start, the user runs the NEXTPT command. The Next Point Number is currently set to 132, and the user keys in 250 as the desired value. The command reports back that Point Number 250 is in use, and the next-available number is 260. The user simply hits ENTER, which changes the next point number to 260. This can be seen the second time that the NEXTPT command is run. This time, we can see that the current Next Point Number is set to 260, and the user keys in 300 as the new value.

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


PoInv

Description

The PtInv command displays an inverse between two cCogoPoints. The inverse contains the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points. It can also maintain a running total of successive distances, adding the value of each measurement to the running total.

The PoInv command has three different modes of operation:

  • Single: Used to measure single segments; the start point and end point must be selected for each segment.
  • Continuous: The first selection is the start point. After that, each selection is the endpoint for the current segment, and the start point for the next segment.
  • Multiple: Used to measure multiple distances, all from the same base point. The first selection is used as the base point, then all successive selections are measured from that base point. The "Basepoint" keyword may be used to select a different base point.

The "Single", "Continuous", and "Multiple" keywords may be used to switch between the three modes at any time.

You may also type the point number for a Cogo Point at the prompt, instead of selecting a CogoPoint on-screen with the cursor.

Usage

Type PoInv at the command line. You will be prompted to select two CogoPoints in the drawing. You will then see output similar to the following:

The values in the output are:

  • HD: Horizontal Distance
  • SD: Slope Distance
  • Bear: Bearing between points
  • Slope between points (1:n or n:1) in run:rise format
  • Grade between points (percentage)
  • E1, E2 The elevation (Z value) of each selected point
  • dX, dY, dZ Delta X, Delta Y, Delta Z

The precision for the distance, slope/grade, and elevation values may be configured from the OPTIONS Tab. These settings may optionally be configured so that they are remembered on a per-drawing basis, in order configure different drawings to have different precisions. When using per-drawing settings, you may configure the settings in your drawing templates, to control the settings in newly-created drawings. Otherwise, newly-created drawings will take on the last-selected settings.

The values in square braces are running totals. The "Reset" keyword may be used to reset these values at any time.

After starting the command, continue selecting points in response to the prompts. You may also key in a Cogo Point number, instead of selecting a point on-screen. The "Single", "Continuous", and "Multiple" keywords may be used to switch between the three modes. To cancel the command, right-click or hit the ESC key.

See Also

Blue Dot PtInv

Inverse between picked points.

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtAng

Displays the angle formed by three points. The angle dimension is displayed as an interior angle, an exterior angle, and a deflection angle.

Blue Dot PtArc

Displays the arc distance, radius, and delta (central) angle of the arc segment defined by picking three points. Points may also be specified by keying in point numbers at the prompt.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


RotateAligned

Description

The RotateAligned command will rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object, so each object may be rotated to a different angle.

The RotateAligned command does not work for all objects, but it works for quite a few of them. Any object that has a Rotation attribute can be rotated. This includes DTEXT, MTEXT, and Blocks. Lines can also be rotated using this command. However, objects such as General Note Labels get their rotation from their Style and cannot be rotated individually.

Usage

Type RotateAligned at the command line, and select the objects you wish to rotate. Hit RETURN or right-click when you are done selecting objects. Then select the object with the rotation you wish to match. You will then be prompted to enter an additional angle rotation to apply (the "Angle Offset"), and an option to rotate objects on the left and right side in opposite directions.

You may also run this command by selecting one or more objects, right-clicking, and selecting "Rotate Aligned" from the shortcut menu.

Note that this command cannot be used directly on General Line/Curve Labels. However, a General Line Label can be attached to a line, and the line can be rotated with this command.

Examples

The image below shows a series of items along an Alignment. The blue hydrants are Civil-3D Cogo Points, and the white hydrants are simple Blocks. There are also some text elements and some pink lines.

RotateAligned Example 1 Start

In this image, the RotateAligned command was run with 0 degrees for the Angle Offset, and no mirroring:

RotateAligned Example 1 No additional rotation

In this image, the RotateAligned command was run with 90 degrees for the Angle Offset, and no mirroring:

RotateAligned Example 1 Rotate 90 degrees

In this image, the RotateAligned command was run with 90 degrees for the Angle Offset, and mirroring enabled:

RotateAligned Example 1 Rotate 90 degrees, mirror left

See Also

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.

Blue Dot FlipObjects

Flip objects 180 degrees.

Blue Dot RotateIndividual

Rotate selected objects. Each object is rotated individually around its insertion point. When used on Cogo Points, this command rotates the Point Marker. When used on MLeaders that have a single leader, the MLeader is rotated around the arrowhead.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When selecting a linear object, all objects are rotated to match the bearing of the selected point on the linear object.

Blue Dot TwistGroup

Rotate selected objects around a selected pick point by a set amount.


RotateMarkers

Description

The RotateMarkers command rotates Civil-3D Points.

Usage

Type RotateMarkers at the command line. You will be prompted to select the points you wish to rotate. Hit RETURN or right-click to finish selecting objects. You will then be prompted to enter the angle you wish to rotate the point markers to.

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotateIndividual

Rotate selected objects. Each object is rotated individually around its insertion point. When used on Cogo Points, this command rotates the Point Marker. When used on MLeaders that have a single leader, the MLeader is rotated around the arrowhead.

Red Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When selecting a linear object, all objects are rotated to match the bearing of the selected point on the linear object.

Blue Dot TwistGroup

Rotate selected objects around a selected pick point by a set amount.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


RotatePoints

Description

The RotatePoints command rotates Civil-3D Points.

Usage

Type RotatePoints at the command line. You will be prompted to select the points you wish to rotate. Hit RETURN or right-click to finish selecting objects. You will then be prompted to enter the angle you wish to rotate the points to.

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotateIndividual

Rotate selected objects. Each object is rotated individually around its insertion point. When used on Cogo Points, this command rotates the Point Marker. When used on MLeaders that have a single leader, the MLeader is rotated around the arrowhead.

Red Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When selecting a linear object, all objects are rotated to match the bearing of the selected point on the linear object.

Blue Dot RoundPointElevations

Rounds selected Cogo Point elevations to the specified interval.

Blue Dot ScalePoints

Scales Civil-3D Cogo Points horizontally without applying a datum adjustment to the points.

Blue Dot TwistGroup

Rotate selected objects around a selected pick point by a set amount.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


RotationMatch

Description

The RotationMatch command will rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels, in which case objects are rotated to match the direction of the polyline closest to the pick point. All objects are rotated to the same angle.

The RotationMatch command does not work for all objects, but it works for quite a few of them. Any object that has a Rotation attribute can be rotated. This includes DTEXT, MTEXT, and Blocks. Lines can also be rotated using this command. However, objects such as General Note Labels get their rotation from their Style and cannot be rotated individually.

Usage

Type RotationMatch at the command line, and select the objects you wish to rotate. Hit RETURN or right-click when you are done selecting objects. Then select the object with the rotation you wish to match. If you select a multi-segment piece of linework such as a polyline or Feature Line, the rotation will match the direction of the polyline at your selection pick point.

You may also run this command by selecting one or more objects, right-clicking, and selecting "Rotation Match" from the shortcut menu.

Note that this command cannot be used directly on General Line/Curve Labels. However, a General Line Label can be attached to a line, and the line can be rotated with this command.

When rotating objects to match a polyline or similar piece of linework, you may get objects that are rotated 180 degrees from the desired orientation. If this happens, start the FlipObjects command, and type "P" to select the previous selection set. This will flip all the objects to the desired orientation.

See Also

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.

Blue Dot FlipObjects

Flip objects 180 degrees.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotateIndividual

Rotate selected objects. Each object is rotated individually around its insertion point. When used on Cogo Points, this command rotates the Point Marker. When used on MLeaders that have a single leader, the MLeader is rotated around the arrowhead.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot TwistGroup

Rotate selected objects around a selected pick point by a set amount.


RoundPointElevations

Description

The RoundPointElevations command rounds selected Cogo Point elevations to the specified interval.

Usage

Type RoundPointElevations at the command line. At the prompt, select the points you wish to move, or type "PO" to select points by Point Group. Alternatively, you may select Cogo Points first, then run the command. After selecting points, you will be prompted to enter the rounding interval (the default value is 0.01).

This command comes in particularly handy when Cogo Points are linked to a Surface or other entity by a Dynamic Point Link. Without using this command, the resulting link may display values that do not add up exactly. For example, say we have a Cogo Point at elevation 100.003, and a surface elevation of 99.996, for a difference of 0.007. However, if we have our display rounded to only two decimal places, we will see a Cogo Point elevation of 100.00, a suface elevation of 100.00, but a difference of 0.01. However, if we use this command to round our Cogo Point elevations to the nearest 0.01, then we'll have a difference of only 0.004, which will round to 0.00. This can be handy when dealing with stubborn review agnencies or others who do not understand or want to accept rounding errors in output.

See Also

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddReRoundPointElevations

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot ScalePoints

Scales Civil-3D Cogo Points horizontally without applying a datum adjustment to the points.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


ScalePoints

Description

The ScalePoints command scales Civil-3D Cogo Points horizontally without applying a datum adjustment to the points.

Usage

Type ScalePoints at the command line. You will be prompted to select the points you wish to scale. Hit RETURN or right-click to finish selecting objects, or type "PO" to select points by Point Group. You will then be prompted for a base point, and a scale factor. Alternatively, instead of entering a scale factor, you may type "R" to pick scaling points in the drawing.

When selecting the scaling points, you may type "R" (for "Reference") to pick a new reference base point for calculating the scaling distance. This new reference point is only used for selecting the reference distance; the points are still scaled using the scaling base point. (See Example 2 below for an example of how this feature works.)

Examples

Example 1:

The following image illustrates the simplest usage of the ScalePoints command. The user selects the lower-left corner as the base point for scaling, then hits "R" to select reference points.

Scale Points Example 1

Example 2:

The following image illustrates how we may use different base points for picking our reference distance. The points are scaled from the scaling base point. The user then hits "R" again to change the reference point before picking each scaling point.

Scale Points Example 2

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotateIndividual

Rotate selected objects. Each object is rotated individually around its insertion point. When used on Cogo Points, this command rotates the Point Marker. When used on MLeaders that have a single leader, the MLeader is rotated around the arrowhead.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When selecting a linear object, all objects are rotated to match the bearing of the selected point on the linear object.

Blue Dot RoundPointElevations

Rounds selected Cogo Point elevations to the specified interval.

Blue Dot TwistGroup

Rotate selected objects around a selected pick point by a set amount.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


SelectPointsAboveOrBelowSurface

Description

The SelectPointsAboveOrBelowSurface command allows the user to create a selection of points lying either Above or Below a chosen Surface.

Usage

Type SelectPointsAboveOrBelowSurface at the command line. You will be presented with a form to choose which Surface to use, which method - Above or Below - to use, and to optionally limit the selection to points in one or more Point Groups. Make the desired selections, press OK, and the corresponding Points will become selected. You can choose to have your selections saved for the next use of this command.

As command line alternatives, there are the 2 commands SelectPointsAboveSurface and SelectPointsBelowSurface which will operate on all points and just present you with a small form with which to choose the Surface.

Note that you may not see the selection on screen as gripped objects, as the number of gripped objects is limited by the AutoCAD Sysvar GRIPOBJLIMIT.


SPGetConnectedPoints

Description

The SPGetConnectedPoints command allows the user to select a polyline and the PointNumber of all CogoPOints found at the vertices along the polyline will be sent as a string to the clipboard. This is handy for pasting the string back into the Polyline command and using the 'PN Transparent command. Useful for redrwing linework after edits are made to the points.

After starting the SPLabelAssembly command, select the polyline to search for CogoPoints along.

See Also


StaOff

Description

StaOff is similar to the old "Display Points by Station and Offset" command from Land Desktop. Select an Alignment and some points, and the Station and Offset of the points is displayed on screen. The listing may also be optionally sent to a file, and may be sorted by either Point Number or Station.

This command has been made largely obsolete by the DisplayPoints command.

Usage

Start the StaOff command. On the command line, you will see a brief synopsis of the current settings for the command, along with a prompt as shown below.

You may now select points, and hit return when done. You may also type "PO" to select points by Point Group, or "SE" to display the command settings dialog, or "SW" to switch to a different alignment by graphically picking one in the drawing.

You may also run this command by selecting some points, right-clicking, and selecting "List Station/Offset" from the Sincpac-C3D Point Commands in the shortcut menu.

Command Settings

Site:

Select a Site from the list, and the available choices for Alignment will update. Only Sites that contain Alignments will appear in the list of choices.

Alignment:

Select an Alignment from the list, or click on the button to select an alignment graphically in the drawing. Stations and Offsets will be relative to this alignment.

Sort By:

Specifies the sort order for the output.

None | No sorting. If the points are selected one at a time, they are listed in the order they are selected. However, if crossing windows or other methods are used to select more than one point at a time, the order of points is undefined.
Point Number | Output is sorted by Point Number.
Station | Output is sorted by Station. Points that are not adjacent to the alignment are placed at the end of the list, sorted by Point Number.

Write to File:

Select this option to cause the output to be sent to a file. Type the file name (with optional path) in the text box. If no path is specified, the file will be created in the same directory as the DWG file. You may also use an asterisk (*) to use the drawing name in the file name. The default value for filename is "*_staoff.txt". For example, if the current drawing name is "Foo.dwg", the StaOff output will be written to a file named "Foo_staoff.txt".

Clear Output File:

Clicking on this button will delete the output file. This button is only enabled if the "Write to File" option is selected.

Automatically clear file:

When this option is checked, the output file is automatically cleared each time the StaOff command is executed. If this option is not checked, the output is appended to the end of the existing file. This option is only enabled if the "Write to File" option is selected.

Automatically print to printer:

When this option is checked, the output file is automatically sent to the default printer every time the StaOff command is run. If you use this option, you may want to make sure that "Automatically clear file" is also checked. This option is only enabled if the "Write to File" option is selected.

Sample Output

Here is a sample of the output produced by the StaOff command. This sample is sorted by station.

Note that this routine cannot determine the station and offset of points on the outside of angle points in the alignment. For example, in the diagram below, Point 2685 will be displayed as "Not adjacent to alignment."

See Also

Blue Dot DisplayPoints

A "point browser". Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer.

Blue Dot StaOffPrint

Send the file created by the StaOff command to the default printer.

Blue Dot StationEquation

Key in a station on one alignment, and see the station/offset of that point as measured along another alignment.

Blue Dot StationPoints

Adds Station and Offset to the description of selected points.


StaOffPrint

Description

The StaOffPrint command sends the file created by the StaOff command to the default printer.

Usage

After using the StaOff command, type StaOffPrint at the command line. The current contents of the StaOff output file will be sent to the default printer.

See Also

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.

Blue Dot StationEquation

Key in a station on one alignment, and see the station/offset of that point as measured along another alignment.


StationEquation

Description

StationEquation allows the user to key in the station of a point on one alignment, and see the corresponding station/offset of the point along another alignment.

Usage

The StationEquation command uses the concept of a Reference Alignment and a Target Alignment. You may select any two alignments, and specify which one is the Reference and which one is the Target. The user may enter a station along either alignment to use as the input for this command. However, the station equation is always calculated by using a line perpendicular to the Reference Alignment.

Consider the example below:

If we select the White Alignment as our Reference Alignment, then the equation will be calculated perpendicular to the White Alignment, as the dashed white line indicates. However, if the Red Alignment is our Reference Alignment, then the equation will be calculated perpendicular to the Red Alignment, as the dashed red line indicates.

Example 1:

Now let's see what we get for these alignments using various command settings. Type StationEquation at the command line to begin the command, then enter "S" to call up the settings. For the first example, we'll use the following settings:

StationEquation Example 1 Settings

Note that we have selected the White alignment as the Reference Alignment. Also, in the lower-left corner, we have specified that we will enter our Input Stations along the Reference Alignment. We end up with the following output:

StationEquation Example 1 Output

Note that the output specifies the station, offset, and name of the Reference Alignment, then the station and name of the Target Alignment. In this example, we entered Station 7+50 on the White alignment as our Input, so in our Output, we see that Station 12+50 on the Red Alignment is also Station 7+50, 44.33 RT on the White Alignment.

Example 2:

Now let's go back into the Settings, and change which alignment we use for our Input Stations. This time, our Settings look like this:

StationEquation Example 2 Settings

This time, our Input Station is a station on the Target Alignment, which is currently the Red Alignment. This time, we end up with the following output:

StationEquation Example 2 Output

Once again, in our output, we see that Station 12+50 on the Red Alignment is at station 7+50, 44.33 RT on the White Alignment.

Example 3:

For this example, we will simply hit the button labeled Flip Reference and Target. This swaps our two alignments, so that now the White Alignment is our Reference Station.

StationEquation Example 3 Settings

Note that we still have our Input set to "Target Alignment", but now our Target Alignment is the White Alignment. So this time, we end up with the following results:

StationEquation Example 3 Output

Since our Reference Alignment is now the Red Alignment, we now see that Station 7+50 on the White Alignment is at Station 12+37.49, 42.53 LT on the Red Alignment.

Example 4:

For the final example, lets change the Input Station setting back to "Reference Alignment", as shown below:

StationEquation Example 4 Settings

This time, our output looks like this:

StationEquation Example 4 Output

This time, we see in our output that Station 7+63.04 on the White Alignment is at Station 12+50, 46.21 LT on the Red Alignment.

See Also

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.

Blue Dot StaOffPrint

Send the file created by the StaOff command to the default printer.

Blue Dot StationPoints

Adds Station and Offset to the description of selected points.


StationPoints

Description

The StationPoints command adds a Station and Offset to the description of selected points.

Usage

Type StationPoints at the command line. At the prompt, select the points you wish to search, or type "PO" to select points by Point Group. You may also type "ALL" to select all points in the drawing, or "SE" to change the command settings. Right-click or hit ENTER when you have finished selecting points.

Alternatively, you may select some points, right-click, and select "Add Sta/Off to Pt Desc" from the shortcut menu. If you select some Cogo Points prior to running the command, the command will automatically run with the current settings. To change the command settings, run the StationPoints command without selecting any Cogo Points first, and type "SE" to call up the settings dialog seen below:

You may control the way the station and/or offset is added to the point using the Description Format. Various "special codes" may be used in this description format; a list of the codes is found in the dialog box. All other characters in the Description Format string are passed through unchanged. The Sample Output window shows what the result would be if the Description Format were applied to a point with 'EXDESC' as its current description. After changing the string in the Description Format, hit ENTER to update the sample output.

The following table illustrates some examples of Description Format strings and their results. The sample point is at Station 1+00, and has its Raw Description set to 'EXDESC'.

%sta% | 1+00
%sta% %ofs% | 1+00 -1.12
%sta%%sp%* | 1+00 EXDESC
*%sp%%sta% %off%'%side% | EXDESC 1+00 1.12'LT

In the last two examples, the '%sp%' code only results in a space if the current description contains text.

Example

Say we have the points shown below:

StationPoints Example Start

Let's assume we want to add the station and offset to the point labels, using the centerline stationing for the roadway (the red alignment and stationing in the image). First, select the points and run the StationPoints command. The dialog box shown above should appear. Assuming we use the same settings as seen in that image, the result looks like the following:

StationPoints Example Finish

See Also

Blue Dot DisplayPoints

A "point browser". Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer.

Blue Dot FindPt

Find and Replace text in Point descriptions.

Blue Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.

Blue Dot StaOffPrint

Send the file created by the StaOff command to the default printer.

Blue Dot StationEquation

Key in a station on one alignment, and see the station/offset of that point as measured along another alignment.


TopoStationLabeler

Description

The TopoStationLabeler command quickly adds Mtext Station and Offset labels for selected Point Groups along a selected Alignment. Labels are placed on the appropriate side of the alignment at a specified distance from the centerline. Label includes Station, Offset, and Point Full Description.

Usage

Type TopoStationLabeler at the command line, the following dialog will be displayed from which you can choose the Alignment, PointGroup(s), Layer, TextStyle, TextHeight, and whether to create the MText with the Annotative property set (if the Style used is annotative). You can also restrict the points to be labeled to being within a certain distance of the centerline, the distance at which to place the label, and the precision to use for the Point's offset distance.

Select OK to add the labels. The labels honor the drawing's LabelStyle Default Plan Readibility and the Readibility Bias settings, as well as the Abbreviation settings for Left and Right. The full station is shown for the first label of a major station range, but the major station is dropped and just the station string from the '+' and to the right is shown for subsequent labels in that range. For instance the first label in the Range from 1 + 00 to 2 + 00 is '1 + 21.43', all other labels until 2 +00 is hit will be labeled as '+ 45.73', '+61.98', etc.

The following image shows the results of using the settings shown in the first image above.

See Also


UsedPt

Description

The UsedPt command displays a list of used point numbers in the command window.

Usage

Type UsedPt at the command line. The available point numbers in the drawing are displayed in the command window, as in the following example:

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


ZoomPt

Description

The ZoomPt command zooms the display to the specified point number.

Usage

Type ZoomPt at the command line. You will be prompted to enter either the Number or Name of the Cogo Point to zoom to.

You may also hit ENTER without typing anything to enter a new height factor. The zoom height is determined by taking the current Annotation Scale and multiplying it by this number. Enter a lower number for the zoom height factor to zoom in closer to the point, or a higher number to zoom out further. The default zoom height factor is 4.

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.


CompareCivilStyles

Description

The CompareCivilStyles command will compare Style Names between drawings, and display a list of Styles found only in the current drawing, only in the comparison drawing, or common to both drawings.

Note: This command is not available in the 2008 and 2009 versions.

Usage

Type CompareCivilStyles at the command line. You will then see the "Select Source Drawing" dialog box, seen below:

CompareCivilStyles Select Drawing Dialog

This dialog box provides a number of options for selecting a source drawing. The possible sources are:

  • Current Drawing Template: This value is the template for the current drawing, as specified by the DrawingTemplate system variable. You may also click on the button with the three small dots to change the value for the DrawingTemplate.
  • QNew Drawing Template: This is the value specified by the QNew Template setting in OPTIONS, on the Files tab.
  • Open Drawing: If there are any other drawings currently open, they will appear in this combo box, and may be selected from the list.
  • Xref of Current Drawing: If the current drawing has any XREFs, those files will appear in this combo box, and may be selected from the list.
  • My Favorite: This is a favorite file, and can be any DWG or DWT. The filename selected here is remembered between invocations, and does not change when the current drawing changes. It is the same favorite as the one in the Layer Import dialog.
  • Favorite for Current Drawing: This is a favorite file, and can be any DWG or DWT. The filename selected here is stored in the current drawing, and this value changes when the current drawing changes. It is the same favorite as the one in the Layer Import dialog.
  • Browse to a Drawing or Template: As the final option, you may also click on a the "Browse to a Drawing or Template" button to browse to any DWG or DWT file.

Once you select the desired source, click OK. With the current design of Civil 3D, a drawing must be opened in order to access its styles. So you should see the selected source drawing open in the background, or if it is already open in the Civil 3D editor, the selected source drawing will be made current. You will then see the following dialog:

The left panel displays Styles that exist only in the current drawing, the right panel displays Styles that exist only in the comparison drawing, and the center panel displays Styles that exist in both drawing. Note that this command only compares the Style Names, so it does not tell whether or not the Style definitions are identical. It merely tells you that both drawings contain Styles that have the same Names.

Additionally, you may select the button in the lower-right to dump the lists to a text file.

See Also

Blue Dot DrawingTemplate

Gets or sets the link to the Drawing Template used for this drawing.

Blue Dot ExportCivilStyles

Allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.

Blue Dot PurgeCivilStyles

Purge unused Civil Styles from the current drawing.

Blue Dot RenameCivilStyles

Search-and-Replace on Names and/or Descriptions of Civil Styles.


ExportCivilStyles

Description

The ExportCivilStyles command allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Note: This command is not available in the 2008 and 2009 versions. Also, if this command is used to export Styles to a drawing created in an earlier version of Civil 3D, it will upgrade the target drawing to the current version of Civil 3D.

Usage

Type ExportCivilStyles at the command line. You will then see the following dialog, containing all of the Styles available in the current drawing:

You may choose to filter the styles shown by entering the filter criteria in the text box. The filter mechanism uses Regular Expressions. Select all desired Styles in the tree view. Click on the small triangles to expand or collapse an item. Note that you may click at any point in the tree view, and all items below the selected item are also selected. So it is very easy to select either single Styles, or groups of Styles, or even the entire tree of Styles.

Additionally, you may select the desired behavior for duplicate styles: Overwrite, Skip, or Rename. (Unfortunately, there is no way to control the numbering for the "Rename" option - the next number is automatically generated by Civil 3D.)

Once you have selected the desired Styles, click OK, and you will see the dialog box shown below:

ExportCivilStyles Select Drawing Dialog

This dialog box provides a number of options for selecting a target drawing. The possible targets are:

  • Current Drawing Template: This value is the template for the current drawing, as specified by the DrawingTemplate system variable. You may also click on the button with the three small dots to change the value for the DrawingTemplate.
  • QNew Drawing Template: This is the value specified by the QNew Template setting in OPTIONS, on the Files tab.
  • Open Drawing: If there are any other drawings currently open, they will appear in this combo box, and may be selected from the list.
  • Xref of Current Drawing: If the current drawing has any XREFs, those files will appear in this combo box, and may be selected from the list.
  • My Favorite: This is a favorite file, and can be any DWG or DWT. The filename selected here is remembered between invocations, and does not change when the current drawing changes. It is the same favorite as the one in the Layer Import dialog.
  • Favorite for Current Drawing: This is a favorite file, and can be any DWG or DWT. The filename selected here is stored in the current drawing, and this value changes when the current drawing changes. It is the same favorite as the one in the Layer Import dialog.
  • Browse to a Drawing or Template: Click on the "Browse to a Drawing or Template" button to browse to any DWG or DWT file.
  • Export to New, Empty, Drawing: As the final option, you may also click on the "Export to New, Empty, Drawing" button to select a name and location for a new drawing to be created with just the selected styles. This is good for sharing only the chosen styles with other users. The Default name is "StyleExport" but may be changed to any valid drawing name you desire.

Once you select the desired target, click OK, and the Styles will be exported.

See Also

Blue Dot CompareCivilStyles

Compare Styles in current drawing with those in another drawing, and see lists of Styles that are found in only one drawing or the other, or common to both drawings. (Note: Only compares Style NAMES.)

Blue Dot DrawingTemplate

Gets or sets the link to the Drawing Template used for this drawing.

Blue Dot ExportKML

Dump selected Cogo Points to a KML file, which may be loaded into Google Earth. Blocks from Point Markers may be individually mapped to images on a public server.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.

Blue Dot PurgeCivilStyles

Purge unused Civil Styles from the current drawing.

Blue Dot RenameCivilStyles

Search-and-Replace on Names and/or Descriptions of Civil Styles.


ImportCivilStyles

Description

The ImportCivilStyles command allows any or all Civil Styles in a source drawing to be imported into the current drawing in a single step.

Note: This command is not available in the 2008 and 2009 versions.

Usage

Type ImportCivilStyles at the command line. You will then see the "Select Source Drawing" dialog box, seen below:

ImportCivilStyles Select Drawing Dialog

This dialog box provides a number of options for selecting a source drawing. The possible sources are:

  • Current Drawing Template: This value is the template for the current drawing, as specified by the DrawingTemplate system variable. You may also click on the button with the three small dots to change the value for the DrawingTemplate.
  • QNew Drawing Template: This is the value specified by the QNew Template setting in OPTIONS, on the Files tab.
  • Open Drawing: If there are any other drawings currently open, they will appear in this combo box, and may be selected from the list.
  • Xref of Current Drawing: If the current drawing has any XREFs, those files will appear in this combo box, and may be selected from the list.
  • My Favorite: This is a favorite file, and can be any DWG or DWT. The filename selected here is remembered between invocations, and does not change when the current drawing changes. It is the same favorite as the one in the Layer Import dialog.
  • Favorite for Current Drawing: This is a favorite file, and can be any DWG or DWT. The filename selected here is stored in the current drawing, and this value changes when the current drawing changes. It is the same favorite as the one in the Layer Import dialog.
  • Browse to a Drawing or Template: As the final option, you may also click on a the "Browse to a Drawing or Template" button to browse to any DWG or DWT file.

Once you select the desired source, click OK. With the current design of Civil 3D, a drawing must be opened in order to import styles from it. So you should see the selected source drawing open in the background, or if it is already open in the Civil 3D editor, the selected source drawing will be made current. You will then see the following dialog, containing all of the Styles available in the selected source drawing:

You may choose to filter the styles shown by entering the filter criteria in the text box. The filter mechanism uses Regular Expressions. Select all desired Styles in the tree view. Click on the small triangles to expand or collapse an item. Note that you may click at any point in the tree view, and all items below the selected item are also selected. So it is very easy to select either single Styles, or groups of Styles, or even the entire tree of Styles.

Additionally, you may select the desired behavior for duplicate styles: Overwrite, Skip, or Rename. (Unfortunately, there is no way to control the numbering for the "Rename" option - the next number is automatically generated by Civil 3D.)

Once you have selected the desired Styles, click OK, and the Styles will be imported.

See Also

Blue Dot CompareCivilStyles

Compare Styles in current drawing with those in another drawing, and see lists of Styles that are found in only one drawing or the other, or common to both drawings. (Note: Only compares Style NAMES.)

Blue Dot DrawingTemplate

Gets or sets the link to the Drawing Template used for this drawing.

Blue Dot ExportCivilStyles

Allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Blue Dot ExportKML

Dump selected Cogo Points to a KML file, which may be loaded into Google Earth. Blocks from Point Markers may be individually mapped to images on a public server.

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.

Blue Dot PurgeCivilStyles

Purge unused Civil Styles from the current drawing.

Blue Dot RenameCivilStyles

Search-and-Replace on Names and/or Descriptions of Civil Styles.


RenameCivilStyles

Description

The RenameCivilStyles command provides a way to Search and Replace on Style Names. Search and Replace may use a normal search, or regular expressions.

Note: This command is not available in the 2008 and 2009 versions.

Usage

Type RenameCivilStyles at the command line. You will then see the following dialog, containing all of the Styles available in the current drawing:

RenameCivilStyles Select Styles Dialog

You may choose to filter the styles shown by entering the filter criteria in the text box. The filter mechanism uses Regular Expressions. Select all desired Styles in the tree view. Click on the small triangles to expand or collapse an item. Note that you may click at any point in the tree view, and all items below the selected item are also selected. So it is very easy to select either single Styles, or groups of Styles, or even the entire tree of Styles.

When you have finished selecting all desired Styles, click OK, and you will see a dialog box like the following:

This box gives you the option of adding a prefix or a suffix to all selected drawings, or searching and replacing values in the Names of all selected Styles. When the "Use Regular Expressions" button is selected, the "Old Value" and "New Value" are used as search pattern and replacement string for a regular expression replacement.

You may also specify whether you wish to perform a search and replace on just the Style Names, just the Style Descriptions, or both the Style Names and Style Descriptions.

Once you have specified the desired options, click OK, and the Styles will be renamed.

See Also

Blue Dot CompareCivilStyles

Compare Styles in current drawing with those in another drawing, and see lists of Styles that are found in only one drawing or the other, or common to both drawings. (Note: Only compares Style NAMES.)

Blue Dot DrawingTemplate

Gets or sets the link to the Drawing Template used for this drawing.

Blue Dot ExportCivilStyles

Allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.

Blue Dot PurgeCivilStyles

Purge unused Civil Styles from the current drawing.

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.


CivilStyleProperties

Description

The CivilStyleProperties command lists the Layers and Text styles used by Civil3D Styles and allows the user to change which layer and/or text style is to be used by a selected style.

Note: This command is not available in the 2008 and 2009 versions.

Usage

Type CivilStyleProperties at the command line. You will then see the Civil Style Properties Form:

CivilStyleProperties Layer Dialog

This dialog box displays the layers and text styles used by most Civil3D styles, along with a count of how many styles use each layer and text style. In this image the Layers tree has been expanded to show which style(s) use the "C-ANNO-NPLT" layer. You can see by the count adjacent to the layer name that just one style uses this layer. Say you'd like to be able to purge that layer so you need to change which layer the style uses...no problem, just select the style, right-click the style, and a context menu is displayed with the option to change the layer. Another dialog will be displayed (not shown here) with all the layers available in the drawing, choose one and the style will be updated to use that layer. Although multiple selection is not permitted, you CAN change ALL of the styles using a single layer. To do this, right click the name of the layer instead of the style. Once you select the layer to use all of the styles formerly using the original layer will be modified to use the newly chosen layer.

This next image shows the Text styles in use tree expanded. As you can see, just like the layers you may change which text style the C3D Style uses.

CivilStyleProperties Text Dialog

When finished making your revisions press the Done button to dismiss the dialog.

See Also

Blue Dot CompareCivilStyles

Compare Styles in current drawing with those in another drawing, and see lists of Styles that are found in only one drawing or the other, or common to both drawings.

Blue Dot ExportCivilStyles

Allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.

Blue Dot PurgeCivilStyles

Purge unused Civil Styles from the current drawing.

Blue Dot RenameCivilStyles

Search-and-Replace on Names and/or Descriptions of Civil Styles.


PurgeCivilStyles

Description

The PurgeCivilStyles command removes unused Civil Styles from the current drawing.

The primary intent of this command is as a tool that can help to clean up drawings before sharing them with others. As such, it currently strips all selected unused Styles from the current drawing. This may lead to some unexpected behavior if you continue to work with the drawing, as some categories may be purged of all Styles. However, you may feel free to create or import Styles after purging the unused Styles.

Note: This command is not available in the 2008 and 2009 versions.

Usage

Type PurgeCivilStyles at the command line. You will then see the following dialog, containing all of the unused Styles in the current drawing:

You may choose to filter the styles shown by entering the filter criteria in the text box. The filter mechanism uses Regular Expressions. Select all desired Styles in the tree view. Click on the small triangles to expand or collapse an item. Note that you may click at any point in the tree view, and all items below the selected item are also selected. So it is very easy to select either single Styles, or groups of Styles, or even the entire tree of Styles. Then click OK, and all selected Styles will be removed from the drawing.

Note: This command will sometimes create errors in the drawing. Running an AUDIT should fix these errors. Also, Purging is not nested, so you may sometimes remove additional Styles by running this command two or more times.

See Also

Blue Dot DrawingTemplate

Gets or sets the link to the Drawing Template used for this drawing.

Blue Dot ExportCivilStyles

Allows any or all Civil Styles in the current drawing to be exported into a selected target drawing in a single step.

Blue Dot ImportCivilStyles

Allows any or all Civil Styles in a selected source drawing to be imported into the current drawing in a single step.

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.

Blue Dot PurgeCivilStyles

Purge unused Civil Styles from the current drawing.

Blue Dot RenameCivilStyles

Search-and-Replace on Names and/or Descriptions of Civil Styles.


GlobalLabelSettings

Description

The GlobalLabelSettings command allows the user to Globally update all Label Styles from older versions of Civil 3D to use the newer formatting codes.

Usage

Type GlobalLabelSettings at the command line, the Global Label Settings dialog is displayed. Make the desired settings in the check boxes and either select Apply these settings for any one you like to change, or select the Apply ALL Settings and Close button to apply all available settings. The command will attempt to update all applicable styles to the new settings, including existing labels with Overridden text. Note - If used in versions prior to 2011, the Digit Grouping will be displayed but will not be available for use.

At this time the items to update include the "Drop Leading Zeroes" & "Drop Decimal for Whole Numbers" for Angles and Directions, and the new for 2011 Digit Grouping settings for Distances, Elevations, Coordinates, etc.

Global Label Settings dialog


ChElev

Description

The ChElev command changes the elevation of selected items.

The typical usage of this command is to raise flattened contours (usually polylines) up to their actual elevations. After starting the ChElev command, specify an initial elevation and contour interval, then draw lines through the lines or polylines representing the contours.

Usage

Type ChElev at the command line. You should see the following line in the command prompt:

At this point, start drawing lines by picking points in the drawing, or specify one of the following commands:

Interval: Change the interval between contours. May be either positive or negative.
Elevation: Change the elevation to be used for the next contour.
Up: Bump up the elevation to be used for the next contour by the current contour interval.
Down: Bump down the elevation to be used for the next contour by the current contour interval.
Reverse: Changes the current interval from negative to positive, or vice-versa.
Settings: Calls up the Settings dialog shown below.

ChElev Dialog box

Interval and Next Elev:
These fields act the same as typing Interval or Elevation in the command line, and set the current contour interval value and elevation for the next selected contour.

Use Layer Filter for Selection:
When this checkbox is selected, this value is used as a Layer Filter for the selection set. It behaves in the standard fashion for an AutoCAD Layer Filter, and an asterisk (*) acts as a wild-card. The example shown above will match any layer that starts with the letters "CONT", and the ChElev command will ignore objects on all other layers.

Change color of elevated lines:
When this checkbox is selected, objects are moved to the specified layer after they are adjusted. This can help keep track of which contours have already been moved to the correct elevations, and which ones still need to be done. You may click on the little icons next to the drop box in order to create a new layer, or select a layer by picking an object in the drawing.

Move elevated lines to layer:
When this checkbox is selected, the entity color of objects are set to the specified value after they are adjusted. This can help keep track of which contours have already been moved to the correct elevations, and which ones still need to be done. Click on the little icon in order to select a color from the color palette.

Example

The diagram below shows a site with contours. The contours are polylines that have their elevations set to 0. The index contours are on a layer named "CONT-IDX", and the intermediate contours are on a layer named "CONT-INT".

ChElev Example 1a

We will now run the ChElev command, using settings much like those in the dialog box above. In particular, we will use a Layer Filter of "CONT*", so that we only select our contours. There is also a magenta layer named "-ELEVATED" in the drawing, and we have told the ChElev command to move the contours to this layer after they are elevated. That will cause them to turn magenta, making them easy to keep track of.

Additionally, the Interval is set to -1, and the Next Elevation is set to 5135. The diagram below shows the user drawing the selection line from right to left, through the contours.

ChElev Example 1b

As the contours are elevated, they are moved to the layer we specified, and turn magenta. The result is shown below:

ChElev Example 1b

See Also

Blue Dot BrkPt

Similar to Land Desktop's "Breaklines By Points" command. Allows the user to quickly and easily add breaklines to a Civil-3D surface by picking points in the drawing.


CreateCurbs

Description

The CreateCurbs creates new featurelines for the TopBack, TopFace, BottomFace and, optionally, the GutterLip, relative to either the selected Featureline's elevations or a surface, from an existing featureline or polyline and an existing surface. You may specify one of these options as to what the selected object represents:

  1. Object is the Top Face of curb
  2. Object is the Top Back of curb
  3. Object is the Bottom Face of curb
  4. Object is the Lip of Gutter

In all 4 instances, if the selected object is a polyline, a new Featureline will be created in it's place; you may specify to delete the original object. The Featurelines are created based on the direction of the original object, where the Back of curb is on the Left, the the others follow to the right in this order: Top Face, Bottom Face, Lip of Gutter. Should you desire to 'flip' them, you will need to UNDO, Reverse the Object's direction, then run the command again. The Featurelines may be added to the surface, or another surface, as breaklines.

Note that the command will not run if the drawing does not have a surface defined.

Usage

Type CreateCurbs at the command line or select it from the Ribbon. You may preselect the objects (ONLY LightWeightPolylines and Featurelines are supported at this time) or select them at the prompt. If this is the first time running the command, or if you enter SE at the selection prompt, you will be presented with the Settings form in which to select a Site, Surface, and provide a Breakline group name, along with a number of optional items as shown. Selecting the "Use Target surface for breaklines option" enables you to select a different surface in which to add the breaklines, leaving the original surface unchanged. If you then enable the option "Create new surface per breakline pair", the dialog will change to allow you to type in a prefix to be used for these surfaces, each surface wil be numbered, starting at 001.

Toggling the "Paste to Surface" option will automatically paste the surface(s) used/created into the surface specified here. Note that in version through 2011 we have no way to know if a surface has been previously added as a paste, so multiple enries may be found in the Surface definition edits. All but one of these may be safely removed afterwards, although we have seen no problems with leaving them as they are.

CreateCurbs settings dialog

These settings will now be used in future runnings of the command, even in other drawings. If the specified Surface and/or Site is not available in a drawing, you will again be presented with the Settings form.

See Also

Blue Dot CreatePads

Quickly creates level pads from closed polylines.


CreatePads

Description

The CreatePads creates a level pad, relative to a surface, from an existing closed (or near closed) polyline and an existing surface. User may choose from 3 options in which to use the selected polylines:

  1. Polyline is the pad, with side slopes to the surface.
  2. Offset the polyline to the inside, where the new offset will be the pad and the original polyline will be converted to a Featureline whose natural vertices will fall on the surface.
  3. Offset the polyline to the outside, where the original polyline will be the pad and the offset polyline will be converted to a Featureline whose natural vertices will fall on the surface.

In all 3 instances, the polylines and Featurelines may be added to the surface, or another surface, as breaklines.

Note that the command will not run if the drawing does not have a surface defined.

Usage

Type CreatePads at the command line. You may preselect the polylines (ONLY LightWeightPolylines are supported at this time) or select them at the prompt. If this is the first time running the command, or if you enter SE at the selection prompt, you will be presented with the Settings form in which to select a Site, Surface, and provide a Breakline group name, along with a number of optional items as shown. Selecting the "Use Target surface for breaklines option" enables you to select a different surface in which to add the breaklines, leaving the original surface unchanged. If you then enable the option "Create new surface per breakline pair", the dialog will change to allow you to type in a prefix to be used for these surfaces, each surface wil be numbered, starting at 001.

Toggling the "Paste to Surface" option will automatically paste the surface(s) used/created into the surface specified here. Note that in version through 2011 we have no way to know if a surface has been previously added as a paste, so multiple enries may be found in the Surface definition edits. All but one of these may be safely removed afterwards, although we have seen no problems with leaving them as they are.

CreatePads settings dialog

These settings will now be used in future runnings of the command, even in other drawings. If the specified Surface and/or Site is not available in a drawing, you will again be presented with the Settings form.

This command requires the selected polylines to be closed, or have the start/end points separated by no more than 0.01, else they will be discarded from the selection. Occsionally a polyline may be selected which AutoCAD cannot offset. When one of these is encontered, a message will be sent to the command line stating this. Quite often this is due to unneeded vertices lying in a straight line, removing these vertices will usually allow the polyline to be offset.

Feedback

We would like your feedback on this command. If you notice something missing, or that could be done differently, please let us know at support@quuxsoft.com


HideBnd

Description

The HideBnd command creates "Hide" boundaries out of drawing objects.

Usage

Type HideBnd at the command line. You will see the following prompt:

Begin selecting objects in the drawing, or enter "SE" to call up the settings dialog shown below. When you have finished selecting objects, right-click or hit RETURN to create the boundaries.

Settings

Surface:

Breaklines are added to the selected surface. Select a surface by name from the combo box's dropdown list, or click on the button to the right of the combo box to select a surface graphically from the drawing. If you select a surface graphically, you must select a surface boundary in order to select the surface.

Prefix for Names:

This value is used to create names for the Hide Boundaries. An integer value is added to the end of this value to come up with a name. In the example shown above, the Prefix is specified as "Building". Therefore, the first hide boundary created will be named "Building1", the next boundary will be named "Building2", etc.

Create duplicate Figure and Feature linework on:

Due to a limitation in the current API, hide boundaries cannot be created directly from Survey Figures or Feature Lines. Instead, a new 3D-Polyline is created, duplicating the Survey Figure or Feature Line, and this new polyline is used to create the boundary. By default, these polylines are created on the same layer as the Survey Figure or Feature Line they are created from.

However, you may also specify a different layer for these duplicate polylines. If you check this option, then the duplicate polylines are drawn on the chosen layer. Select a layer by name from the drop down list in the combo box, or click on the button to the right of the combo box to select a layer by graphically picking an object in the drawing.

Example:

The shed shown below is a Survey Figure created by import of a FBK file.

After running the HideBnd command, select the Survey Figure. The result is shown below:

Notice that the contours can no longer be seen behind the shed.

See Also

Blue Dot BrkPt

Similar to Land Desktop's "Breaklines By Points" command. Allows the user to quickly and easily add breaklines to a Civil-3D surface by picking points in the drawing.


RemoveBreaklineFromSurface

Description

The RemoveBreaklineFromSurface command allows the user to remove selected objects from the Surface definition to which it is connected. This command is only available in Sincpac C3D version 3 and newer. May be added to older versions if demand warrants it, so if you are still on 2010-2012 and want this, please let us know.

After starting the RemoveBreaklineFromSurface command, you will be prompted to select breaklines. You may select objects that are not breaklines, they will be ignored during processing. Should a breakline be encountered which is used in more than one surface, you will be prompted to choose which surface(s) you want it to be removed from. The surface will be rebuilt upon completion of the command.

Note: Wall breaklines are skipped, proximity type breaklines sometimes do not work as desired. At this time it would be best to stick to removing only Standard breaklines with this command.

See Also


SPQuickDaylight

Description

The SPQuickDaylight command quickly adds daylight polylines calculated from a polyline or featureline to a predefined Surface.

Usage

Type SPQuickDaylight at the command line, you will be prompted to select a polyline or featureline from which you wish to daylight. You will then be prompted for the direction for the daylighting, you now must pick a point to define the daylight direction. The daylight points are then calculated, if a daylight point is found, a temporary white "X" marker is placed in the drawing along the entire path of the object. You will be prompted to draw the polyline, a No response will take you back to the beginning to pick a new object from which to daylight. A Yes response will add a new polyline along the daylight points. At the object selection prompt you have a "SEttings" keyword option. Entering SE will bring you to the Quick Daylight Settings Form where you may enter the surface to daylight to, the slope values for both Cut & Fill, the number of supplemental points to add along tangents and arcs, and the layer to use for the daylight polyline.

SPQuickDaylight Settings Form

Exiting the Settings Form takes you back to the drawing window at the prompt from which you entered the Settings form.

Exit the command with no object selection or by pressing ESC. Note that there must be a surface in the drawing in order to use this command.

Known Issues: Daylighting to the inside of a closed polygon may yield unexpected results. Changing the start parameter of the polygon (use ChangeStartPAram command to do this), or reverse the direction using Pedit, or steepen the slopes to minimize any overlaps at the beginning of the polygon. If none of these work, break the polygon into 2, or more, parts and run again. This will require you to manually cleanup the overlaps but will get you the desired result.

See Also

Blue Dot SPRandomDaylight

Finds the daylight point on a surface from a selected point, using the point or user entered elevation.

.


SwapLabelSurf

Description

The SwapLabelSurf command allows the user to change the Surface to which a Surface Label is connected. This command is only available in Sincpac C3D version 3 and newer.

This command replaces the Labels in a drawing, using the same information for style, layer, location, and dragged state, to effectively change the Surface it is labeling.

After starting the SwapLabelSurf command, you will be prompted to enter whether you want to Swap All labels of a surface, or just those matching the STyle of a selected label, or all SElected labels which may be on more than one surface. Respond with All, STyle or SElect. If the user responds with All or STyle, they will then be prompted to select a Surface Label. The next prompt will be to select to the target surface to change the label’s reference to, here you can either select a surface or enter Choose to select it from a list of surfaces in the drawing. Once the user selects a surface, the command completes with the labels referencing the target surface.

See Also


'PO Transparent Command

Notes on the 'PO Transparent Command

The 'PO Transparent Command can be used anytime you are prompted to select points.

By default, this option returns a point that uses the elevation of the point for the Z coordinate. However, after selecting the point, you may receive a prompt asking you to enter a new elevation, as shown in the diagram below:

PO Elevation Prompt

This prompt is enabled and disabled in the Drawing Settings. To change it, right-click on the drawing name on the Settings tab in Prospector, then select the Ambient Settings tab. This elevation prompt is enabled when the "Prompt for 3D Elevations" option is set to "True", as shown below:

PO Transparent Command Settings

For more information on this command, see the Civil-3D help.


'POS Transparent Command

'POS

Description

'POS (for PointOnSurface) allows you to get a point with elevation from a C3D surface.

Usage

At any command expecting a 3d point input, enter 'POS and follow the prompts. If no surfaces exist in the drawing, you are notified and it takes you back to the input point prompt; if only one surface exists, it is used by default; if more than one surface exists, the first time you use POS it will ask you to select a surface (you must be able to physically select it in the drawing), it will then be saved as the default surface for this drawing; you may switch surfaces by typing S at the prompt and selecting a different surface. Once the correct surface is current, pick a point in the drawing; if the point lies within the surface, that point's XYZ are returned and used as the input to the point prompt.


BGMaskOff

Description

The BGMaskOff command turns off the background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Usage

Type BGMaskOff at the command line and select MTEXT items at the prompt. Or, select MTEXT items, right-click, and select "Background Mask -> Mask Off" from the shortcut menu.

See Also

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot BGMaskOn

Turn on background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot BGMaskToggle

Toggle background mask for selected MTEXT, MLEADER, and DIMENSION entities.


AnalyzeDistortion

Description

The AnalyzeDistortion command analyzes the distortion between grid and ground distances, using either Cogo Points or an existing ground surface in the current drawing.

This routine can only be used when a Coordinate Zone is selected in the Drawing Settings.

Usage

Type AnalyzeDistortion at the command line. You will then see a dialog box like the following:

AnalyzeDistortion Dialog box

Source for Analysis

In this section, select the data to use for the analysis. This data may be a TIN surface (usually an Existing Ground surface), or a selection of Cogo Points. When selecting Cogo Points, you may edit the Point List manually, or use the buttons to add more points to the list. NOTE: You may want to erase the existing Point List before using "Select Point Groups" or "Select Points in Drawing", since these options will add the selected Cogo Points to the existing list.

Mean Project Geoidal Height

In this field, enter the average height of the geoid over your project area, or set the value to 0 to ignore the geoidal separation for the analysis.

Average Project Ellipsoidal Radius

The Ellipsoidal Radius to use for the analysis. This value should be the radius of the Earth at your project location. For most areas in the continental United States, the default values of 20,906,000 feet or 6,372,000 meters is usually sufficient.

Output Settings

In this section, specify the Name, Style, and Layer for the Analysis surface. This surface is a TIN surface, so Elevation banding displays may be used. The Z-value for each point in the surface is the distortion in parts-per-million for that point.

Example

The image below shows a drawing that is set to a custom coordinate system, with field shots imported as Cogo Points.

AnalyzeDistortion Example Start

We then run the AnalyzeDistortion command, and see a dialog box like the one shown below:

AnalyzeDistortion Example Dialog

We'll leave the "Source for Analysis" set to use all Cogo Points in the drawing. We've also entered the average geoidal height for our project, as well as the Ellipsoidal Radius to use in our analysis. The result (in Parts Per Million) ends up in a Surface. By setting the Surface Style to one with an Elevation display turned on, we see the result in following image:

AnalyzeDistortion Example Output

We can also add a custom Elevation Table that displays the minimum and maximum values for each color band, as seen below:

AnalyzeDistortion Example Table

The table above shows that the grid distortion on our site ranges from approximately -5 PPM to almost +8 PPM. This means that over 1000 feet, the grid distance is about 0.005' shorter than ground in the red areas, and about 0.008' longer than ground in the purple areas. In other words, our grid-to-ground distortion is less than our survey field error, and can be completely ignored over this entire site.

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Blue Dot LotFit

Select Cogo Points and Linework (Polylines or Parcels), and see the distance and direction to each Cogo Point from the nearest linework vertex.


BGMaskOn

Description

The BGMaskOn command turns on the background mask for selected MTEXT, MLEADER, and DIMENSION entities, using the background scale factor specified with the LabLay command or on the OPTIONS Tab.

Usage

Type BGMaskOn at the command line and select items at the prompt. Or, select items, right-click, and select "Background Mask -> Mask On" from the shortcut menu.

See Also

Blue Dot BGMaskOff

Turn off background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot BGMaskToggle

Toggle background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.


BGMaskToggle

Description

The BGMaskToggle command toggles the background mask for selected MTEXT, MLEADER, and DIMENSION entities, using the background scale factor specified with the LabLay command or on the OPTIONS Tab.

Usage

Type BGMaskToggle at the command line and select items at the prompt. Or, select items, right-click, and select "Background Mask -> Toggle Mask" from the shortcut menu.

See Also

Blue Dot BGMaskOff

Turn off background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot BGMaskOn

Turn on background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.


BuildSelectionSet

Description

The BuildSelectionSet command allows the user to quickly and easily build filtered selection sets. Designed to look and feel like the familiar Land Desktop command of the same name.

Usage

Type BuildSelectionSet at the command line, or from the Ribbon choose Build Selection Set on the Tools panel of the Sincpac-C3D tab. The Build Selection Set dialog is displayed.

Along the left side are properties to be used from a selected object, once you have the desired properties checked, press the Pick button to select objects from which to obtain the desired properties. Along the right side of the dialog are buttons for different properties, picking each of these will result in a list of available items to add as a filter. You may also type in the values, separating each entry with a comma.

Once the Current Selection Criteria is how you want it, choose the Build Selection button. At the lower left you will be shown the number of objects matching the filter that were found. Note that just those objects on Layers which are On & Thawed and which are in the current space will be selected. When you are happy with the selection, choose Apply to exit the command and the Selection Set will be created. It should be noted that if this command is used while working in Modelspace through a Paperspace viewport, the selection set may contain objects on layers which are frozen in the current viewport.

You also have the option to "invert" the selection by checking the Invert Selection box to the right of the Selection Criteria panel. This will select all items that do NOT match the Selection criteria. For instance, if you have TEXT,MTEXT as the types of objects, and have checked the Invert Selection box adjacent to the Text button, the selection set will contain all visible objects other than Text or MText objects. You may use as many, or as few, of the "Invert" checks as you want.

Unlike the Land Desktop command, this command allows the input of multiple whole number Elevations, allowing you to select multiple elevated objects at once. Enter just one elevation followed by a comma then another or you may enter a range of elevations by separating them with a dash. Examples: "123,125,127" or "123,130-134,140" are both valid.

Some things to remember: All entries in a property will be used with an "OR" parameter (say you have Objects criteria of "LINE,TEXT", then the filter will check if an object is a LINE OR if it is a TEXT object, if it's either one it will be selected. All entries of differing properties will be used with an "AND" parameter (say you have the aforementioned "LINE, TEXT" object filter and you also specify a color filter of "Bylayer,1", then an object will only be added IF it is either a LINE or TEXT object AND it also has a color of Bylayer or 1(Red).

See Also

Blue Dot SelectPointsAboveOrBelowSurface

Select Points in relation to a surface.

Blue Dot SelPtGrp

Select Points in a Point Group.

Blue Dot BuildPointSelectionSet

Select Points by user entered selection criteria.


ChangeStartParam

Description

The ChangeStartParam command allows the user to change which vertex is the Starting point of a CLOSED polyline.

Usage

Type ChangeStartParam at the command line. If you have preselected any polylines the command will get right to editing them, otherwise you will be prompted to select the polylines. Once the edit mode is started, a RED circle will show you the current starting point of the polyline currently being edited. As you move the mouse, a GREEN circle will be shown at the closest vertex for which you may click the left mouse button to select that point as the new start point. If you've selected more than one closed polyline, the command will cycle through to each one until all have been processed.

Works with all CLOSED LightWeightPolylines, 2dpolylines, & 3dpolylines which have not had a Fit or Spline curve edit. All widths & bulges remain where they are. Note that this command is not in the 2008 version due to API constraints.

See Also

Blue Dot FlipObjects

Flip objects 180 degrees.


CpProps

Description

The CpProps command copies properties and styles from one object to another. The exact properties that are copied vary somewhat, depending on the type of object selected.

Usage

Type CpProps at the command line, and select the items you wish to change. When you have finished selecting items, right-click. Or, you may select items first, then run the CpProps command. You will then be prompted to select the item to copy properties from.

Note that objects only match other objects if they are of similar types. As objects are changed, they are removed from the selection set, and you may select another object to match. The command will exit when all objects in the selection set have been changed. You may also right-click without selecting anything to exit the command.

This command does not work on all objects, but it works on most of them. Not all types of objects have exactly the same properties copied. For example, most Civil 3D objects will not match the layer of the selected object, because most Civil 3D objects usually reside on an Object Layer. Changing that layer doesn't make sense in most cases. However, the layer is changed when matching Civil 3D Cogo Points.

Also, when using this command on Civil 3D Cogo Points, keep in mind that Point Group settings may override the display of Cogo Points. This command will only copy the settings that are assigned directly to the Cogo Points, and not the settings assigned to Point Groups.


CurveSolver

Description

The CurveSolver command lets you key in two values for a curve, and solve for the remaining values.

Usage

Type CurveSolver at the command line, and the following dialog box will appear:

At the top of the dialog box is an option to specify whether the Arc Definition or Chord Definition should be used. In addition, it allows you to toggle between specifying the Degree of Curve and the Radius. Below that are toggles that control the precision of the displayed values, as well as the desired format for the angles.

The Curve Solver displays eight different values. You may select two values to specify, and the remaining values are calculated. You may select any two values, except at least one of the selections must be from the shaded values (i.e., Degree/Radius or Delta).

Note that when displaying the angle in one of the DMS (degree/minute/second) formats, you may key in values in any of the allowed DMS values. For example, in the animated image below, the value "25.2525" is keyed in as the angle. When the angle units are set to Decimal Degrees, the "15.2525" is interpreted as 15.2525 decimal degrees, or 15°15'09". When the angle units are set to DMS format, the "15.2525" is interpreted as 15°25'25".

CurveSolver key in angle


EntityTracker

Description

The EntityTracker command displays information about entities under the cursor.

This is a palette-based command, and the EntityTracker command toggles the display of the Entity Tracker palette.

Note: Formatting has been temporarily disabled for the EntityTracker command, because it was evidently exposing a bug in Civil 3D, and would periodically cause Civil 3D to crash. We hope to have this functionality re-enabled as soon as we can find a solution or workaround for this problem.

Usage

Type EntityTracker at the command line. You will then see a display such as the following:

In the above image, the cursor is hovering over a Cogo Point, a Survey Figure, and part of a TIN Surface. Information for all three items is displayed in the Entity Tracker palette. The Entity Tracker palette will remain open until you close it, either by directly closing the Palette, or by typing EntityTracker at the command line.

Notice how the Survey Figure includes both a 2D and a 3D length. Also, the "Total Vert" is the total vertical displacement over the entire length of the Survey Figure, and not the difference between start elevation and end elevation. In other words, if a Survey Figure starts at Elev=0, goes up to Elev=10, then back down to Elev=5, the "Total Vert" is 15. The "Ave Grade" is the Total Vertical, divided by the total 2D length, to come up with an average grade along the entire length of the Survey Figure.

Similarly, when hovering over Polylines, the "Segment" information is the data for the segment of the Polyline closest to the cursor.

The data for Cogo Points will also contain information about any Dynamic Links that happen to be attached to the Cogo Point. And unfortunately, while Point Group and Style information is displayed for Cogo Points that exist in the current drawing, this information currently cannot be displayed for Cogo Points that are in XREFs.

Note: For the 2008 and 2009 editions, the Entity Tracker output is not formatted. For later versions, the Entity Tracker output is formatted according to the appropriate ambient setting for each object.

Note: The Entity Tracker may return somewhat unexpected results for some Civil 3D entities such as Corridors and Surfaces, such as duplicate entries in the list for a single item. This is related to the way certain Civil 3D entities are seen by AutoCAD's core selection mechanisms.

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.


FigArea

Description

The FigArea command displays the 2D surface area of selected items. It works on a variety of items, including Survey Figures, Feature Lines, Parcels, Polylines, and 3D-Polylines.

Usage

Type FigArea at the command line and select items on the screen. Right-click or hit ENTER when you are done.

Note that this command will return an area for polylines and figures that are not closed. This area is determined by adding a closing line to the figure, which may or may not be useful for your purposes. The return value will notify you if the figure is not closed.

Example 1:

In the image below, the tennis courts are defined by a Survey Figure.

FigArea tennis image

Selecting the figure yields the following result:

FigArea tennis result

Example 2:

Note that the curb flowline indicated below is not a closed figure.

FigArea Curb image

This still returns an area, but the result contains a warning that the figure was not closed:

FigArea Curb result

See Also

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.


FlipObjects

Description

The FlipObjects command will flip objects 180 degrees.

The FlipObjects command does not work for all objects, but it works for quite a few of them. Any object that has a Rotation attribute can be flipped. This includes DTEXT, MTEXT, and Blocks. When used on Lines or Polylines, this command reverses the direction of the Line or Polyline. However, this command currently cannot reverse the direction of Civil 3D entities such as Alignments, Feature Lines, and Survey Figures. Also, objects such as General Note Labels get their rotation from their Style and cannot be flipped individually.

Usage

Type FlipObjects at the command line, and select the objects you wish to flip. You may also run this command by selecting one or more objects, right-clicking, and selecting "Flip Objects" from the shortcut menu.

Note that this command cannot be used directly on General Line/Curve Labels. However, a General Line Label can be attached to a line, and the line can be flipped with this command.

See Also

Blue Dot ChangeStartParam

Change which vertex is used as the start point of Closed Polylines.

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When selecting a linear object, all objects are rotated to match the bearing of the selected point on the linear object.


ImportLayer

Description

The ImportLayer command is a quick-import feature, which allows a single layer to be quickly and easily imported from a variety of sources.

Usage

Type ImportLayer at the command line. You will then see a dialog box much like that seen when clicking on the "Import Layer" button in one of the other Sincpac-C3D command dialogs, such as the one for Point Layer in StakeFeatures command.

However, when invoked from the ImportLayer command, the dialog box also has an option in the upper-right corner to "Set Current", as seen in the image below:

When the "Set Current" option is selected, the imported layer will be set as the current layer after it is imported. Other than that, this dialog functions as described for the Quick Layer Import functionality.

See Also

Blue Dot Quick Layer Import functionality

Quickly and easily import a layer from any of a variety of sources, without interrupting the current command.


LabLay

Description

The LabLay command displays a small dialog box that may be used to quickly and easily change the Drawing Scale, General Line/Curve Label layer, and General Note Label layer.

Usage

Type LabLay at the command line. The following dialog box will appear:

Note that the Sincpac-C3D CUI file assigns this command to the F4 key. So, if you install the Sincpac-C3D CUI file, you may also call up this dialog box simply by hitting F4.

General Note and Line/Curve Layers:

These settings control the layers on which newly-created General Note and General Line/Curve labels are created. They are the same settings as the corresponding entries in Drawing Settings, on the Object Layers tab.

By default, OFF and FROZEN layers will not show up as selections for these layers. By checking the "Include OFF Layers" or "Include FROZEN Layers" checkboxes, you can add OFF or FROZEN layers to the lists. You may also click on the buttons to the right of the selection boxes in order to pick an object in the drawing.

If you check the checkbox for "Change when current layer changes", then the specified layer will change any time the current layer is changed. This effectively makes General Note or General Line/Curve labels go on the current layer. These are the same settings as those found on the OPTIONS Tab.

Drawing Scale:

Changing the Drawing Scale here is the same as changing it in the Drawing Settings. You may also type a number in the box if you want a scale that is not in the drop-down list.

The ability to change Drawing Scale was added here before the 2008 Annotation Scale feature was added. Since that feature has been added, it typically works better to change the Drawing Scale and modelspace Annotation Scale simultaneously from the Civil-3D status bar, as shown below. But this feature has been left in, since it can be used as a shortcut for changing to a scale not in the current Scale List. Simply type any scale in the combo box and hit return, and the new scale you enter will also appear in the Scale List for Annotation Scales.

LabLay annotation scale

See Also

Blue Dot BGMaskOff

Turn off background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot BGMaskOn

Turn on background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot BGMaskToggle

Toggle background mask for selected MTEXT, MLEADER, and DIMENSION entities.

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot GenLabelLayer

Changes the current Object Layer settings for General Note and General Segment Labels to match an object selected on-screen.

Blue Dot ObLaRead

Read Object Layer Settings from an XML file.

Blue Dot ObLaWrite

Write Object Layer Settings to an XML file.

Red Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.

Blue Dot ViewportLayers

Specifies the layer that should be used for all newly-created viewports.


LegendBuilder

Description

The LegendBuilder command allows the user to quickly and easily build a Symbol and/or Abbreviation legend from the symbols & text actually used in the chosen drawing(s).

Usage

It is suggested that you test this command in one drawing, without xrefs, first to be sure the Table style used will be what you are expecting. It is far easier, and quicker, to make adjustments when the command needs to search through the one drawing when making any adjustments to the Tablestyle. It should also be noted that this command is to be used as an aid to building your Legends and Abbreviations. Due to the different size and scaling of blocks some adjustment to the tables created will likely be required. The idea for this command is to help simplify the process, not create a one-step and done command.

Type LegendBuilder at the command line. The LegendBuilder dialog is displayed.

The first panel, "Legend type", has the 3 options for which Legends to create. Chose either Abbreviations, Symbols, or both Abbreviations and Symbols (separate tables will be used for each of these).

The "Excluded Blocks" panel has options to use either a Global text file, or a Project specific text file, containing names of blocks to automatically exclude from the Legend. Both options here can be pointed to any folder of your choosing, with the idea being the "Standard" file be kept in Public location for use in any drawing. Whereas the "Project" file would be one that may be tailored for use by specific projects. If the Global file does not exist, a new one, in the default location, will be created. This file will be empty but you may add new names to the list in the Settings tab. There is also a checkbox to exclude blocks inserted in Paperspace.

The next panel, "Abbreviations" is only active when one of the options for the Abbreviation table is chosen. Here you can specify which abbreviation file to use. This file is used as the basis for which text is determined to be an abbreviation. You may freely add all the abreviations and definitions you wish to this file, or you may use a file of your own. Any edits must maintain the format of Abbreviation TAB Definition, one per line. Both options here can be pointed to any folder of your choosing, with the idea being the "Standard" file be kept in Public location for use in any drawing. Whereas the "Project" file would be one that may be tailored for use by specific projects. If no file is specified for the option chosen, no abbreviations will be found. All Text, Mtext, and (in C3D 2010 or later) C3D labels are scanned for the use of the abbreviations in the file. In addition, you may opt to include, or exclude, Point Full Descriptions in the scanned items.

The final panel, "Drawings to use", includes the different options for selecting the drawing to include in the symbol/abbreviation search. A checkbox to set whether to include Xrefs is on the top line, but is a settings which affects all of the drawing options. When checked, the command will also search the xrefs which resolve in the chosen drawings. This means nested Xrefs added with the Attach option will also be included. Note that any symbols found which are not in the drawing from which the command is initiated will be added to that drawing in order to be included in the legend.

On the Table Settings tab you will find 2 lists of the Table Styles found in the current drawing. Here can can choose which style to use for the Abbreviation Table and which to use for the Symbols Table. If you don't see one you'd like to use, then you must exit the command, create the table style, then return to the command. Also on this tab you are shown the contents of the 2 text files used, the one on the left is the Abbreviation file and the one on the right is a list of the blocks to exclude from the legend. Both of these may be edited and saved from this dialog.

When the user selects the OK button, depending on which Legend option is selected, all symbols used in any layout in all of the chosen drawings and xrefs are collected. You are then presented with another dialog showing a list of which blocks have been found and you may choose to not include any block in the legend by unchecking it in this list.

Closing this dialog will then take you to the drawing where you will be prompted for the insertion point of the Legend Table, and the Legend will be inserted. Following the Symbol Legend placement you will be prompted for the Abbreviation table location.

Symbols currently include Inserted Blocks, Pipe Network Structure Symbol blocks, and Point Marker symbols. The definition to be used in the legend is derived from either the Block's description (which can be set in the Block Editor) or, in the absence of a description, the block name. In the case of Dynamic blocks with a Visibility parameter, each case found is added, using the original block name with the name of the visibility state appended. These are not dynamically linked so you may change the description any time after the table is created. Note - The 2009 AutoCAD API for Tables crashes Autocad when a block with attributes is placed in a table via code. For this reason, in 2009 only, the description for attributed blocks and a cell for the block are added to the table, but the user must manually add these blocks to the table after the command completes.

Note that the command may take some time to run, especially if you have large drawings and/or a large number of Xrefs. This is partially due to the collection of the symbols used in Civil3D objects (Structures and Points) which require the drawing to be open and set current in the editor. We do this automatically, but as you know, drawings can take a while to load.

See Also


ParkingCount

Description

The ParkingCount command displays the total count of parking spaces in the drawing. This command uses the same label settings as the Parking command.

A block with an attribute named "COUNT" is used for the stall count. This block may be Annotative. If no block definition currently exists in the current drawing, a default block is automatically created, or you may use your own custom block, as long as it has an attribute named "COUNT".

Usage

Type ParkingCount at the command line, and the following dialog box will appear:

At the top of the dialog box is the Quickset panel, which may be used to save and recall your favorite settings.

Below the Quickset panel is a display that contains a count of the total number of parking spaces in the current drawing, as determined using the current settings. Note that it is possible to create different sets of parking stalls by placing the labels for each set on a different layer. The parking spaces on each layer can then be counted individually.

The Parking Stall "Count" Block

A standard Block is used to label the Parking Stall Count. This block may be either a standard block or an Annotative block, and may optionally be set to rotate with the view. If the block is a standard block, it is scaled according to the current CANNOSCALE as it is created. The block should contain an attribute with "COUNT" as the Tag. By default, the name of this block is ZZZZ_ParkingCount, but you may change this to whatever block you like.

Note that if no Parking Stall Count block exists in the current drawing, a default block is automatically created. If you create a custom block, placing it in your drawing template will make it available in all new drawings.

See Also

Blue Dot ParcelOffset

Creates offsets with varied distances around parcels. Useful for setbacks and utility easements that run at differing distances around the lot, such as 7' along the front, 5' along the sides, and 10' along the rear.

Blue Dot Parking

Create parking stall linework. Parking stalls may be created by specifying stall dimensions, or by creating a specified number of equally-sized parking stalls between the selected points. Includes ability to automatically label the parking stalls with a stall count as they are created.


PtAng

Description

The PtAng command displays the angle formed by three points. The angle dimension is displayed as an interior angle, an exterior angle, and a deflection angle.

Usage

Type PtAng at the command line, then follow the prompts. You will then see output similar to the following:

The PtAng command has two different modes of operation:

  • Single: Used to measure single angles at a time; the start point, vertex point, and end point must be selected for each angle.
  • Multiple: Used to measure multiple angles, all from the same initial start and vertex points. Begin by selecting the start and vertex points. Then, the angle is displayed for each successive pick. Right-click to select new start and vertex points.

The "Single" and "Multiple" keywords may be used to switch between the two modes.

You may also type the point number for a Cogo Point at the prompt, instead of selecting a point on-screen with the cursor. In the example above, the user keyed in point numbers 11330, 10746, and 10747.

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtArc

Displays the arc distance, radius, and delta (central) angle of the arc segment defined by picking three points. Points may also be specified by keying in point numbers at the prompt.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points. It can also maintain a running total of successive distances, adding the value of each measurement to the running total. Points may be selected on-screen, or by typing Cogo Point numbers at the prompt.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


PtArc

Description

The PtArc command displays the arc distance, radius, and delta (central) angle of the arc segment defined by picking three points. Points may also be specified by keying in point numbers at the prompt.

Usage

Type PtArc at the command line, then follow the prompts. You will then see output similar to the following:

The PtArc command has two different modes of operation:

  • Single: Used to measure single arcs at a time; the start point, point-on-curve, and end point must be selected for each angle.
  • Multiple: Used to measure multiple angles, all from the same initial starting point and point-on-curve. Begin by selecting the first two points. Then, the arc data is displayed for each successive pick. Right-click to select new starting point and point-on-curve.

The "Single" and "Multiple" keywords may be used to switch between the two modes.

You may also type the point number for a Cogo Point at the prompt, instead of selecting a point on-screen with the cursor.

See Also

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtAng

Displays the angle formed by three points. The angle dimension is displayed as an interior angle, an exterior angle, and a deflection angle.

Blue Dot PtInv

Displays an inverse between two points, containing the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points. It can also maintain a running total of successive distances, adding the value of each measurement to the running total. Points may be selected on-screen, or by typing Cogo Point numbers at the prompt.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


PtInv

Description

The PtInv command displays an inverse between two points. The inverse contains the Horizontal and Slope distances, the bearing, the slope and grade, and the Delta X, Delta Y, and Delta Z values between the points. It can also maintain a running total of successive distances, adding the value of each measurement to the running total.

The PtInv command has three different modes of operation:

  • Single: Used to measure single segments; the start point and end point must be selected for each segment.
  • Continuous: The first selection is the start point. After that, each selection is the endpoint for the current segment, and the start point for the next segment.
  • Multiple: Used to measure multiple distances, all from the same base point. The first selection is used as the base point, then all successive selections are measured from that base point. The "Basepoint" keyword may be used to select a different base point.

The "Single", "Continuous", and "Multiple" keywords may be used to switch between the three modes at any time.

You may also type the point number for a Cogo Point at the prompt, instead of selecting a point on-screen with the cursor.

Usage

Type PtInv at the command line. You will be prompted to select two points in the drawing. You will then see output similar to the following:

The values in the output are:

  • HD: Horizontal Distance
  • SD: Slope Distance
  • Bear: Bearing between points
  • Slope between points (1:n or n:1) in run:rise format
  • Grade between points (percentage)
  • E1, E2 The elevation (Z value) of each selected point
  • dX, dY, dZ Delta X, Delta Y, Delta Z

The precision for the distance, slope/grade, and elevation values may be configured from the OPTIONS Tab. These settings may optionally be configured so that they are remembered on a per-drawing basis, in order configure different drawings to have different precisions. When using per-drawing settings, you may configure the settings in your drawing templates, to control the settings in newly-created drawings. Otherwise, newly-created drawings will take on the last-selected settings.

The values in square braces are running totals. The "Reset" keyword may be used to reset these values at any time.

After starting the command, continue selecting points in response to the prompts. You may also key in a Cogo Point number, instead of selecting a point on-screen. The "Single", "Continuous", and "Multiple" keywords may be used to switch between the three modes. To cancel the command, right-click or hit the ESC key.

See Also

Blue Dot PoInv

Inverse between Cogo Points.

Blue Dot FindPt

Find and Replace text in the Raw Description for points.

Blue Dot FreePt

Displays a list of available point numbers in the command window.

Blue Dot MovePoints

Move points in the drawing. Points are only moved horizontally, with no datum adjustment, and may be selected by Point Group.

Blue Dot NextPt

Set the next point number for point creation.

Blue Dot PGAddRemovePoints

Add and/or remove selected Civil-3D Points to/from one or more existing Point Groups.

Blue Dot Pt3d

Manually create points with a variety of options, including getting the elevation from the pick point.

Blue Dot PtAng

Displays the angle formed by three points. The angle dimension is displayed as an interior angle, an exterior angle, and a deflection angle.

Blue Dot PtArc

Displays the arc distance, radius, and delta (central) angle of the arc segment defined by picking three points. Points may also be specified by keying in point numbers at the prompt.

Blue Dot RotateMarkers

Rotate Civil-3D Point Markers.

Blue Dot RotatePoints

Rotate Civil-3D Point locations, with an option to select by point group.

Blue Dot UsedPt

Displays a list of used point numbers in the command window.

Blue Dot ZoomPt

Zoom to a Cogo Point by typing the Point Name or Number in the command window.


ResetObjAnnoScales

Description

The ResetObjAnnoScales command will add the current Annotation Scale to the scale lists of the selected objects (if necessary), while simultaneously removing all other Annotation Scales, leaving only the current Annotation Scale in the list.

Usage

Type ResetObjAnnoScales at the command line and select items on the screen. Right-click or hit ENTER when you are done.

This command is basically a short-cut for editing the Annotative Scale List. It does the same thing as manually editing the Scale List associated with the selected objects.


RotateIndividual

Description

The RotateIndividual command rotates selected objects individually, with each object rotated around its insertion point. When used on Cogo Points, this command rotates the Point Marker. When used on MLeaders that have a single leader, the MLeader is rotated around the arrowhead.

Usage

Type RotateIndividual at the command line, and select the objects you wish to rotate. You may also run this command by selecting one or more objects, right-clicking, and selecting "Rotate Individual" from the "Sincpac Edit Commands" shortcut menu.

After you have finished selecting objects, right-click to end the selection. You will then be prompted for the rotation angle.

See Also

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.

Blue Dot FlipObjects

Flip objects 180 degrees.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When selecting a linear object, all objects are rotated to match the bearing of the selected point on the linear object.

Blue Dot TwistGroup

Rotate selected objects around a selected pick point by a set amount.


ScaleXY

Description

The ScaleXY command scales most objects in just the XY direction, maintaining the original elevation.

Usage

Type ScaleXY at the command line, and select the items you wish to scale. When you have finished selecting items, right-click. Or, you may select items first, then run the ScaleXY command. You will then be prompted for a base point, and a scale factor. Alternatively, instead of entering a scale factor, you may type "R" to pick scaling points in the drawing, or type "P" to select a predefined scale factor from a list of common scale factors.

When selecting the scaling points, you may type "R" (for "Reference") to pick a new reference base point for calculating the scaling distance. This new reference point is only used for selecting the reference distance; the points are still scaled using the scaling base point.

This command does not work on all objects, but it works on most of them. Those that cannot be scaled in 2d are still scaled in 3d. When an alignment is included in the objects to be scaled, all associated Design Profiles will be automatically adjusted so the grade breaks and vertical curves will retain their correct locations on the alignment. Should you encounter an object which you think would benefit from inclusion in the 2d scaling, please let us know.

See Also

Blue Dot ScalePoints

Scales Civil-3D Cogo Points horizontally without applying a datum adjustment to the points.

Blue Dot ScaleZ

Scales most objects in just the Z direction (the elevation), without changing the horizontal location.


ScaleZ

Description

The ScaleZ command scales most objects in just the Z direction (the elevation), without changing the horizontal location.

Usage

Type ScaleZ at the command line, and select the items you wish to scale. When you have finished selecting items, right-click. Or, you may select items first, then run the ScaleZ command. You will then be prompted for a scale factor. Alternatively, instead of entering a scale factor, you may type "B" to specify a new Base Elevation, or "P" to select a predefined scale factor from a list of common scale factors.

This command does not work on all objects, but it works on most of them. In particular, this command will not work on Survey Points (Cogo Points inserted from a Survey Database) unless those points are unlocked in the drawing.

See Also

Blue Dot ScalePoints

Scales Civil-3D Cogo Points horizontally without applying a datum adjustment to the points.

Blue Dot ScaleXY

Scales most objects in just the XY direction, maintaining the original elevation.


SPRibbonEnabled

Description

The SPRibbonEnabled command will enable or disable the Sincpac-C3D tab in the Ribbon interface.

Note: This command is not available in the 2008 and 2009 versions.

Usage

Type SPRibbonEnabled at the command line. You will then be asked if you want the Sincpac-C3D tab enabled in the Ribbon; simply answer Yes or No.

Note: This command may also be used to refresh the Sincpac-C3D tab in the Ribbon, should it disappear. For example, the Sincpac-C3D tab will disappear from the Ribbon if you use the CUI Editor. Running this command will cause the Sincpac-C3D tab to reappear. (The Sincpac-C3D tab will also reappear if you refresh your Workspace.)

See Also

Blue Dot The Ribbon Interface

The Ribbon interface for the Sincpac-C3D (not available in 2008 and 2009 versions).

Blue Dot SPRibbonTabCount

Specifies how many tabs to use in the Ribbon interface for the Sincpac-C3D. Splitting the commands into two Ribbon tabs improves ease-of-use on small monitors.


SSMRenumber

Description

SSMRenumber allows the user to renumber all of the sheets, or another selected sheet property, within a Sheet Set.

Usage

Type SSMRenumber at the command line (or run the command from the Ribbon). You will then see a dialog box like that shown below:

Note: If more than one Sheet Set is open, the current Sheet Set as shown in SSM in AutoCAD may not be the active Sheet Set. Make sure to select the correct Sheet Set.

Select the Sheet Property you want renumbered.

Enter the Starting Number. To use leading zeroes enter the Starting Number with the number of leading zeroes desired. For example to have a leading zero for numbers 1 through ten enter 01.

Optionally you can enter a Prefix Format value. Use * (asterisks) to prefix the first letter(s) of the subset name. As an example you can use *- in the Prefix Format box to get have the sheets under a Civil named Sub Set to have a sheet number of C-1. Utilizing ** would have a sheet number of Ci1

Optionally you can Exclude No Publish Sheets from the numbering by checking the box next to “Exclude No Publish Sheets”. Any sheets set not to publish will be skipped during the renumbering process.

Optionally you can restart the numbering for each subset by checking the box next to “Restart Numbering at Subset”. The numbering will restart from the Starting Number at each subset.

Optionally you can populate a Sheet Set Property with the total number of sheets by checking the box next to “Populate Total Sheets Value”. The number will be the number of sheets renumbered. The default Sheet Set Property will be the first Sheet Set Property with the word "Total" in it.

Optionally you can rename the drawing file during renumbering. Specify the Set Name Format by pressing the button 'Set Name Format'.

Note: The rename portion of the command is written for one layout sheet per drawing. If mutliple layouts per sheet are found, a warning dialog box will be presented. Press Yes to rename the drawing, all of the sheets will be named with the first drawing's name. Press No to not rename the drawing.

Rename Format Prompt

Select one of the three format options:

National CAD Standard Without Project Code:

Replaces the sheet number at the front of the drawing name.

National CAD Standard With Project Code:

Replaces the sheet number at the number of characters from the start of the drawing name specified in the Project Code Character Count.

Append Sheet Number at Front:

Replaces the sheet number at the front of the drawing name and provides for a space between the sheet number and the rest of the drawing name.

Note: If the previous sheet number does not match what is found in the drawing name a warning message will be sent to the command line to check the new drawing name.

A warning message is provided if the drawings are to be renamed providing a second chance to stop the drawings from being renamed.

Rename Warning Dialog


TwistGroup

Description

The TwistGroup command is a cross between the standard ROTATE command and the FlipObjects command. It may be used to rotate a selection set of objects around a pick point, but does not work in the same way as the ROTATE command.

Usage

Type TwistGroup at the command line, and select the objects you wish to flip. You may also run this command by selecting one or more objects, right-clicking, and selecting "Twist Group" from the "Sincpac Edit Commands" shortcut menu.

After you have finished selecting objects, right-click to end the selection. You will then be prompted to select the rotation point in the drawing. After you pick the point, the selected objects will be rotated by the set value, and you may select another group of objects

At any time, you may type "T" ("Twist") to change the twist angle. The twist angle is measured counter-clockwise, and uses the UNITS settings to determine the angle format.

Note that this command cannot be used directly on General Line/Curve Labels. However, a General Line Label can be attached to a line, and the line can be flipped with this command.

See Also

Blue Dot FlattenObjects

Similar to the "Flatten" command from the Express Tools, except this command also works on Civil-3D Cogo Points.

Blue Dot FlipObjects

Flip objects 180 degrees.

Blue Dot RotateAligned

Rotate objects to match a linear object. Each selected object is rotated to match the bearing of the closest point on the linear object.

Blue Dot RotateIndividual

Rotate selected objects. Each object is rotated individually around its insertion point. When used on Cogo Points, this command rotates the Point Marker. When used on MLeaders that have a single leader, the MLeader is rotated around the arrowhead.

Blue Dot RotationMatch

Rotate objects to match a selected object. May also be used to rotate objects to match segments of polylines, Feature Lines, Survey Figures, or Parcels. When selecting a linear object, all objects are rotated to match the bearing of the selected point on the linear object.


Alignment Cut/Fill Format

Description

The Alignment Cut/Fill settings may be used to customize the display of the cut/fill columns in the DisplayPoints command.

The image below shows the default settings for the Cut/Fill columns.

Cut-Fill No Shading

Clicking on the "Cut/Fill Display" button calls up the dialog box shown below. Use zeros and decimal points in the Cut and Fill format to indicate the number of digits. Any characters except for the zero strings are passed through unchanged. In the dialog box shown below, the settings have been altered slightly from the default settings, so that the cuts and fills will always be displayed with two digits before the decimal point. (The value of "00.00" indicates that values should always be displayed rounded to two decimal places, and with at least two digits before the decimal. Zeros are used to pad the result, if necessary.) Shading has also been enabled for both the Profile Cut/Fill and the Surface Cut/Fill, and enabled for all cuts and fills greater-than or equal-to 1 foot.

Cut-Fill Shading High-Low Dialog

The result is shown below.

Cut-Fill Shading High-Low

The dialog box below shows slightly-different settings. When entering the Cut/Fill values, positive numbers are treated as Fills, and negative numbers are treated as Cuts. So in this case, shading has been enabled only for fills greater-than or equal-to 0 and less-than or equal-to 1. In addition, in the dialog box below, the format of the Cut/Fill has been reset to the default, with only a single digit before the decimal point.

Cut-Fill Shading Midrange Dialog

And below are the results. Note that only values with Fills between 0 and 1 feet are shaded.

Cut-Fill Shading Midrange

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.


Print a Data Grid View

Description

When printing a Data Grid View to the printer, such as with the DisplayPoints or DisplayProfile commands, you may print the entire contents of the Data Grid View, or you may print only a selected portion of the Data Grid View.

For example, a portion of the Data Grid View below is selected:

Print a Data Grid View dialog

Now click on the "Print to Printer" button. When the Print dialog comes up, select "Selection" instead of "All" as the region to print. The result is seen below:

Print a Data Grid View output

Notice that the data sent to the printer is sorted in the same order as the data on the screen. In the example above, the Data Grid View was sorted on Raw Station, so the output sent to the printer is also sorted by Raw Station. Similarly, the columns in the printout are in the same order as the columns in the Data Grid View, so the order of the columns in the printout may be changed by dragging the columns into a different order in the Data Grid View.

Currently, this ability to print directly to a printer is a "quick-print" functionality, and it is not possible to control many of the print parameters. However, the contents of the Data Grid View may be sent to a file instead, and then you may format or otherwise edit the text in Excel before printing. You may also select items in the Data Grid View, and copy-and-paste them into Excel.

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.


General Settings

Description

There are a handful of settings that can be controlled by typing SPSETTINGS at the command line. The following dialog box then appears:

General Settings dialog

Note: This command has been deprecated, and these settings are now available in the OPTIONS Tab.

Object Layer Settings:

On the Object Layers tab of the Drawing Settings tab, there are some entries for "General Note Label" and "General Segment Label". These settings control the layers on which newly-created General Note and General Line/Curve labels are created.

For many tasks, it is very convenient to use these Object Layer settings to specify what layer these labels are created on. You can keep your current layer set to something else, and be going about other tasks, and still have General Note and General Line/Curve labels go automatically on the correct layer. If you need to change the settings, you can go into the Drawing Settings, or better yet, use the LabLay command.

However, sometimes it is convenient to have these labels go on the current layer, instead. If you check the checkbox for either "Change General Note Layer" or "Change General Line/Curve Layer", then the respective Object Layer setting will change any time the current layer is changed. This effectively makes General Note or General Line/Curve labels go on the current layer.

(Note: The checkboxes in this section are the same as those found in the dialog box for the LabLay command.)

Shortcut Menus:

By default, the Sincpac-C3D adds a number of useful menus to the context shortcut menus, which are activated by right-clicking on the mouse. However, if you do not want the Sincpac-C3D to add these automatic menus, you can disable them.

The shortcut menus are split into four categories that can be enabled/disabled separately. The "Default" shortcut menu is the one that appears when you right-click and no objects are selected. The "Edit" shortcut menu appears for any type of object, and includes the "Flatten", "Flip Objects", and "Rotation Match" menu items. The "Points" shortcut menu only appears when Civil-3D Points are selected. The "other" shortcut menus include all the others, such as "Create Offset Points", "Create Alignment/Profile", etc.

Note that the Sincpac-C3D commands can be used in Commands in the CUI, just like any other AutoCAD command. So should you wish, you could add Sincpac-C3D commands to the main pull-down menus at the top of the screen, or create toolbars, or use them in command tools in Tool Palettes.

MText/MLeader Auto Features:

These settings control the auto-application of background masks and DView TWists to newly-created MTEXT and MLEADER items. When "Apply Background Masks" is selected, all newly-created MTEXT and MLEADER entities will have a background mask, colored to match the background, using the specified background scale factor. When "Rotate to match DView TWist", newly-created MTEXT and MLEADER entities will be oriented to the current DView TWist, instead of the current UCS. This "Rotate to match DView TWist" option also works on the various Dimension objects, such as DIMALIGNED, DIMRADIUS, etc.

The scale factor specified here is also used by the BGMaskOn, BGMaskOff, and BGMaskToggle commands.

(Note: The settings in this section are the same as those found in the dialog box for the LabLay command, but are not the same as the ones in the MarkerExtract command.)

Keep Drawing as Old Version:

When selected, the directory containing the drawing is flagged as containing Civil-3D 2008 drawings. If you attempt to SAVE or QSAVE the drawing in Civil-3D 2009 (with the Sincpac-C3D 2009 installed), a dialog box will appear, warning you that the file should not be saved in Civil-3D 2009. For further information, see the help for the old version lock.

Linked Point Station/Offset Settings:

This button calls up the settings dialog for the Station/Offset display in Cogo Points with Dynamic Links. See the DLPoints command for a complete description of the Cogo Point Dynamic Links.

Automatically apply Dimscale overrides:

When this box is checked, the current DIMSCALE is automatically changed to match the CANNOSCALE in modelspace, or set to 0 in paperspace or a paperspace viewport. Assuming your DIMSTYLE is configured to properly scale with the DIMSCALE, this will cause any old-style (i.e., non-Annotative) Dimensions to be created at the correct scale automatically, whether you create them in modelspace, in paperspace, or in modelspace through a paperspace viewport.

This override is only applied when changing between modelspace and paperspace, or when the current DIMSTYLE is changed using the dropdown box in the Dimension toolbar. There is no effect if the current DIMSTYLE is Annotative.

(This setting is the same thing as the FIXSCALES command in earlier versions of the Sincpac-C3D. The FIXSCALES and UNFIXSCALES commands from earlier versions have been replaced by this checkbox, and no longer exist.)


Issues with Profiles and Profile Views

With the current API, there is limited control over Profiles and Profile Views. Unfortunately, this has a couple of repercussions for the commands that create Profiles and/or Profile Views.

The first issue shows up in Profile Views that exist in the drawing before Profiles are created. If a command (such as AddPVIs) creates a new Profile, the Profile will show up in the existing Profile View, but no labels will show up. In this case, you must select the Profile after it is created, right-click, and select "Edit labels..." to add the label set you desire.

For commands that create Profile Views, labels will appear on the Profiles in those Views. Unfortunately, there is no provision in the API for controlling which Label Set is used. If your drawing only contains one Label Set for Profiles, then there is no issue - that Label Set is automatically used to place the labels. However, if you have more than one label set in your drawings, it can be a bit difficult getting the one you want to be used. It doesn't seem to follow a simple rule, like it always uses the last style created, or something like that. But if you can get the styles in your drawing template(s) setup so that these commands are using the Label Set you want placed "by default", it seems to work well. Then, for those cases where you do not want the default Label Set, you need to right-click on the Profile after creating it, and select "Edit labels..." to change the label set.

There is one way that seems to work relatively reliably, and gets your favorite label set applied as each Profile View is created. When starting a new drawing template from scratch, the initial template typically contains a single Profile Label Set named "Standard". This "Standard" set is nearly always the one that gets applied by default, assuming you do not delete it. So if you edit the "Standard" label set to look the way you want, you will probably get your favorite Profile Label Set applied by default. You can even change the name of the Label Set to something other than "Standard", and it should still work.

Unfortunately, if you later decide you want to use a different style as your "default", it can be very difficult getting your desired Label Set to be used as the default. Usually, the easiest thing is to figure out which style is currently be used as the default, and then edit that style to look the way you want it (changing its name if necessary). Hopefully, a future version of the API will address these issues, and we will gain better control over these labels.


Help in a RibbonSplitButton

You've attempted to initiate the Help system by hitting F1 in the display panel in a SplitRibbonPanel. Unfortunately, that currently does not work as-expected, due to the current design of the Autodesk Ribbon.

To get to the help for a specific command, first click on the little triangle in the SplitRibbonPanel to expand it, then hover the mouse cursor over the command of interest, and hit F1.

Here's an example using a larger RibbonSplitButton:

And here's an example using a smaller RibbonSplitButton:

See Also

Blue Dot DisplayAlignProf

Alphabetical listing of all commands, along with a summary of each.

Blue Dot DisplayPoints

Chart of which commands and features are available in each module of the Sincpac-C3D.


"Select Scale Factor" Dialog

The "Select Scale Factor" Dialog may be used to select a standard scale factor from a list. The dialog appears as seen in the following image:

'Select Scale Factor' Dialog

See Also

Blue Dot ScaleXY

Scales most objects in just the XY direction, maintaining the original elevation.

Blue Dot ScaleZ

Scales most objects in just the Z direction (the elevation), without changing the horizontal location.


AddMultipleSegmentLabels

Description

The AddMultipleSegmentLabels command add line and curve segment labels to multiply selected lines, arcs, feature lines, and polylines, with options for selecting the line segment and curve segment label styles.

Usage

Type AddMultipleSegmentLabels at the command line. Or select some lines, arcs, feature lines, or polylines, then run the command. You will then see a dialog box like that below:

AddMultipleSegmentLabels Dialog box

Select the curve label style and the line label style. Then select the desired location of the labels on the segment. The locations available are start, middle or end.

See Also

Blue Dot CreatePointsFromLabels

Creates Civil-3D Points at the exact location and elevation of Surface Elevation Labels found in a drawing.

Blue Dot DLLabels

Creates a dynamic link between a Profile View Label and a Civil-3D entity (pipes and profiles).

Blue Dot GenLabelLayer

Changes the current Object Layer settings for General Note and General Segment Labels to match an object selected on-screen.

Blue Dot GlobalLabelSettings

Allows the user to update Label Styles from older versions of Civil 3D to use the newer formatting codes.

Red Dot LabLay

Quick-set dialog for Drawing Scale, General Line/Curve Label layer, and General Note Label layer.


AddProfViewStaElevLabel

Description

AddProfViewStaElevLabel allows the user to add profile view station elevation labels to a selected profile view.

Usage

Type AddProfViewStaElevLabel at the command line (or run the command from the Ribbon). Select the profile view you wish to place the station elevation labels. It is then possible to place labels at selected points or type S for Settings to change the label styles for change the settings.

If settings is selected, the settings dialog box will appear.

Add Profile View Station Elevation Label Settings

Select the Label Style, the Marker Style, and the layer to place the label on. The <none> marker style will place a label without a marker style. The <use current> layer will utilize the current drawing layer.

You can save the current values using the Save button as well as create different setting sets using the saving Quick Set button. Settings are saved on a per drawing basis and may be transfred between drawings using the Manage Quickset button.


Alignments Length Report

Description

The AlignmentsLengthReport command outputs the alignment names and lengths to a comma delimited text file.

Usage

Type AlignmentsLengthReport at the command line. All of the alignments in the drawing are analyzed for their lengths and name. The results of the analysis are then exported to a comma delimited text file. This file is then opened in Notepad®, it is saved as a Temp file, be sure to SaveAs to a location of your choosing if you want to keep it. If you have a spreadsheet program installed, use a file extension of "csv" for it to be auto-opened by that program. Here is an example when opened with MS Excel®

Alignments Length Report

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Red Dot StaOff

Display Points by Station and Offset, as measured along an Alignment. Results are displayed on screen and may also be written to a file.


ChPipeHydraulicsFactors

Description

The ChPipeHydraulicsFactors command changes the selected pipe hydraulic factor values of the selected pipes. Hydraulic factors include Manning's Value, Hazen Williams Coefficient, and Darcy Weisbach Factor.

This command changes the the selected pipe hydraulic factor values of the selected pipes. After starting the ChPipeHydraulicsFactors command, select the pipes to change the pipe hydraulic values, then select the pipe hydraulic values desired to be changed along with the corresponding value.

Change Pipe Hydraulics Factors Dialog box

See Also

Blue Dot DLSewerLaterals

Creates links between main pipe network pipes and lateral pipe network pipes.

Blue Dot DLSewerLateralsManager

Deletes sewer lateral links from the main and lateral pipes.

Blue Dot DLSewerLateralUpdateRules

Updates the rules that a lateral pipe uses when updated in relation to a main line pipe.

Blue Dot PipeElevationEditor

The PipeElevationEditor is intended to be used just like the Quick Elevation Editor for Featurelines. The user may edit the Start Elevation, End Elevation, the slope holding the start elevation or the slope holding the end elevation. User may toggle to track the pipe invert at any point along the pipe.


CreateLowering

Description

The CreateLowering command creates a lowering in a profile. The user specifies the elevation for the lowering and the angle of the bends in the lowering. The user also specifies either the crossing station and clearance distance for the lowering, or the start and end stations for the lowering.

Usage

Type CreateLowering at the command line, or select a polyline, right-click, and select "Create Lowering" from the shortcut menu. You should then see a dialog box like the one shown below:

CreateLowering Dialog box

The various options are illustrated in the diagram below. Note that, when selecting stations in the drawing, you may pick points in either a Profile View, or in Plan View, either one. There is no need to use a transparent command. However, when picking an elevation in the drawing, you must pick inside a Profile View.

CreateLowering setting description

Note that since we specified a 45° angle for the bends in the lowering, the grade of the profile going in and out of the lowered section is at 100%. If we had specified a bend angle of 22.5° instead, the slopes in and out of the grade break would have been at a 50% grade instead.

Example

Imagine we start with the following profile:

CreateLowering Example 1a

We now pick the profile, right-click, and select "Create Lowering" from the shortcut menu. We then key in the options shown in the image above. The result is as follows:

CreateLowering Example 1b

See Also

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

CAPSurface is "Create Alignment and Profile, sample from Surface". Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.

Blue Dot PLAlign

Creates alignments from polylines. Arcs in the polyline are converted to Free Curves, if possible.

Blue Dot PLProfile

Create a profile from a polyline in a profile view.


Create Profile View

The various commands that create Profiles (such as CreateAlignProf) are also capable of creating Profile Views.

In these commands, you will be prompted to select a location for the Profile View. Select a location on-screen, or you may right-click or hit ESC to skip the Profile View creation. If you select a location for the Profile View, you will then see the following dialog box:

Create Profile View dialog

Along the top of the dialog box is the Quickset panel, which may be used to save and recall your favorite settings. The rest of the dialog box contains controls for the basic settings for a Profile View.

Unfortunately, there is no provision in the API for controlling the labels that get placed along each Profile in the Profile View, so there is no option for selecting the Profile Label Set. Newly-created Profiles will always be created with a default Profile Label Set, but there is no way of specifying which style this should be; there is no option in the Civil-3D Command Settings for a default Profile Label Set. However, by default, the "Standard" Label Set gets used, so you may find success if you edit the "Standard" Label Set to appear the way you want. Further information can be found here.

See Also

Blue Dot AddPVIs

Add selected Civil-3D Points to an existing Profile as PVIs, or create a new Profile using the points.

Blue Dot CAPFeature

CAPFeature is "Create Alignment and Profile from Feature Line". Creates an alignment and profile from an existing Feature Line or Survey Figure. Excess PVIs may also be pruned with a setting similar to the one in CAPSurface.

Blue Dot CAPSurface

CAPSurface is "Create Alignment and Profile, sample from Surface". Creates an alignment and profile from an existing polyline and an existing surface. The surface is sampled at the specified interval, and/or at enough intervals to keep the error within a specified tolerance.

Blue Dot CreateAlignProf

Creates alignments and profiles from a variety of objects, including polylines, 3D-Polylines, Feature Lines, and Survey Figures. Various pruning options may be used when creating the alignment and profile.


CreateSectionAlignmentLines

Description

CreateSectionAlignmentLines allows the user to create alignments from point groups or selected polylines to represent river sections. The command intent is to allow the export of hyrology information for a hydrology study, such as HEC-RAS, MIKE 11, or ISIS, without the use of an existing ground surface.

Usage

Type CreateSectionAlignmentLines at the command line (or run the command from the Ribbon). A dialog box comes up.

Create Section Alignment Lines

Centerline Alignment

Select the alignment representing the river centerline. Next select if the stationing direction of the alignment. The start stationing of the section alignments will be determined based on the this value.

Create by Point Groups

Select the point groups to use to create the sections. A section will be created for each of the point groups selected. The points contained in the point group will be connected using a least squares best fit. The point group desired may be selected using the Select By Point button. The point group will be selected and selected in the list.

The settings button opens a dialog box where the settings used to create the alignment may be set. The settings are used for both the alignments created by Point Group and created by Polylines.

Create Section Alignment Lines Settings

The Left Bank and Right Bank descriptions are used to find the direction of the section alignment. The values are optional.

Create by Polylines

To use the Select By Polyline(s) option select the desired polyline from the drawing.

Go To X-Section Creator

If selected the section aligments will be created and then the command will go directly to the PointsToProfile command where profiles will be created from the points contained in the point group.


DigitizeSectionTo3DPoly

Description

The DigitizeSectionTo3DPoly command creates a 3DPolyline from selected polylines or digitizing sections. Polylines may be selected which are over a Civil 3D Section View, created by selecting a polyline over a non-Civil 3D section view, or by digitizing images or PDFs.

Arcs within polylines are not supported and and will be treated as straight segments. Arcs may be tesselated first by utilizing the Civil 3D "Convert 2D to 3D Polylines" command, found in the Modify Tab of the Ribbon, Design Panel drop down.

Usage

Run the DigitizeSectionTo3DPoly command. The Digitize Section To 3DPoly palette will then appear:

To refresh the site and alignment list press the refresh button. This is necessary when sites or alignments have been added to the drawing. At the top of the palette you can digitize sections without a Civil 3D Section View. The bottom portion allows creation of the 3DPolyline with a Civil 3D Section View. Here are the options available for digitizing:

Digitize Section: First select the alignment the section data is located on. Next specify the elevation range and offset values the section data is represented on. Specify the cross section station and the interval of the station values. Once one section is complete the Cross Section Station will be adjusted by the Default Station Interval.

Select Digitized Polyline: Select the Select Digitized Polyline button. Select the first corner of the non-Civil 3D section view then select the opposite corner. Select the polyline representing the section. A 3DPolyline will then be created at the specified station in plan.

Digitized Section: Press the Digitize Section button. Select the first corner of the non-Civil 3D section view then select the opposite corner. Select the starting point of the section then the other points representing the section. A 3DPolyline will then be created at the specified station in plan.

Section View: Press the Select Polyline in Section View button. Select the polyline to turn into a 3DPolyline in plan. Then select the Civil 3D Section View. A 3DPolyline will then be created at the station of the section view in plan.


Station Sorting Parameters

Description

The Station Sorting Parameters may be used when sorting Cogo Points by Station or Raw Station, and provide a way to control the way points are listed in the grid view.

In general, when sorting by Station, two points at the same station are sorted by offset. However, sometimes, we may have points that are not exactly on even stations, for example, when we have a bunch of points that a surveyor has shot in the field. Since some shots were taken slightly before the even station, and some points after, the points can end up in an undesirable order. That can be seen in the image below. Note how the offsets do not proceed in any consistent order.

Interval Example 1

However, by specifying a Sorting Interval, the station for each point will be rounded to the nearest interval, and this rounded value will be used for sorting. The grid below shows the same data, but with a Station Sorting Interval of 10 feet. Note how the points at each station now proceed in a smooth order from far left to far right at each station.

Interval Example 2

Sometimes, however, simply specifying an Interval may not work. For example, consider the image below. The Interval is set to 10 feet, but the points are being mixed-up. Since each station is being rounded to the nearest 10-foot interval, Point 11 (at Sta. 211+55.14) is being grouped together with Point 18 (at Sta. 211+64.90).

Interval Example 3

The Offset provides a way to deal with this problem. This Offset is added to the station value before it is rounded. In the diagram below, the Offset is set to 5 feet, which fixes the problem.

Interval Example 4

See Also

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.


DisplayAlignProf - Draw Lines

Description

After hitting the "Draw Lines" button while using the DisplayAlignProf command, you should see a dialog box that looks like the one below:

Draw Lines dialog

The Quickset panel at the top of the dialog box may be used to remember your favorite settings.

Select Layer for Linework

The lines are drawn on the layer specified in this selection box.

Start/End Offsets

These offsets indicate the starting and ending points for each line.

Draw Lines on selected rows ONLY

When this option is selected, lines are drawn only at rows that are selected in the grid in the DisplayAlignProf command, prior to hitting the "Draw Lines" button.

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.


DisplayAlignProf - Generate Cogo Points

Description

After hitting the "Generate Cogo Points" button while using the DisplayAlignProf command, you should see a dialog box that looks like the one below:

Generate Cogo Points dialog

The upper-right corner of the dialog box contains the Quickset panel, which may be used to save and recall your favorite settings. The upper-right corner also contains a panel which may be used to set the next Point Number for generated points.

Point Generation - Horizontal Locations

The controls in the left side of the dialog box determine the locations at which points are generated at each station. Points may be generated at specified offsets, or on existing linework at each station, or both.

At Specified Offsets

When selected, points are generated at the specified offsets. Click on the "Edit Offset List" button to edit the offset list.

At Intersection with Linework on Layers

When selected, points are generated where station lines intersect linework on the specified layers. Points are only generated if they fall within the specified swath offsets. (See the Example below.)

Description for Intersect Points: This textbox may be used to specify the description used for Cogo Points created at the intersection points. If you include the special string "%n%" in this description, it will be replaced by the Layer Name of the intersecting linework.

Get Point Elevation from Linework: When this option is selected, points generated at intersections will take their elevations from the intersecting linework. This is particularly useful for creating points from 3D polyline strings running along alignments, such as from Genio imports. If this option is not selected, then elevations will be assigned according to the selections in the "Point Elevations" section on the right side of the dialog box. Note that this checkbox affects only the points generated at intersections with linework.

Point Generation Order

Determines the point generation order of Cogo Points, which determines how Cogo Points are numbered. When the "Zig-Zag" option is selected, points are generated from Left to Right at the first station, the Right to Left at the next, then Left to Right at the next, etc.

Point Elevations

Determines how elevations are determined for the Cogo Points. For the Surface and Profile options, the Surface or Profile used to generate elevations is the one selected in the DisplayAlignProf settings. Similarly, if a Datum Adjustment is specified in the settings for DisplayAlignProf, that datum adjustment is also used when generating Cogo Points. The option to "Apply Slope/Grade Parameters" is only available when Point Elevations are being derived from the Profile.

Point Settings

These Point Settings control various parameters for the display of generated Cogo Points, such as Point Style, Point Label Style, Point Layer, and Point Group. Additionally, generated Cogo Points may be rotated to align with the Alignment, using these settings.

Create points on selected rows ONLY

When this option is selected, Cogo Points are generated only at rows that are selected in the grid in the DisplayAlignProf command, prior to hitting the "Generate Cogo Points" button.

Example

The diagram below illustrates Cogo Points generated at the intersection with linework. The white lines are 3D Polylines generated from a Genio file import. The point elevations are coming from the white 3D polylines, and the option to generate points in "Zig-Zag" order is selected:

Generate Cogo Points dialog

(Click on the image for a larger view.) The points above were generated at 50' stations, along with horizontal geometry points (the alignment has a point of curvature at Station 11+57.23).

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.


DisplayAlignProf - Cogo Point Offsets

Description

After hitting the "Edit Offset List" button in the Generate Cogo Points dialog, you should see a dialog box that looks like the one below:

Generate Points - Offsets

You may edit offsets as desired in the grid. To add a new item, simply type a new offset into the empty row at the bottom of the grid. To delete an existing offset, select the row by clicking the box to the left of the row, then hit the DELETE key on the keyboard.

The Quickset panel at the top of the dialog box may be used to remember a set of Offsets and Descriptions. You may save your favorite settings, and then instantly recall them at any time using the Quickset panel.

See Also

Blue Dot DisplayAlignProf

Displays geometry and interval points along an alignment and profile, and can print the output to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. May also be used to generate Cogo Points along Alignments, or display a Surface elevation at each station, along with a Cut/Fill between the Surface and Profile at each Station.

Blue Dot DisplayPoints

A Cogo Point browser, editor, and reporting tool, all rolled into one. Displays selected points in a grid, including Station and Offset, with options for editing points, adding/removing them from Point Groups, and printing them to delimited output files (CSV, tab-delimited, etc.) or directly to a printer. Also includes the ability to display a Surface elevation at each point, as well as a Cut/Fill between the Cogo Points and Profile/Surface.


Station/Offset Settings

Description

This panel may be used to control the way offsets are formatted in Station/Offset displays.

The Station/Offset Settings Dialog offers the following options:

Station/Offset Settings Dialog

Civil-3D contains some settings for "Left" and "Right" abbreviations on the Abbreviations Tab of the Drawing Settings. Unfortunately, these values are not exposed via the Civil-3D API, so there is no way to access them. Instead, the abbreviations for Left and Right may be specified on this screen.

You may also specify whether or not to use a negative offset for offsets to the left. When this option is selected, all Left offsets will be displayed with a negative value.

See Also

Blue Dot DLPoints

Manages dynamic links between Cogo Points and other Civil-3D entities. This allows the elevations of Cogo Points to change dynamically whenever the "master" object changes. Similarly, the description may be set to display the Station/Offset of the point, and the Station/Offset will also dynamically respond to changes in the model. The "master" object may be a Surface, a Profile, an Alignment, or a linear entity such as a Feature Line, Survey Figure, Polyline, or 3D-Polyline.

Blue Dot DLProfiles

Manages dynamic links between Profile PVIs and other Civil-3D entities. This allows the elevations of PVIs to change dynamically whenever the "master" object changes. The "master" object may be a Surface, another Profile, or an adjacent PVI on the same Profile.

Blue Dot OPTIONS Tab

Adjust general settings for the Sincpac-C3D.


Grading Settings

Description

The Grading Settings are used by several of the commands that datum-adjust points.

The Grading Settings Dialog offers the following options:

Grading Settings Dialog

(Note that fewer options are available in the Free Edition.)

Vertical Adjustment:

This amount is added to the profile elevation. It would be the sum of y + z in the diagram below.

Grade or Slope:

Cross-slope grade or slope, sloping away from centerline in both directions. The cross-slope may be specified either as a percent grade, or as a slope in either Run:Rise or Rise:Run format, depending on which options are selected.

Grading Offset:

An additional horizontal offset to apply. This affects the grade calculation, by changing the distance between the alignment and the grading point.

Grading Settings Image

See Also

Blue Dot Pt2Feature

Datum-adjust points based on Feature Lines, 3D-Polylines, Survey Figures, or other linework.

Blue Dot Pt2Profile

Datum-adjust points based on Profiles.

Blue Dot SGObject

Straight-grade points, using an existing piece of linework as a temporary alignment for the grading.

Blue Dot SGRD

Straight-grade points, using a temporary grading line drawn through pick points.


Hash Settings

Description

The HashParcel and HashPoly commands create Hash marks along linear objects.

The Hash Marks are created using the block named ZZZZ_Hash. If this block does not exist in the current drawing, it is automatically created. The default block is an Annotative block, and each hash mark gets only the current modelspace Annotation scale added to its scale list as it is created. You must manually add any other desired scales to each hash mark's scale list. As with all Annotative objects, the hash marks will not show up in a viewport unless the viewport's annotation scale is also in the scale list for the hash marks. If you are careful about which layer you place your hash marks on, you can select one hash mark, then right-click and choose "Select Similar" to add or remove annotation scales to all the hash marks at once.

Hash Settings

The Settings dialog for the HashParcel and HashPoly commands looks like this:

Max Deflection Angle:

The Deflection Angle is the difference between the Course In and the Course Out for any PI in the figure. Angle points in the figure will only receive a hash mark if the Deflection Angle is less than this value. The following diagram illustrates these cases:

Hash Angle Points

Hash POLs and POCs:

These commands will always place a hash mark at every Point of Curvature (PC), Point of Reverse Curve (PRC), or Point of Compound Curve (PCC). In all of these cases, the Course In to the PI is the same as (collinear with) the Course Out of the PI. The following diagram illustrates these cases:

However, if the PI represents a Point on Line (POL) or a Point On Curve (POC), that PI will only receive a hash mark if the "Hash consecutive collinear segments" option is selected. The diagram below indicates these two cases:

Note that this final option is not available for the HashParcel command, because it results in too many extra hashes being applied. A Parcel has a PI wherever an adjoining lot line hits the Parcel, so the HashParcel command automatically ignores all POLs and POCs, and this option is disabled.


ReorderPt

Description

The ReorderPt command allows the user to renumber points, one at a time or via a Fence selection, starting with a Point Number larger than the highest number currently available in the drawing.. This command is only available in Sincpac C3D version 3 and newer.

After starting the ReorderPt command, you will be prompted to enter the starting Point Number and the method of point selection, Single or Fence. When in single selecion mode, the Point is immediately updated, when in Fence selection mode, the points will be updated, in the order of selection, at the conclusion of the selection process.

See Also


PurgeModel

Description

The PurgeModel command removes all items from modelspace, including all Sites. This command can be useful for instances where it is desirable to use an existing drawing as the starting point for a new drawing, instead of using a drawing template.

Usage

Type PurgeModel at the command line.

See Also

Blue Dot PurgeCivilStyles

Purge unused Civil Styles from the current drawing.


SPRibbonTabCount

Description

The SPRibbonTabCount command specifies how many tabs to use in the Ribbon interface for the Sincpac-C3D. Splitting the commands into two Ribbon tabs improves ease-of-use on small monitors.

Note: This command is not available in the 2008 and 2009 versions.

Usage

Type SPRibbonTabCount at the command line, then specify 1 or 2 tabs for the Sincpac-C3D.

Note: This command may also be used to refresh the Sincpac-C3D tab in the Ribbon, should it disappear. For example, the Sincpac-C3D tab will disappear from the Ribbon if you use the CUI Editor. Running this command will cause the Sincpac-C3D tab to reappear. (The Sincpac-C3D tab will also reappear if you refresh your Workspace.)

See Also

Blue Dot The Ribbon Interface

The Ribbon interface for the Sincpac-C3D (not available in 2008 and 2009 versions).

Blue Dot SPRibbonEnabled

Enables or disables the Sincpac-C3D tab in the Ribbon interface.


ToggleSurfaceStyleDisplay

Description

The ToggleSurfaceStyleDisplay tool is available when the user selects a Surface object in the drawing and right-clicks the mouse for the context menu. Useful during surface editing to quickly show/hide the Ttiangles/Points/Slopes.

Usage

Select a Surface object, right-click to access the context menu, choose Surf. Display Toggles all of the Display properties available for the style are displayed and may be toggled on or off. When the style has been altered from it's original setting the option to Reset the style will be offered.